#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x999e8297, "vfree" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x5ec5cc6b, "usb_put_dev" },
	{ 0xd7aa7384, "v4l2_device_unregister" },
	{ 0xcf45de22, "v4l2_device_disconnect" },
	{ 0x7fa73589, "video_unregister_device" },
	{ 0x49ff345a, "_dev_info" },
	{ 0x7e7fb4f8, "v4l2_ctrl_handler_free" },
	{ 0x42dcc91f, "v4l2_fh_open" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xbabdbe65, "kmalloc_caches" },
	{ 0xf62f3f37, "kmalloc_trace" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2e6f73a0, "usb_get_dev" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x11c314df, "usb_alloc_urb" },
	{ 0xbef363c0, "request_firmware" },
	{ 0xb84e9980, "__dynamic_dev_dbg" },
	{ 0x7502818c, "usb_reset_device" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x6ec14613, "v4l2_device_register" },
	{ 0x6a4db559, "v4l2_ctrl_handler_init_class" },
	{ 0xcb89626d, "v4l2_ctrl_new_std" },
	{ 0x6ec7d60b, "v4l2_ctrl_new_custom" },
	{ 0x478b620c, "vb2_vmalloc_memops" },
	{ 0xdf7815f5, "vb2_queue_init" },
	{ 0x8dd3d4cd, "__video_register_device" },
	{ 0xe007fdc3, "vb2_ioctl_reqbufs" },
	{ 0xb81e6267, "vb2_ioctl_querybuf" },
	{ 0x7d2fcae8, "vb2_ioctl_qbuf" },
	{ 0x6cf39e72, "vb2_ioctl_dqbuf" },
	{ 0x2c55c133, "vb2_ioctl_streamon" },
	{ 0x783d6cf3, "vb2_ioctl_streamoff" },
	{ 0xf57d8585, "v4l2_ctrl_log_status" },
	{ 0x30fe7a3f, "v4l2_ctrl_subscribe_event" },
	{ 0x16eaee77, "v4l2_event_unsubscribe" },
	{ 0xb4f5382d, "vb2_fop_read" },
	{ 0xb3bdc99a, "vb2_fop_poll" },
	{ 0x4c9372c7, "video_ioctl2" },
	{ 0x2d045ff5, "vb2_fop_mmap" },
	{ 0xafb3a827, "vb2_fop_release" },
	{ 0xf3516f50, "vb2_ops_wait_prepare" },
	{ 0xc77521e2, "vb2_ops_wait_finish" },
	{ 0x96fdff52, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x845e19cb, "usb_register_driver" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x92997ed8, "_printk" },
	{ 0x430e8234, "usb_submit_urb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x67501f2, "_dev_err" },
	{ 0x9ece92fc, "video_devdata" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x13b89a4a, "usb_deregister" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xda9f0d9a, "usb_bulk_msg" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1be569d9, "vb2_plane_vaddr" },
	{ 0xc0315267, "vb2_buffer_done" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x275791bf, "usb_control_msg" },
	{ 0x37a0cba, "kfree" },
	{ 0xf9a482f9, "msleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x76fe67c0, "__v4l2_ctrl_s_ctrl" },
	{ 0x56361a06, "usb_kill_urb" },
	{ 0x5014f95e, "usb_free_urb" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "usbcore,videodev,videobuf2-vmalloc,videobuf2-v4l2,videobuf2-common");

MODULE_ALIAS("usb:v1943p2255d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1943p2257d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "DDA358041E221BD9C4668E3");
