#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbca76ac4, "can_bus_off" },
	{ 0xf77b2450, "usb_unanchor_urb" },
	{ 0x6bba54ab, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xde0bed23, "driver_for_each_device" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x34a0d2b1, "alloc_can_err_skb" },
	{ 0xf62f3f37, "kmalloc_trace" },
	{ 0x716b864f, "register_candev" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbabdbe65, "kmalloc_caches" },
	{ 0x3bd62b90, "netdev_info" },
	{ 0x11c314df, "usb_alloc_urb" },
	{ 0x641b5fac, "usb_anchor_urb" },
	{ 0x5014f95e, "usb_free_urb" },
	{ 0x6dbad7c4, "can_free_echo_skb" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6d509d8d, "can_put_echo_skb" },
	{ 0x3b6aa8af, "consume_skb" },
	{ 0xb81beb43, "can_get_echo_skb" },
	{ 0x244bfc3e, "alloc_canfd_skb" },
	{ 0x845e19cb, "usb_register_driver" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5d7ffec, "netdev_warn" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe92077a0, "open_candev" },
	{ 0x5859e300, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xda9f0d9a, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x384e8a44, "alloc_can_skb" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0xa916b694, "strnlen" },
	{ 0x79b6a19a, "netif_device_detach" },
	{ 0xbdb79f64, "unregister_candev" },
	{ 0x1ef0a673, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x430e8234, "usb_submit_urb" },
	{ 0x49ff345a, "_dev_info" },
	{ 0x6f93ebe9, "can_change_state" },
	{ 0xf4269707, "can_change_mtu" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xf0fef1ad, "can_dropped_invalid_skb" },
	{ 0x67501f2, "_dev_err" },
	{ 0x3c42c86d, "free_candev" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x28ca7db9, "alloc_candev_mqs" },
	{ 0x6047ede6, "can_fd_len2dlc" },
	{ 0x6fc1639a, "kfree_skb_reason" },
	{ 0x6a0af7c, "netdev_printk" },
	{ 0x275791bf, "usb_control_msg" },
	{ 0xf12d9387, "can_fd_dlc2len" },
	{ 0x13b89a4a, "usb_deregister" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xb9a1ed4, "netif_tx_wake_queue" },
	{ 0xa2ba7437, "close_candev" },
	{ 0xfb578fc5, "memset" },
	{ 0xc3734ba, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x470906f2, "netif_rx" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "can-dev,usbcore");

MODULE_ALIAS("usb:v0C72p000Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p0012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p0013d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p0014d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "8384844B4DC84548109FDC7");
