#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x70d17dbe, "phy_stop" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x695b32e2, "__netdev_alloc_skb" },
	{ 0x175686f0, "skb_put" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x3e9f235e, "eth_type_trans" },
	{ 0xd13dcabb, "netif_receive_skb" },
	{ 0xb9a1ed4, "netif_tx_wake_queue" },
	{ 0x8201b6cc, "napi_complete_done" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x67501f2, "_dev_err" },
	{ 0xc3734ba, "_dev_warn" },
	{ 0x356ee6ab, "napi_schedule_prep" },
	{ 0x942ac9ed, "__napi_schedule" },
	{ 0xb84e9980, "__dynamic_dev_dbg" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x3b6aa8af, "consume_skb" },
	{ 0xa4557c9d, "skb_tstamp_tx" },
	{ 0xccf95c2d, "__skb_pad" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xf170a06b, "napi_enable" },
	{ 0x66fd4666, "phy_start" },
	{ 0x49ff345a, "_dev_info" },
	{ 0x1b7244b, "pcpu_hot" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x80d286c6, "alloc_etherdev_mqs" },
	{ 0x2710a404, "platform_get_resource" },
	{ 0x77358855, "iomem_resource" },
	{ 0x7964f710, "__devm_request_region" },
	{ 0xe411d8b6, "platform_get_irq" },
	{ 0xf20463a, "devm_ioremap" },
	{ 0xd2de5755, "dmam_alloc_attrs" },
	{ 0xda910f76, "devm_kmalloc" },
	{ 0x3a8ac02, "mdiobus_alloc_size" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x327f59d3, "__mdiobus_register" },
	{ 0xa58713bd, "phy_connect_direct" },
	{ 0x34080209, "phy_set_max_speed" },
	{ 0x9306a690, "netif_napi_add_weight" },
	{ 0x3838d50a, "register_netdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x16ff133d, "devm_clk_get" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x77f3a88b, "phy_find_first" },
	{ 0x815588a6, "clk_enable" },
	{ 0xbf125d4f, "dev_err_probe" },
	{ 0x6e60f4bc, "phy_ethtool_nway_reset" },
	{ 0x903fa859, "ethtool_op_get_link" },
	{ 0x4995b250, "ethtool_op_get_ts_info" },
	{ 0x9ee6d01b, "phy_ethtool_get_link_ksettings" },
	{ 0xeca47c2b, "phy_ethtool_set_link_ksettings" },
	{ 0x96fdff52, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x13558601, "__platform_driver_register" },
	{ 0x2372221e, "__netif_napi_del" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x154da15e, "phy_disconnect" },
	{ 0x3bcfc013, "mdiobus_unregister" },
	{ 0x70969dd8, "mdiobus_free" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x29a160b3, "unregister_netdev" },
	{ 0x37263f0, "free_netdev" },
	{ 0x9ecddb7e, "mdiobus_get_phy" },
	{ 0x7927e1b2, "phy_mii_ioctl" },
	{ 0x64bfea9e, "platform_driver_unregister" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xfeca0683, "dev_addr_mod" },
	{ 0xc43ae87b, "phy_print_status" },
	{ 0x32329008, "napi_disable" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("of:N*T*Copencores,ethoc");
MODULE_ALIAS("of:N*T*Copencores,ethocC*");

MODULE_INFO(srcversion, "394572389829294D0E3577E");
