#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ocelot_mact_learn, "", "");
KSYMTAB_FUNC(ocelot_mact_forget, "", "");
KSYMTAB_FUNC(ocelot_mact_lookup, "", "");
KSYMTAB_FUNC(ocelot_mact_learn_streamdata, "", "");
KSYMTAB_FUNC(ocelot_pll5_init, "", "");
KSYMTAB_FUNC(ocelot_bridge_num_find, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_vlan_filtering, "", "");
KSYMTAB_FUNC(ocelot_vlan_prepare, "", "");
KSYMTAB_FUNC(ocelot_vlan_add, "", "");
KSYMTAB_FUNC(ocelot_vlan_del, "", "");
KSYMTAB_FUNC(ocelot_port_configure_serdes, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_config, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_link_down, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_link_up, "_gpl", "");
KSYMTAB_FUNC(ocelot_ptp_rx_timestamp, "", "");
KSYMTAB_FUNC(ocelot_xtr_poll_frame, "", "");
KSYMTAB_FUNC(ocelot_can_inject, "", "");
KSYMTAB_FUNC(ocelot_ifh_port_set, "", "");
KSYMTAB_FUNC(ocelot_port_inject_frame, "", "");
KSYMTAB_FUNC(ocelot_drain_cpu_queue, "", "");
KSYMTAB_FUNC(ocelot_fdb_add, "", "");
KSYMTAB_FUNC(ocelot_fdb_del, "", "");
KSYMTAB_FUNC(ocelot_mact_flush, "_gpl", "");
KSYMTAB_FUNC(ocelot_fdb_dump, "", "");
KSYMTAB_FUNC(ocelot_bond_get_id, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_assigned_dsa_8021q_cpu_mask, "_gpl", "");
KSYMTAB_FUNC(ocelot_get_bridge_fwd_mask, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_setup_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_teardown_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_assign_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_unassign_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_bridge_stp_state_set, "", "");
KSYMTAB_FUNC(ocelot_set_ageing_time, "", "");
KSYMTAB_FUNC(ocelot_port_mdb_add, "", "");
KSYMTAB_FUNC(ocelot_port_mdb_del, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_join, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_leave, "", "");
KSYMTAB_FUNC(ocelot_migrate_mdbs, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_lag_join, "", "");
KSYMTAB_FUNC(ocelot_port_lag_leave, "", "");
KSYMTAB_FUNC(ocelot_port_lag_change, "", "");
KSYMTAB_FUNC(ocelot_lag_fdb_add, "_gpl", "");
KSYMTAB_FUNC(ocelot_lag_fdb_del, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_maxlen, "", "");
KSYMTAB_FUNC(ocelot_get_max_mtu, "", "");
KSYMTAB_FUNC(ocelot_port_pre_bridge_flags, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_flags, "", "");
KSYMTAB_FUNC(ocelot_port_get_default_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_default_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_add_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_del_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mirror_add, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mirror_del, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mqprio, "_gpl", "");
KSYMTAB_FUNC(ocelot_init_port, "", "");
KSYMTAB_FUNC(ocelot_reset, "", "");
KSYMTAB_FUNC(ocelot_init, "", "");
KSYMTAB_FUNC(ocelot_deinit, "", "");
KSYMTAB_FUNC(ocelot_deinit_port, "", "");
KSYMTAB_FUNC(ocelot_wm_enc, "", "");
KSYMTAB_FUNC(ocelot_wm_dec, "", "");
KSYMTAB_FUNC(ocelot_wm_stat, "", "");
KSYMTAB_FUNC(ocelot_sb_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_pool_set, "", "");
KSYMTAB_FUNC(ocelot_sb_port_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_port_pool_set, "", "");
KSYMTAB_FUNC(ocelot_sb_tc_pool_bind_get, "", "");
KSYMTAB_FUNC(ocelot_sb_tc_pool_bind_set, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_snapshot, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_max_clear, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_port_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_tc_port_bind_get, "", "");
KSYMTAB_FUNC(ocelot_devlink_sb_register, "", "");
KSYMTAB_FUNC(ocelot_devlink_sb_unregister, "", "");
KSYMTAB_FUNC(ocelot_cls_flower_replace, "_gpl", "");
KSYMTAB_FUNC(ocelot_cls_flower_destroy, "_gpl", "");
KSYMTAB_FUNC(ocelot_cls_flower_stats, "_gpl", "");
KSYMTAB_FUNC(__ocelot_bulk_read_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_read_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_write_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_rmw_ix, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_readl, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_writel, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_rmwl, "_gpl", "");
KSYMTAB_FUNC(ocelot_regfields_init, "_gpl", "");
KSYMTAB_FUNC(ocelot_regmap_init, "_gpl", "");
KSYMTAB_FUNC(ocelot_mm_irq, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_mm, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_mm, "_gpl", "");
KSYMTAB_FUNC(ocelot_policer_validate, "", "");
KSYMTAB_FUNC(ocelot_port_policer_add, "", "");
KSYMTAB_FUNC(ocelot_port_policer_del, "", "");
KSYMTAB_FUNC(ocelot_ptp_gettime64, "", "");
KSYMTAB_FUNC(ocelot_ptp_settime64, "", "");
KSYMTAB_FUNC(ocelot_ptp_adjtime, "", "");
KSYMTAB_FUNC(ocelot_ptp_adjfine, "", "");
KSYMTAB_FUNC(ocelot_ptp_verify, "", "");
KSYMTAB_FUNC(ocelot_ptp_enable, "", "");
KSYMTAB_FUNC(ocelot_hwstamp_get, "", "");
KSYMTAB_FUNC(ocelot_hwstamp_set, "", "");
KSYMTAB_FUNC(ocelot_get_ts_info, "", "");
KSYMTAB_FUNC(ocelot_port_txtstamp_request, "", "");
KSYMTAB_FUNC(ocelot_get_txtstamp, "", "");
KSYMTAB_FUNC(ocelot_init_timestamp, "", "");
KSYMTAB_FUNC(ocelot_deinit_timestamp, "", "");
KSYMTAB_FUNC(ocelot_get_strings, "", "");
KSYMTAB_FUNC(ocelot_get_sset_count, "", "");
KSYMTAB_FUNC(ocelot_get_ethtool_stats, "", "");
KSYMTAB_FUNC(ocelot_port_get_pause_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_mm_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_rmon_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_ctrl_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_mac_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_phy_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_stats64, "", "");
KSYMTAB_FUNC(ocelot_vcap_policer_add, "", "");
KSYMTAB_FUNC(ocelot_vcap_policer_del, "", "");
KSYMTAB_FUNC(ocelot_vcap_block_find_filter_by_id, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_add, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_del, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_replace, "", "");
KSYMTAB_DATA(vsc7514_regfields, "", "");
KSYMTAB_DATA(vsc7514_regmap, "", "");
KSYMTAB_DATA(vsc7514_vcap_props, "", "");
KSYMTAB_FUNC(ocelot_mrp_add, "", "");
KSYMTAB_FUNC(ocelot_mrp_del, "", "");
KSYMTAB_FUNC(ocelot_mrp_add_ring_role, "", "");
KSYMTAB_FUNC(ocelot_mrp_del_ring_role, "", "");

SYMBOL_CRC(ocelot_mact_learn, 0xfc3f849b, "");
SYMBOL_CRC(ocelot_mact_forget, 0x26ce1a54, "");
SYMBOL_CRC(ocelot_mact_lookup, 0x48deabc1, "");
SYMBOL_CRC(ocelot_mact_learn_streamdata, 0xe529a318, "");
SYMBOL_CRC(ocelot_pll5_init, 0x2a409cae, "");
SYMBOL_CRC(ocelot_bridge_num_find, 0x45c44865, "_gpl");
SYMBOL_CRC(ocelot_port_vlan_filtering, 0x325fe802, "");
SYMBOL_CRC(ocelot_vlan_prepare, 0xebac3f89, "");
SYMBOL_CRC(ocelot_vlan_add, 0xed26de21, "");
SYMBOL_CRC(ocelot_vlan_del, 0x84580682, "");
SYMBOL_CRC(ocelot_port_configure_serdes, 0x406577d2, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_config, 0xfd89b131, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_link_down, 0xdb5f073d, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_link_up, 0x5804a2d8, "_gpl");
SYMBOL_CRC(ocelot_ptp_rx_timestamp, 0xf22a7352, "");
SYMBOL_CRC(ocelot_xtr_poll_frame, 0x13f8d659, "");
SYMBOL_CRC(ocelot_can_inject, 0xd2619b0f, "");
SYMBOL_CRC(ocelot_ifh_port_set, 0xd0ebefd9, "");
SYMBOL_CRC(ocelot_port_inject_frame, 0xe3e0654b, "");
SYMBOL_CRC(ocelot_drain_cpu_queue, 0xe7cbadb5, "");
SYMBOL_CRC(ocelot_fdb_add, 0xe1958097, "");
SYMBOL_CRC(ocelot_fdb_del, 0xb509c397, "");
SYMBOL_CRC(ocelot_mact_flush, 0x38ec0688, "_gpl");
SYMBOL_CRC(ocelot_fdb_dump, 0x713a2020, "");
SYMBOL_CRC(ocelot_bond_get_id, 0x3f380ccb, "_gpl");
SYMBOL_CRC(ocelot_port_assigned_dsa_8021q_cpu_mask, 0x4b029920, "_gpl");
SYMBOL_CRC(ocelot_get_bridge_fwd_mask, 0xee5ef4a8, "_gpl");
SYMBOL_CRC(ocelot_port_setup_dsa_8021q_cpu, 0x8336fe4d, "_gpl");
SYMBOL_CRC(ocelot_port_teardown_dsa_8021q_cpu, 0x16e5b9dd, "_gpl");
SYMBOL_CRC(ocelot_port_assign_dsa_8021q_cpu, 0x3f85d8f6, "_gpl");
SYMBOL_CRC(ocelot_port_unassign_dsa_8021q_cpu, 0xd89173b7, "_gpl");
SYMBOL_CRC(ocelot_bridge_stp_state_set, 0x61ecd7fe, "");
SYMBOL_CRC(ocelot_set_ageing_time, 0xc47aef4c, "");
SYMBOL_CRC(ocelot_port_mdb_add, 0xbd25e282, "");
SYMBOL_CRC(ocelot_port_mdb_del, 0xf58fb15a, "");
SYMBOL_CRC(ocelot_port_bridge_join, 0xc1ead090, "");
SYMBOL_CRC(ocelot_port_bridge_leave, 0xe0802cb9, "");
SYMBOL_CRC(ocelot_migrate_mdbs, 0x2632cc0a, "_gpl");
SYMBOL_CRC(ocelot_port_lag_join, 0x9961b4b5, "");
SYMBOL_CRC(ocelot_port_lag_leave, 0x61419cd0, "");
SYMBOL_CRC(ocelot_port_lag_change, 0x9f578dc2, "");
SYMBOL_CRC(ocelot_lag_fdb_add, 0xc8eda77b, "_gpl");
SYMBOL_CRC(ocelot_lag_fdb_del, 0x156ca93b, "_gpl");
SYMBOL_CRC(ocelot_port_set_maxlen, 0x9b18eee0, "");
SYMBOL_CRC(ocelot_get_max_mtu, 0x2a48247b, "");
SYMBOL_CRC(ocelot_port_pre_bridge_flags, 0x5c9ca93b, "");
SYMBOL_CRC(ocelot_port_bridge_flags, 0x827e2e8f, "");
SYMBOL_CRC(ocelot_port_get_default_prio, 0x1a0e7d13, "_gpl");
SYMBOL_CRC(ocelot_port_set_default_prio, 0x0890d343, "_gpl");
SYMBOL_CRC(ocelot_port_get_dscp_prio, 0x5e51cfe0, "_gpl");
SYMBOL_CRC(ocelot_port_add_dscp_prio, 0x22c5a5e3, "_gpl");
SYMBOL_CRC(ocelot_port_del_dscp_prio, 0x051c5391, "_gpl");
SYMBOL_CRC(ocelot_port_mirror_add, 0x28a1996e, "_gpl");
SYMBOL_CRC(ocelot_port_mirror_del, 0x76b06f61, "_gpl");
SYMBOL_CRC(ocelot_port_mqprio, 0xbd8660ce, "_gpl");
SYMBOL_CRC(ocelot_init_port, 0x85579906, "");
SYMBOL_CRC(ocelot_reset, 0xad8cd7c3, "");
SYMBOL_CRC(ocelot_init, 0x88ef0809, "");
SYMBOL_CRC(ocelot_deinit, 0x129fae81, "");
SYMBOL_CRC(ocelot_deinit_port, 0x5fe5795f, "");
SYMBOL_CRC(ocelot_wm_enc, 0x08791cd6, "");
SYMBOL_CRC(ocelot_wm_dec, 0xb0fdd7fd, "");
SYMBOL_CRC(ocelot_wm_stat, 0xe30fc619, "");
SYMBOL_CRC(ocelot_sb_pool_get, 0xb5af97d7, "");
SYMBOL_CRC(ocelot_sb_pool_set, 0xb8f54869, "");
SYMBOL_CRC(ocelot_sb_port_pool_get, 0xeed1f015, "");
SYMBOL_CRC(ocelot_sb_port_pool_set, 0x1906b2ca, "");
SYMBOL_CRC(ocelot_sb_tc_pool_bind_get, 0x5241fd14, "");
SYMBOL_CRC(ocelot_sb_tc_pool_bind_set, 0x7f632fad, "");
SYMBOL_CRC(ocelot_sb_occ_snapshot, 0x11404171, "");
SYMBOL_CRC(ocelot_sb_occ_max_clear, 0x790fb87d, "");
SYMBOL_CRC(ocelot_sb_occ_port_pool_get, 0xf4b138e4, "");
SYMBOL_CRC(ocelot_sb_occ_tc_port_bind_get, 0x6e28a995, "");
SYMBOL_CRC(ocelot_devlink_sb_register, 0x8a83b7c1, "");
SYMBOL_CRC(ocelot_devlink_sb_unregister, 0x185ab42a, "");
SYMBOL_CRC(ocelot_cls_flower_replace, 0x0e08d774, "_gpl");
SYMBOL_CRC(ocelot_cls_flower_destroy, 0x9390b8a6, "_gpl");
SYMBOL_CRC(ocelot_cls_flower_stats, 0xcf42467c, "_gpl");
SYMBOL_CRC(__ocelot_bulk_read_ix, 0xf3aad1c1, "_gpl");
SYMBOL_CRC(__ocelot_read_ix, 0xff83ef6a, "_gpl");
SYMBOL_CRC(__ocelot_write_ix, 0xc5c1fac3, "_gpl");
SYMBOL_CRC(__ocelot_rmw_ix, 0x734491f0, "_gpl");
SYMBOL_CRC(ocelot_port_readl, 0x4189694b, "_gpl");
SYMBOL_CRC(ocelot_port_writel, 0x8cc6204a, "_gpl");
SYMBOL_CRC(ocelot_port_rmwl, 0x2c9e2fe2, "_gpl");
SYMBOL_CRC(ocelot_regfields_init, 0x48db27d2, "_gpl");
SYMBOL_CRC(ocelot_regmap_init, 0x72dc611a, "_gpl");
SYMBOL_CRC(ocelot_mm_irq, 0x0ec05e70, "_gpl");
SYMBOL_CRC(ocelot_port_set_mm, 0x2224bcea, "_gpl");
SYMBOL_CRC(ocelot_port_get_mm, 0x9593ffa9, "_gpl");
SYMBOL_CRC(ocelot_policer_validate, 0xa02b9cf8, "");
SYMBOL_CRC(ocelot_port_policer_add, 0x44814745, "");
SYMBOL_CRC(ocelot_port_policer_del, 0xd9492ceb, "");
SYMBOL_CRC(ocelot_ptp_gettime64, 0x4a8a1cda, "");
SYMBOL_CRC(ocelot_ptp_settime64, 0x0dccce48, "");
SYMBOL_CRC(ocelot_ptp_adjtime, 0x178375eb, "");
SYMBOL_CRC(ocelot_ptp_adjfine, 0x1518ae47, "");
SYMBOL_CRC(ocelot_ptp_verify, 0x49ca5307, "");
SYMBOL_CRC(ocelot_ptp_enable, 0xc0831a69, "");
SYMBOL_CRC(ocelot_hwstamp_get, 0x17837711, "");
SYMBOL_CRC(ocelot_hwstamp_set, 0x148c3bf0, "");
SYMBOL_CRC(ocelot_get_ts_info, 0x2b1cd6e0, "");
SYMBOL_CRC(ocelot_port_txtstamp_request, 0xf1e54aa9, "");
SYMBOL_CRC(ocelot_get_txtstamp, 0x0ea1218d, "");
SYMBOL_CRC(ocelot_init_timestamp, 0x25b59ce4, "");
SYMBOL_CRC(ocelot_deinit_timestamp, 0xed468281, "");
SYMBOL_CRC(ocelot_get_strings, 0xebb8def5, "");
SYMBOL_CRC(ocelot_get_sset_count, 0x6ba8a28d, "");
SYMBOL_CRC(ocelot_get_ethtool_stats, 0x96e41ae5, "");
SYMBOL_CRC(ocelot_port_get_pause_stats, 0xcaba7bf9, "_gpl");
SYMBOL_CRC(ocelot_port_get_mm_stats, 0xeb60b9a3, "_gpl");
SYMBOL_CRC(ocelot_port_get_rmon_stats, 0x6f7c04e3, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_ctrl_stats, 0x57990cc1, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_mac_stats, 0x4b6a465d, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_phy_stats, 0x7983e112, "_gpl");
SYMBOL_CRC(ocelot_port_get_stats64, 0x6be46321, "");
SYMBOL_CRC(ocelot_vcap_policer_add, 0x326c25a2, "");
SYMBOL_CRC(ocelot_vcap_policer_del, 0xba81c67d, "");
SYMBOL_CRC(ocelot_vcap_block_find_filter_by_id, 0x2ee2eeab, "");
SYMBOL_CRC(ocelot_vcap_filter_add, 0x29dbddc3, "");
SYMBOL_CRC(ocelot_vcap_filter_del, 0x3b0abdb8, "");
SYMBOL_CRC(ocelot_vcap_filter_replace, 0xca56e88d, "");
SYMBOL_CRC(vsc7514_regfields, 0x7e5aec55, "");
SYMBOL_CRC(vsc7514_regmap, 0xf80fc88d, "");
SYMBOL_CRC(vsc7514_vcap_props, 0x6ce19e2a, "");
SYMBOL_CRC(ocelot_mrp_add, 0x47ec660d, "");
SYMBOL_CRC(ocelot_mrp_del, 0xc6b2f912, "");
SYMBOL_CRC(ocelot_mrp_add_ring_role, 0x3ab19989, "");
SYMBOL_CRC(ocelot_mrp_del_ring_role, 0xdc0d0943, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x76ffa5f4, "flow_rule_match_ipv4_addrs" },
	{ 0x2e0bf566, "regmap_field_update_bits_base" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb84e9980, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x5859e300, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x201611ac, "ethtool_aggregate_ctrl_stats" },
	{ 0xe4b818c3, "phy_speed_to_str" },
	{ 0x56cb51ea, "skb_queue_purge_reason" },
	{ 0xf4c06e58, "ptp_find_pin" },
	{ 0x3e9f235e, "eth_type_trans" },
	{ 0xb0f71aa1, "ethtool_aggregate_pause_stats" },
	{ 0x7a429cab, "ptp_parse_header" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa19abef7, "regmap_fields_read" },
	{ 0x12a5d0d, "skb_queue_tail" },
	{ 0x6750028e, "regmap_field_read" },
	{ 0x1a25d17b, "devm_regmap_field_alloc" },
	{ 0xe42a3e76, "ptp_classify_raw" },
	{ 0x8f2cb235, "flow_rule_match_basic" },
	{ 0xff5e9727, "__dev_get_by_index" },
	{ 0xf267b973, "devm_kfree" },
	{ 0x67501f2, "_dev_err" },
	{ 0xbc8ee9f0, "ptp_clock_register" },
	{ 0x561bb4a5, "netif_set_real_num_tx_queues" },
	{ 0x6fc1639a, "kfree_skb_reason" },
	{ 0x15f3f427, "skb_complete_tx_timestamp" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x59a2f0ee, "packing" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x474250c9, "ethtool_aggregate_phy_stats" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xc3734ba, "_dev_warn" },
	{ 0x3e750c95, "flow_rule_match_ports" },
	{ 0x449e1d6, "__devm_regmap_init_mmio_clk" },
	{ 0xa0db8b0c, "ethtool_aggregate_mac_stats" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd72488f3, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xfba96b41, "ptp_clock_unregister" },
	{ 0x695b32e2, "__netdev_alloc_skb" },
	{ 0xdbb7cb6d, "of_phy_get" },
	{ 0x40919784, "phy_set_mode_ext" },
	{ 0x3d78fb9b, "netdev_reset_tc" },
	{ 0xa4c46c5d, "regmap_read" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xaf5b64f6, "devm_ioremap_resource" },
	{ 0x2e15d75, "ethtool_aggregate_rmon_stats" },
	{ 0xfbb1dc0, "flow_rule_match_vlan" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4467719d, "regmap_bulk_read" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7aba9ceb, "flow_rule_match_meta" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x82eabc9f, "netdev_set_num_tc" },
	{ 0xcda6f5d6, "regmap_update_bits_base" },
	{ 0xbf125d4f, "dev_err_probe" },
	{ 0xf62f3f37, "kmalloc_trace" },
	{ 0xd8a63b3a, "dev_kfree_skb_any_reason" },
	{ 0xd916f9a0, "devlink_sb_unregister" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7594160c, "flow_rule_match_control" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xbabdbe65, "kmalloc_caches" },
	{ 0x82ea8767, "br_vlan_enabled" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xfd1ac5aa, "regmap_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xda910f76, "devm_kmalloc" },
	{ 0x175686f0, "skb_put" },
	{ 0xa4557c9d, "skb_tstamp_tx" },
	{ 0x379904b3, "of_phy_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf3e8611d, "skb_clone_sk" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xf049830a, "regmap_fields_update_bits_base" },
	{ 0xa00eb921, "flow_rule_match_eth_addrs" },
	{ 0x47c000d4, "ptp_clock_index" },
	{ 0xa921a1ab, "devlink_sb_register" },
	{ 0x37a0cba, "kfree" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "libphy,regmap-mmio,bridge");


MODULE_INFO(srcversion, "709ECF9881BFDAC3C82EC4D");
