#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stmmac_bus_clks_config, "_gpl", "");
KSYMTAB_FUNC(stmmac_init_tstamp_counter, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_probe, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_remove, "_gpl", "");
KSYMTAB_FUNC(stmmac_suspend, "_gpl", "");
KSYMTAB_FUNC(stmmac_resume, "_gpl", "");
KSYMTAB_FUNC(stmmac_set_mac_addr, "_gpl", "");
KSYMTAB_FUNC(stmmac_get_mac_addr, "_gpl", "");

SYMBOL_CRC(stmmac_bus_clks_config, 0xf9c36a1b, "_gpl");
SYMBOL_CRC(stmmac_init_tstamp_counter, 0xc0b6dfbe, "_gpl");
SYMBOL_CRC(stmmac_dvr_probe, 0x53096346, "_gpl");
SYMBOL_CRC(stmmac_dvr_remove, 0x50a22b20, "_gpl");
SYMBOL_CRC(stmmac_suspend, 0x9488339d, "_gpl");
SYMBOL_CRC(stmmac_resume, 0x6d888920, "_gpl");
SYMBOL_CRC(stmmac_set_mac_addr, 0x545572d4, "_gpl");
SYMBOL_CRC(stmmac_get_mac_addr, 0x92d778bb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x498c1bf3, "phylink_limit_mac_speed" },
	{ 0x51547c8a, "phylink_create" },
	{ 0x4278d56a, "phylink_expects_phy" },
	{ 0x1e0be3e4, "dev_driver_string" },
	{ 0xbd192904, "pinctrl_pm_select_default_state" },
	{ 0xfeca0683, "dev_addr_mod" },
	{ 0x69981fd3, "xdp_rxq_info_reg_mem_model" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x3e9f235e, "eth_type_trans" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8252cf01, "__pm_runtime_set_status" },
	{ 0xd361a2a5, "dma_map_page_attrs" },
	{ 0x8201b6cc, "napi_complete_done" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x969cb872, "__devm_alloc_percpu" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x143ef9ea, "pm_wakeup_dev_event" },
	{ 0x8b29866d, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x942ac9ed, "__napi_schedule" },
	{ 0x583481ae, "pm_runtime_enable" },
	{ 0x1a34079d, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x79b6a19a, "netif_device_detach" },
	{ 0x425dcb9, "xpcs_config_eee" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x16ca1a8a, "phylink_suspend" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0x49ff345a, "_dev_info" },
	{ 0x1abb6908, "xpcs_create_mdiodev" },
	{ 0x9541fa1f, "napi_gro_receive" },
	{ 0x9c4a35d9, "netif_device_attach" },
	{ 0x3f9e4b57, "xdp_features_clear_redirect_target" },
	{ 0x14f7bc5d, "phylink_ethtool_get_eee" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0xc63bf6c5, "netdev_pick_tx" },
	{ 0xe376f1ff, "phy_init_eee" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x172fa79, "xp_raw_get_dma" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x98a84972, "xdp_rxq_info_is_reg" },
	{ 0xff6d1bb6, "devm_alloc_etherdev_mqs" },
	{ 0x28c40c1e, "flow_block_cb_setup_simple" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x8f2cb235, "flow_rule_match_basic" },
	{ 0x5d0c4dcc, "phylink_speed_up" },
	{ 0x9363dfc7, "dev_open" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x67501f2, "_dev_err" },
	{ 0xf073c285, "xpcs_destroy" },
	{ 0xbcfb6f9b, "pinctrl_pm_select_sleep_state" },
	{ 0x11fd71f9, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x7e7eb00e, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xbc8ee9f0, "ptp_clock_register" },
	{ 0x9591de8f, "xp_dma_sync_for_cpu_slow" },
	{ 0xdefa24ba, "xsk_tx_peek_desc" },
	{ 0x561bb4a5, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4d29a890, "netif_set_real_num_rx_queues" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x3ee164d7, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0xadd5af86, "dma_alloc_attrs" },
	{ 0x1e82c82c, "debugfs_remove" },
	{ 0xf170a06b, "napi_enable" },
	{ 0xd7f65760, "xsk_clear_rx_need_wakeup" },
	{ 0xd3323354, "xpcs_get_interfaces" },
	{ 0xadbed7b, "xsk_uses_need_wakeup" },
	{ 0x3838d50a, "register_netdev" },
	{ 0x16c28f33, "xsk_get_pool_from_qid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf4238194, "dql_completed" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x70969dd8, "mdiobus_free" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xc0a8f4be, "phylink_resume" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x903fa859, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd6b80909, "__SCK__tp_func_xdp_exception" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd18ad2fd, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0xb9a1ed4, "netif_tx_wake_queue" },
	{ 0xdd64bdae, "fwnode_get_phy_node" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x374d5d92, "dma_sync_single_for_cpu" },
	{ 0x3248ac9b, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0xc3734ba, "_dev_warn" },
	{ 0x3e750c95, "flow_rule_match_ports" },
	{ 0x5d5d484b, "phylink_fwnode_phy_connect" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xaedd439b, "ptp_clock_event" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0xf8bf4f7a, "netif_schedule_queue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x54ea424e, "fwnode_get_named_child_node" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xfba96b41, "ptp_clock_unregister" },
	{ 0x69294c8e, "xp_dma_unmap" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x803af0ec, "xpcs_get_an_mode" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x6bba54ab, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x91bdc9c6, "xdp_return_frame_rx_napi" },
	{ 0xab64ab65, "netdev_alert" },
	{ 0x9826fbea, "dma_set_coherent_mask" },
	{ 0x4101f83a, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x3bcfc013, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa16449b4, "phylink_ethtool_ksettings_set" },
	{ 0x13ab2ff4, "debugfs_rename" },
	{ 0xc56d035f, "debugfs_create_file" },
	{ 0xbb737e14, "xsk_set_tx_need_wakeup" },
	{ 0xb80f34ca, "dma_free_attrs" },
	{ 0xd2146338, "__pm_runtime_resume" },
	{ 0x825c7340, "phylink_get_eee_err" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf63c3188, "xp_set_rxq_info" },
	{ 0xfbb1dc0, "flow_rule_match_vlan" },
	{ 0x27ce573a, "xdp_rxq_info_unreg" },
	{ 0x47aa02dd, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xaba7838, "__xdp_rxq_info_reg" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x389ddd4d, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x8862dfc7, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x59e0695d, "phylink_speed_down" },
	{ 0x9ecddb7e, "mdiobus_get_phy" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc0e2e86d, "netif_carrier_on" },
	{ 0xf659704c, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0x327f59d3, "__mdiobus_register" },
	{ 0x9616a255, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xd48283ef, "xp_free" },
	{ 0xd6565347, "single_release" },
	{ 0x5b20e357, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0xbf125d4f, "dev_err_probe" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x5db13686, "skb_add_rx_frag_netmem" },
	{ 0xf62f3f37, "kmalloc_trace" },
	{ 0x49e1b7d6, "xdp_master_redirect" },
	{ 0x175e75b4, "fwnode_handle_put" },
	{ 0x37be8bcf, "xp_raw_get_data" },
	{ 0xd2ef6a40, "phylink_mii_ioctl" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x356ee6ab, "napi_schedule_prep" },
	{ 0x32329008, "napi_disable" },
	{ 0xd8a63b3a, "dev_kfree_skb_any_reason" },
	{ 0x2721535, "eth_header_parse_protocol" },
	{ 0x96fdff52, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x8cec3ae1, "single_open" },
	{ 0xcf2f73d5, "__pm_runtime_disable" },
	{ 0x3c4edc26, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc3d40fc9, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4995b250, "ethtool_op_get_ts_info" },
	{ 0x7db927fe, "xsk_tx_release" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x15df3f82, "__dev_fwnode" },
	{ 0xbabdbe65, "kmalloc_caches" },
	{ 0x3bd62b90, "netdev_info" },
	{ 0x8614c878, "page_pool_put_unrefed_page" },
	{ 0xb63c5614, "phylink_connect_phy" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3a8ac02, "mdiobus_alloc_size" },
	{ 0xc42266df, "__tracepoint_xdp_exception" },
	{ 0x765659a, "xsk_tx_completed" },
	{ 0x476db5e, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2a047aa2, "xp_alloc" },
	{ 0x26bbe44a, "device_set_wakeup_enable" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x6dfe11cb, "bpf_prog_put" },
	{ 0x4ccecc10, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x288c9a52, "xp_dma_map" },
	{ 0x944567ac, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xda910f76, "devm_kmalloc" },
	{ 0x173a2a01, "eth_mac_addr" },
	{ 0x175686f0, "skb_put" },
	{ 0xa4557c9d, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xdea8c736, "__napi_alloc_skb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x738a1459, "netdev_update_features" },
	{ 0x3b6aa8af, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xb0e602eb, "memmove" },
	{ 0x9306a690, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x338e80e9, "hrtimer_try_to_cancel" },
	{ 0x4f7dca1d, "bpf_warn_invalid_xdp_action" },
	{ 0x29a160b3, "unregister_netdev" },
	{ 0x5da35e3e, "xdp_convert_zc_to_xdp_frame" },
	{ 0x57d419b2, "xdp_features_set_redirect_target" },
	{ 0xcc2ad4dd, "dma_unmap_page_attrs" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xca122d55, "dma_sync_single_for_device" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0xae730404, "get_device_system_crosststamp" },
	{ 0x47c000d4, "ptp_clock_index" },
	{ 0x8d0eabe, "phy_attached_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0x1b7244b, "pcpu_hot" },
	{ 0x5781d422, "seq_lseek" },
	{ 0x82c2ae23, "page_pool_destroy" },
	{ 0x5ba950db, "xdp_do_redirect" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5d7ffec, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x76ffa5f4, "flow_rule_match_ipv4_addrs" },
	{ 0x61ec6f62, "xdp_rxq_info_unreg_mem_model" },
	{ 0x2372221e, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x5859e300, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "phylink,pcs_xpcs,libphy");


MODULE_INFO(srcversion, "DB33C58D3A4675F3578DC42");
