#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xac5eb865, "ethnl_cable_test_fault_length" },
	{ 0xb23ea644, "genphy_soft_reset" },
	{ 0x595a140f, "genphy_read_mmd_unsupported" },
	{ 0x25f55f29, "genphy_write_mmd_unsupported" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x56bc3aae, "phy_drivers_register" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf41787e0, "genphy_suspend" },
	{ 0x16bf68e5, "mdiobus_read" },
	{ 0x816f930c, "genphy_resume" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd88c302c, "phy_write_mmd" },
	{ 0xed908edc, "mdiobus_write" },
	{ 0xc07e63d2, "genphy_read_status" },
	{ 0x79c0f41b, "phy_modify" },
	{ 0x1918c1c8, "phy_modify_mmd" },
	{ 0x35d849d6, "phy_read_mmd" },
	{ 0x1195685c, "genphy_restart_aneg" },
	{ 0xf9622b0f, "phy_trigger_machine" },
	{ 0x79098527, "phy_error" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xe42a3e76, "ptp_classify_raw" },
	{ 0x7a429cab, "ptp_parse_header" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x15f3f427, "skb_complete_tx_timestamp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcd2172, "ptp_cancel_worker_sync" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf61a3945, "__mdiobus_write" },
	{ 0x8461a4d1, "__mdiobus_read" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x67501f2, "_dev_err" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x4556b79, "phy_drivers_unregister" },
	{ 0x7cf6c177, "__genphy_config_aneg" },
	{ 0x9fa7345b, "genphy_read_abilities" },
	{ 0x30110a29, "phy_eee_cap1_features" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x2d5f9f30, "phy_init_hw" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x95deadce, "ptp_find_pin_unlocked" },
	{ 0xaedd439b, "ptp_clock_event" },
	{ 0x56cb51ea, "skb_queue_purge_reason" },
	{ 0xda910f76, "devm_kmalloc" },
	{ 0x552eb755, "devm_phy_package_join" },
	{ 0xee4af13, "devm_gpiod_get_optional" },
	{ 0x974a1b21, "gpiod_set_consumer_name" },
	{ 0x337d6e48, "gpiod_set_value_cansleep" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xbc8ee9f0, "ptp_clock_register" },
	{ 0xb84e9980, "__dynamic_dev_dbg" },
	{ 0xbabdbe65, "kmalloc_caches" },
	{ 0xf62f3f37, "kmalloc_trace" },
	{ 0x4c21c634, "skb_push" },
	{ 0x470906f2, "netif_rx" },
	{ 0x37a0cba, "kfree" },
	{ 0x73506bfc, "devm_clk_get_optional_enabled" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xf9a482f9, "msleep" },
	{ 0x16cef46b, "ethnl_cable_test_result" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("mdio:????????????0010000101100001000?");
MODULE_ALIAS("mdio:????????00100010000101100010????");
MODULE_ALIAS("mdio:????????00100010000101100100????");
MODULE_ALIAS("mdio:????????0010001000010110000110??");
MODULE_ALIAS("mdio:????????00100010000101110010????");
MODULE_ALIAS("mdio:????????001000100001010101010101");
MODULE_ALIAS("mdio:????????001000100001010101010110");
MODULE_ALIAS("mdio:????????00100010000101010001????");
MODULE_ALIAS("mdio:????????00100010000101010101????");
MODULE_ALIAS("mdio:????????00100010000101010111????");
MODULE_ALIAS("mdio:????????00100010000101010110????");
MODULE_ALIAS("mdio:????????00001110011100100011????");
MODULE_ALIAS("mdio:????????00100010000101000011????");
MODULE_ALIAS("mdio:????????00100010000101100110????");
MODULE_ALIAS("mdio:????????00100010000101100111????");
MODULE_ALIAS("mdio:????????00100010000101100101????");

MODULE_INFO(srcversion, "6799EB50219D78A7EA5E3DC");
