#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(libipw_networks_age, "", "");
KSYMTAB_FUNC(alloc_libipw, "", "");
KSYMTAB_FUNC(free_libipw, "", "");
KSYMTAB_DATA(libipw_debug_level, "_gpl", "");
KSYMTAB_FUNC(libipw_xmit, "", "");
KSYMTAB_FUNC(libipw_txb_free, "", "");
KSYMTAB_FUNC(libipw_rx_any, "_gpl", "");
KSYMTAB_FUNC(libipw_rx_mgt, "", "");
KSYMTAB_FUNC(libipw_rx, "", "");
KSYMTAB_FUNC(libipw_wx_set_encodeext, "", "");
KSYMTAB_FUNC(libipw_wx_get_encodeext, "", "");
KSYMTAB_FUNC(libipw_wx_get_scan, "", "");
KSYMTAB_FUNC(libipw_wx_set_encode, "", "");
KSYMTAB_FUNC(libipw_wx_get_encode, "", "");
KSYMTAB_FUNC(libipw_get_channel, "", "");
KSYMTAB_FUNC(libipw_get_channel_flags, "", "");
KSYMTAB_FUNC(libipw_is_valid_channel, "", "");
KSYMTAB_FUNC(libipw_freq_to_channel, "", "");
KSYMTAB_FUNC(libipw_channel_to_freq, "", "");
KSYMTAB_FUNC(libipw_channel_to_index, "", "");
KSYMTAB_FUNC(libipw_set_geo, "", "");
KSYMTAB_FUNC(libipw_get_geo, "", "");

SYMBOL_CRC(libipw_networks_age, 0x0fce957f, "");
SYMBOL_CRC(alloc_libipw, 0x9354574a, "");
SYMBOL_CRC(free_libipw, 0xa8c9d2da, "");
SYMBOL_CRC(libipw_debug_level, 0x498e4f1a, "_gpl");
SYMBOL_CRC(libipw_xmit, 0x7bbbe559, "");
SYMBOL_CRC(libipw_txb_free, 0x81c3b55d, "");
SYMBOL_CRC(libipw_rx_any, 0x4c0d304c, "_gpl");
SYMBOL_CRC(libipw_rx_mgt, 0xb21ad7e3, "");
SYMBOL_CRC(libipw_rx, 0xd3dd93ab, "");
SYMBOL_CRC(libipw_wx_set_encodeext, 0xa1c5edc6, "");
SYMBOL_CRC(libipw_wx_get_encodeext, 0xf07943ce, "");
SYMBOL_CRC(libipw_wx_get_scan, 0xadeac304, "");
SYMBOL_CRC(libipw_wx_set_encode, 0x5420d824, "");
SYMBOL_CRC(libipw_wx_get_encode, 0xa7d807a3, "");
SYMBOL_CRC(libipw_get_channel, 0xc50e9a2d, "");
SYMBOL_CRC(libipw_get_channel_flags, 0xc3efbc65, "");
SYMBOL_CRC(libipw_is_valid_channel, 0x0e6ffe58, "");
SYMBOL_CRC(libipw_freq_to_channel, 0xaa57d29e, "");
SYMBOL_CRC(libipw_channel_to_freq, 0x57ea731f, "");
SYMBOL_CRC(libipw_channel_to_index, 0x0b53c285, "");
SYMBOL_CRC(libipw_set_geo, 0x7ab4f660, "");
SYMBOL_CRC(libipw_get_geo, 0x14eed2b6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5781d422, "seq_lseek" },
	{ 0x20812b51, "dev_kfree_skb_irq_reason" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3e9f235e, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4704428d, "wiphy_new_nm" },
	{ 0x52757a40, "lib80211_crypt_info_init" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x356ef3ae, "lib80211_get_crypto_ops" },
	{ 0xaea46082, "init_net" },
	{ 0x11fd71f9, "skb_pull" },
	{ 0x4c21c634, "skb_push" },
	{ 0x37263f0, "free_netdev" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x90dee344, "proc_mkdir" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0xdd319355, "wireless_spy_update" },
	{ 0x470906f2, "netif_rx" },
	{ 0x695b32e2, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4101f83a, "seq_read" },
	{ 0x6460ffc1, "lib80211_crypt_info_free" },
	{ 0xdf41ffcb, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8862dfc7, "seq_printf" },
	{ 0x1a94a1c, "lib80211_crypt_delayed_deinit" },
	{ 0xd6565347, "single_release" },
	{ 0xf62f3f37, "kmalloc_trace" },
	{ 0xd8a63b3a, "dev_kfree_skb_any_reason" },
	{ 0x96fdff52, "param_ops_int" },
	{ 0x8cec3ae1, "single_open" },
	{ 0xe3fcb062, "wiphy_free" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbabdbe65, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x80d286c6, "alloc_etherdev_mqs" },
	{ 0xb8c8736, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0x175686f0, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x678309df, "proc_create" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,lib80211");


MODULE_INFO(srcversion, "38C420D31BCD53ED9A9D1A5");
