#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x747d6fcd, "rt2x00usb_disconnect" },
	{ 0xac13ffc3, "rt2x00usb_suspend" },
	{ 0x8e407c38, "rt2x00usb_resume" },
	{ 0x8f4f39f9, "rt2x00usb_initialize" },
	{ 0x309aa50a, "rt2x00usb_uninitialize" },
	{ 0x9a0092d4, "rt2x00usb_clear_entry" },
	{ 0x1d34e567, "rt2x00usb_watchdog" },
	{ 0xdcf38630, "rt2x00usb_kick_queue" },
	{ 0x853e4871, "rt2x00usb_flush_queue" },
	{ 0x68f15368, "rt2x00mac_tx" },
	{ 0x295c9d39, "rt2x00mac_start" },
	{ 0x907a8e80, "rt2x00mac_stop" },
	{ 0xb397477, "rt2x00mac_add_interface" },
	{ 0xfbed5c05, "rt2x00mac_remove_interface" },
	{ 0xbe816771, "rt2x00mac_config" },
	{ 0xca98d593, "rt2x00mac_bss_info_changed" },
	{ 0x8a28c948, "rt2x00mac_configure_filter" },
	{ 0x89a820dc, "rt2x00mac_set_tim" },
	{ 0xdf420f41, "rt2x00mac_set_key" },
	{ 0xe33375ff, "rt2x00mac_sw_scan_start" },
	{ 0xd49d4ae7, "rt2x00mac_sw_scan_complete" },
	{ 0xf9aaa53d, "rt2x00mac_get_stats" },
	{ 0x6a64b6fe, "rt2x00mac_conf_tx" },
	{ 0x63588beb, "rt2x00mac_rfkill_poll" },
	{ 0xa09dcb12, "rt2x00mac_flush" },
	{ 0xb00b636e, "rt2x00mac_set_antenna" },
	{ 0xbc127495, "rt2x00mac_get_antenna" },
	{ 0xbb226493, "rt2x00mac_get_ringparam" },
	{ 0x30713e8c, "rt2x00mac_tx_frames_pending" },
	{ 0x92bc4ca6, "ieee80211_emulate_add_chanctx" },
	{ 0x1134fca4, "ieee80211_emulate_remove_chanctx" },
	{ 0xaed4f463, "ieee80211_emulate_change_chanctx" },
	{ 0xb698bdbe, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xd064a70c, "ieee80211_handle_wake_tx_queue" },
	{ 0xef4c188e, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x845e19cb, "usb_register_driver" },
	{ 0xfc58871c, "rt2x00usb_probe" },
	{ 0xde871d05, "skb_trim" },
	{ 0x3b6aa8af, "consume_skb" },
	{ 0x430e8234, "usb_submit_urb" },
	{ 0x13b89a4a, "usb_deregister" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1e09d9fe, "rt2x00usb_vendor_req_buff_lock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x67501f2, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x232d72cf, "rt2x00usb_vendor_request_buff" },
	{ 0x4c21c634, "skb_push" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1286ac75, "rt2x00usb_vendor_request" },
	{ 0x28346eb9, "rt2x00lib_set_mac_address" },
	{ 0x49ff345a, "_dev_info" },
	{ 0xb84e9980, "__dynamic_dev_dbg" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf9a482f9, "msleep" },
	{ 0xfd8451, "rt2x00usb_disable_radio" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "rt2x00usb,rt2x00lib,mac80211,usbcore");

MODULE_ALIAS("usb:v0B05p1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1707d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7051d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p001Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14B2p3C02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3C00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8007d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06F8pE000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p005Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0066d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0067d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p008Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0097d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6861d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6865d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6869d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp2570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v079Bp004Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p3C06d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v114Bp0110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0769p11F3d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0EB0p9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F88p3012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v5A57p0260d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "7FEE5EDAB3F8A95A5692CF2");
