#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtw89_pci_recognize_intrs, "", "");
KSYMTAB_FUNC(rtw89_pci_recognize_intrs_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_recognize_intrs_v2, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr_v2, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr_v2, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set_v1, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set_be, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info_v1, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_dual, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_single, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask_v2, "", "");
KSYMTAB_DATA(rtw89_pm_ops, "", "");
KSYMTAB_DATA(rtw89_pci_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_pci_probe, "", "");
KSYMTAB_FUNC(rtw89_pci_remove, "", "");

SYMBOL_CRC(rtw89_pci_recognize_intrs, 0xc70a11b5, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v1, 0xc7d2fbb7, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v2, 0xa1d783e8, "");
SYMBOL_CRC(rtw89_pci_enable_intr, 0xe6149eed, "");
SYMBOL_CRC(rtw89_pci_disable_intr, 0xf6964740, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v1, 0xbf1d1f20, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v1, 0x3df14d59, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v2, 0x5f011cfb, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v2, 0xdded4e82, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set, 0x9ce0961b, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_v1, 0xf630d9a9, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_be, 0x33c84a55, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info, 0x7f782102, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info_v1, 0xd2ac78f1, "");
SYMBOL_CRC(rtw89_bd_ram_table_dual, 0x6efd9f2c, "");
SYMBOL_CRC(rtw89_bd_ram_table_single, 0x71162055, "");
SYMBOL_CRC(rtw89_pci_ltr_set, 0xe46a1593, "");
SYMBOL_CRC(rtw89_pci_ltr_set_v1, 0x66cc762e, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask, 0x2b5b3b99, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v1, 0x08aa59e6, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v2, 0x1a7a638c, "");
SYMBOL_CRC(rtw89_pm_ops, 0xa2f0875a, "");
SYMBOL_CRC(rtw89_pci_gen_ax, 0x878dcf6b, "");
SYMBOL_CRC(rtw89_pci_probe, 0xeeba0cab, "");
SYMBOL_CRC(rtw89_pci_remove, 0x3946eccd, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd8fa1f16, "pci_iounmap" },
	{ 0x374d5d92, "dma_sync_single_for_cpu" },
	{ 0xfb578fc5, "memset" },
	{ 0xc3734ba, "_dev_warn" },
	{ 0xd6446d6e, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf441fc5b, "rtw89_ser_notify" },
	{ 0x695b32e2, "__netdev_alloc_skb" },
	{ 0xe3eec1ed, "skb_unlink" },
	{ 0x9826fbea, "dma_set_coherent_mask" },
	{ 0x738158b0, "rtw89_core_register" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb80f34ca, "dma_free_attrs" },
	{ 0x3dc0de2d, "rtw89_core_rx" },
	{ 0xef4c188e, "param_ops_bool" },
	{ 0xa308df32, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd74ab4f0, "rtw89_core_deinit" },
	{ 0x59688d, "pci_write_config_byte" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc11b587a, "pci_disable_device" },
	{ 0x5b20e357, "dma_set_mask" },
	{ 0x356ee6ab, "napi_schedule_prep" },
	{ 0xcc452236, "pci_read_config_byte" },
	{ 0xd8a63b3a, "dev_kfree_skb_any_reason" },
	{ 0xa33bb9a2, "pci_free_irq_vectors" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xee88edc4, "rtw89_core_napi_stop" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xaa46be19, "rtw89_chip_info_setup" },
	{ 0xfbfc6ffe, "rtw89_mac_get_err_status" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb6bb546b, "pcie_capability_read_word" },
	{ 0xdb2cefcb, "pci_find_ext_capability" },
	{ 0xa6cd355c, "rtw89_alloc_ieee80211_hw" },
	{ 0xb23c474, "devm_request_threaded_irq" },
	{ 0xcdb16cba, "pci_enable_device" },
	{ 0x175686f0, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x3b6aa8af, "consume_skb" },
	{ 0x962ec14a, "pci_iomap" },
	{ 0x52a534ab, "pci_alloc_irq_vectors" },
	{ 0xa6257a2f, "complete" },
	{ 0x98611dfe, "skb_dequeue" },
	{ 0xcc2ad4dd, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xca122d55, "dma_sync_single_for_device" },
	{ 0x80dbeafb, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1b7244b, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x30df5d4e, "rtw89_core_napi_init" },
	{ 0x495072ad, "rtw89_core_unregister" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1e0be3e4, "dev_driver_string" },
	{ 0xd6eb005b, "ieee80211_tx_status_skb" },
	{ 0x103082d5, "pci_read_config_dword" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd361a2a5, "dma_map_page_attrs" },
	{ 0x8201b6cc, "napi_complete_done" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x69e40226, "devm_free_irq" },
	{ 0x942ac9ed, "__napi_schedule" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x49ff345a, "_dev_info" },
	{ 0x12a5d0d, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc726ce22, "rtw89_core_init" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x67501f2, "_dev_err" },
	{ 0x564c2c96, "rtw89_check_quirks" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xfe94829f, "rtw89_core_napi_deinit" },
	{ 0x4c21c634, "skb_push" },
	{ 0xadd5af86, "dma_alloc_attrs" },
	{ 0xda285ec0, "rtw89_free_ieee80211_hw" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xbdc74ca1, "rtw89_core_napi_start" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "rtw89_core,mac80211");


MODULE_INFO(srcversion, "A88C380A22B9F2391AB050E");
