#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cw1200_core_probe, "_gpl", "");
KSYMTAB_FUNC(cw1200_core_release, "_gpl", "");
KSYMTAB_FUNC(cw1200_irq_handler, "_gpl", "");
KSYMTAB_FUNC(cw1200_can_suspend, "_gpl", "");

SYMBOL_CRC(cw1200_core_probe, 0xccd252fd, "_gpl");
SYMBOL_CRC(cw1200_core_release, 0xd60d5698, "_gpl");
SYMBOL_CRC(cw1200_irq_handler, 0x4e8dfc95, "_gpl");
SYMBOL_CRC(cw1200_can_suspend, 0x9baaf980, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x98611dfe, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7f465c23, "ieee80211_free_hw" },
	{ 0xde7a810, "ieee80211_probereq_get" },
	{ 0xbef363c0, "request_firmware" },
	{ 0xcf2a6966, "up" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0xabd0f583, "param_array_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc8288f53, "ieee80211_nullfunc_get" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x5781d422, "seq_lseek" },
	{ 0x9dda4648, "ieee80211_pspoll_get" },
	{ 0xef230a2d, "ieee80211_register_hw" },
	{ 0xaed4f463, "ieee80211_emulate_change_chanctx" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x5b8fe715, "param_ops_byte" },
	{ 0x485e9cab, "ieee80211_wake_queue" },
	{ 0xb84e9980, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x56cb51ea, "skb_queue_purge_reason" },
	{ 0xd6eb005b, "ieee80211_tx_status_skb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5305fb1e, "ieee80211_find_sta" },
	{ 0xd064a70c, "ieee80211_handle_wake_tx_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x24754222, "ieee80211_sta_set_buffered" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa526c54b, "cfg80211_put_bss" },
	{ 0x49ff345a, "_dev_info" },
	{ 0x12a5d0d, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x67501f2, "_dev_err" },
	{ 0xedafde3, "simple_open" },
	{ 0x11fd71f9, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6626afca, "down" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4c21c634, "skb_push" },
	{ 0x1e82c82c, "debugfs_remove" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3e4e01d3, "ieee80211_alloc_hw_nm" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xb3db8a13, "default_llseek" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xc3734ba, "_dev_warn" },
	{ 0x92bc4ca6, "ieee80211_emulate_add_chanctx" },
	{ 0xd62386d2, "param_ops_charp" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb698bdbe, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe83a3d10, "ieee80211_stop_queue" },
	{ 0x695b32e2, "__netdev_alloc_skb" },
	{ 0xde871d05, "skb_trim" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4101f83a, "seq_read" },
	{ 0xc56d035f, "debugfs_create_file" },
	{ 0xdf7b7ec1, "ieee80211_scan_completed" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3cb6147, "ieee80211_unregister_hw" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8862dfc7, "seq_printf" },
	{ 0x7cb4a386, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xd5c57235, "ieee80211_cqm_rssi_notify" },
	{ 0x2440fbc4, "seq_puts" },
	{ 0xd6565347, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf62f3f37, "kmalloc_trace" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0x96fdff52, "param_ops_int" },
	{ 0x8cec3ae1, "single_open" },
	{ 0x3c4edc26, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1134fca4, "ieee80211_emulate_remove_chanctx" },
	{ 0xa874a918, "__cfg80211_get_bss" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xbabdbe65, "kmalloc_caches" },
	{ 0x773b66c3, "ieee80211_rx_irqsafe" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x8c2e9060, "ieee80211_connection_loss" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x175686f0, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x3b6aa8af, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "62BCEF291F66084AB57B897");
