#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ndlc_open, "", "");
KSYMTAB_FUNC(ndlc_close, "", "");
KSYMTAB_FUNC(ndlc_send, "", "");
KSYMTAB_FUNC(ndlc_recv, "", "");
KSYMTAB_FUNC(ndlc_probe, "", "");
KSYMTAB_FUNC(ndlc_remove, "", "");
KSYMTAB_FUNC(st_nci_probe, "_gpl", "");
KSYMTAB_FUNC(st_nci_remove, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_load_session, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_event_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_cmd_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_disable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_enable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_discover_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_se_io, "", "");
KSYMTAB_FUNC(st_nci_se_init, "", "");
KSYMTAB_FUNC(st_nci_se_deinit, "", "");
KSYMTAB_FUNC(st_nci_vendor_cmds_init, "", "");

SYMBOL_CRC(ndlc_open, 0x92d4c99d, "");
SYMBOL_CRC(ndlc_close, 0x6bf5d632, "");
SYMBOL_CRC(ndlc_send, 0xede0cb41, "");
SYMBOL_CRC(ndlc_recv, 0x5f6812a0, "");
SYMBOL_CRC(ndlc_probe, 0xd1e2b88e, "");
SYMBOL_CRC(ndlc_remove, 0x43d4d4db, "");
SYMBOL_CRC(st_nci_probe, 0xb640969d, "_gpl");
SYMBOL_CRC(st_nci_remove, 0x66f977db, "_gpl");
SYMBOL_CRC(st_nci_hci_load_session, 0x190d4102, "_gpl");
SYMBOL_CRC(st_nci_hci_event_received, 0x0dcaa63c, "_gpl");
SYMBOL_CRC(st_nci_hci_cmd_received, 0x6180179e, "_gpl");
SYMBOL_CRC(st_nci_disable_se, 0xb3ac29f2, "_gpl");
SYMBOL_CRC(st_nci_enable_se, 0x34bbb6cc, "_gpl");
SYMBOL_CRC(st_nci_discover_se, 0xb27d25ef, "_gpl");
SYMBOL_CRC(st_nci_se_io, 0x31b3ae6b, "");
SYMBOL_CRC(st_nci_se_init, 0x04f95ee9, "");
SYMBOL_CRC(st_nci_se_deinit, 0x77a76d8e, "");
SYMBOL_CRC(st_nci_vendor_cmds_init, 0x59adc5ca, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x167c5967, "print_hex_dump" },
	{ 0xbf9d99ce, "nfc_se_transaction" },
	{ 0x67501f2, "_dev_err" },
	{ 0x11fd71f9, "skb_pull" },
	{ 0xadbfed73, "nci_hci_connect_gate" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6fc1639a, "kfree_skb_reason" },
	{ 0x4c21c634, "skb_push" },
	{ 0xd5a43273, "nla_put" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x57bb1cb2, "nci_prop_cmd" },
	{ 0x33af9a80, "nci_core_conn_create" },
	{ 0xa9425026, "nci_nfcc_loopback" },
	{ 0x2395cc9c, "nci_unregister_device" },
	{ 0xb3e9a572, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x76b50deb, "nci_hci_send_event" },
	{ 0x77cf58c7, "nci_hci_clear_all_pipes" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfe91e784, "nfc_se_connectivity" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe5a69794, "nci_hci_send_cmd" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x757db8d1, "nfc_vendor_cmd_reply" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x8485a304, "nci_recv_frame" },
	{ 0xf20c408f, "nci_hci_dev_session_init" },
	{ 0xf62f3f37, "kmalloc_trace" },
	{ 0xbfe85203, "nci_hci_set_param" },
	{ 0xd702cac, "nci_req_complete" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbabdbe65, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe8e9af2d, "skb_queue_head" },
	{ 0x8eccf807, "nci_free_device" },
	{ 0xf40af8f4, "nci_allocate_device" },
	{ 0xa927c6fd, "nci_register_device" },
	{ 0xda910f76, "devm_kmalloc" },
	{ 0x274c1db5, "__nfc_alloc_vendor_cmd_reply_skb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6bae71bd, "nfc_add_se" },
	{ 0x98611dfe, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xfe6cc26b, "nfc_remove_se" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x56cb51ea, "skb_queue_purge_reason" },
	{ 0x360d26cb, "nci_nfcee_mode_set" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5df5857b, "nci_hci_get_param" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x12a5d0d, "skb_queue_tail" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "nfc,nci");


MODULE_INFO(srcversion, "5FCF973BF4AA30B3DDAC57D");
