#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iscsi_tcp_segment_unmap, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_segment_done, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_dgst_header, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_init_linear, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_seek_sg, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_hdr_recv_prep, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_segment_is_hdr, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_skb, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_init, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_xmit, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_set_max_r2t, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_get_stats, "_gpl", "");

SYMBOL_CRC(iscsi_tcp_segment_unmap, 0x771deed7, "_gpl");
SYMBOL_CRC(iscsi_tcp_segment_done, 0x85e45459, "_gpl");
SYMBOL_CRC(iscsi_tcp_dgst_header, 0x85100698, "_gpl");
SYMBOL_CRC(iscsi_segment_init_linear, 0x8b6c1a7e, "_gpl");
SYMBOL_CRC(iscsi_segment_seek_sg, 0x85ff563e, "_gpl");
SYMBOL_CRC(iscsi_tcp_hdr_recv_prep, 0xb39b1e91, "_gpl");
SYMBOL_CRC(iscsi_tcp_cleanup_task, 0x2bb2e229, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_segment_is_hdr, 0x696a6ff0, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_skb, 0x6ffb88e3, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_init, 0x3193d7e5, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_xmit, 0x750b9619, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_setup, 0xf37d9d3f, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_teardown, 0x5573bbe0, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_alloc, 0x9c678174, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_free, 0x5a5a907a, "_gpl");
SYMBOL_CRC(iscsi_tcp_set_max_r2t, 0xab278076, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_get_stats, 0x74d9c47e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x98d5ccc2, "iscsi_dbg_trace" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x967f9c17, "_dev_printk" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x16711ebb, "crypto_ahash_digest" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xda0b74ff, "crypto_ahash_init" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa253699b, "iscsi_prep_data_out_pdu" },
	{ 0x699ecc24, "iscsi_put_task" },
	{ 0x74335de6, "iscsi_conn_failure" },
	{ 0xf9649cba, "iscsi_conn_setup" },
	{ 0x12bc92fc, "iscsi_conn_teardown" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x3bef2f73, "iscsi_pool_init" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x8d303b1b, "iscsi_pool_free" },
	{ 0x2f928642, "__tracepoint_iscsi_dbg_tcp" },
	{ 0x1b7244b, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xa8c4b5e1, "__SCT__tp_func_iscsi_dbg_tcp" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x1ef0a673, "const_pcpu_hot" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x862cbb53, "crypto_ahash_update" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x54bae815, "crypto_ahash_final" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x30e05088, "skb_prepare_seq_read" },
	{ 0x97fbda85, "skb_seq_read" },
	{ 0x69acdf38, "memcpy" },
	{ 0xec039c4c, "skb_abort_seq_read" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x1f6e19fc, "iscsi_complete_pdu" },
	{ 0xc35e6f92, "iscsi_verify_itt" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x41db92ea, "iscsi_itt_to_ctask" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xfcc17f85, "iscsi_get_task" },
	{ 0x2210053a, "iscsi_update_cmdsn" },
	{ 0x861b22a8, "__iscsi_complete_pdu" },
	{ 0x735fd7bd, "iscsi_requeue_task" },
	{ 0x96fdff52, "param_ops_int" },
	{ 0x8a040ca8, "__SCK__tp_func_iscsi_dbg_tcp" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,libiscsi");


MODULE_INFO(srcversion, "2064390599C28F50820AC03");
