#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0x9a1e0f6f, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0x82b67a81, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x88d5e384, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x480a824c, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0xd8424c5f, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0x30b07f91, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x80a6a477, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xfa01e4e2, "kmem_cache_alloc" },
	{ 0xdab5d968, "skb_mpls_pop" },
	{ 0x5e467680, "skb_vlan_pop" },
	{ 0xddc1a7d5, "dst_init" },
	{ 0x748a02f7, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xba9bdde5, "rtnl_link_unregister" },
	{ 0x7501cf58, "perf_trace_run_bpf_submit" },
	{ 0xe6d8125b, "__skb_get_hash" },
	{ 0xaea46082, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0xc4d2b0ef, "ipv6_stub" },
	{ 0x24dcade2, "skb_mpls_update_lse" },
	{ 0x11fd71f9, "skb_pull" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x16386c65, "netlink_unicast" },
	{ 0xe3f48f4a, "bpf_trace_run5" },
	{ 0xb25a8d76, "dev_get_by_index_rcu" },
	{ 0x6fc1639a, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4c21c634, "skb_push" },
	{ 0x88bc65c0, "kmem_cache_free" },
	{ 0xe67d560d, "netdev_upper_dev_unlink" },
	{ 0xd5a43273, "nla_put" },
	{ 0x25e36875, "trace_event_reg" },
	{ 0x908255ca, "skb_ensure_writable" },
	{ 0x37263f0, "free_netdev" },
	{ 0x817e9a46, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3f5e84dc, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x903fa859, "ethtool_op_get_link" },
	{ 0xfaf5a7f4, "__nf_conntrack_confirm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0x940dbc5d, "nf_nat_helper_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6c9c40c1, "__pskb_pull_tail" },
	{ 0xaa8176ca, "nf_ct_delete" },
	{ 0x19f1a7ab, "nf_conncount_init" },
	{ 0x322ac98c, "skb_vlan_push" },
	{ 0xedbd753d, "dev_get_tstats64" },
	{ 0x470906f2, "netif_rx" },
	{ 0x695b32e2, "__netdev_alloc_skb" },
	{ 0xd8cc73bf, "netdev_master_upper_dev_link" },
	{ 0x829dc980, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xaec01089, "inet_proto_csum_replace16" },
	{ 0xde871d05, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3200c369, "skb_scrub_packet" },
	{ 0xec69e72c, "nf_ct_deliver_cached_events" },
	{ 0x38f7af64, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xb234afce, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x60cd06e8, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf128f573, "trace_event_buffer_reserve" },
	{ 0x866de3fe, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xda2d4bbe, "inet_proto_csum_replace4" },
	{ 0x80cdf598, "nf_conncount_destroy" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x373592b7, "skb_zerocopy" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x34199415, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x97f0d949, "dev_get_by_name" },
	{ 0x1c4b4bf0, "skb_clone" },
	{ 0x1d139987, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x23b6ec90, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa689457e, "peernet2id_alloc" },
	{ 0xffecc897, "nf_ct_get_tuplepr" },
	{ 0x8c8568a5, "netdev_rx_handler_register" },
	{ 0x780b45ff, "ip_do_fragment" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xe36c44d3, "genl_unregister_family" },
	{ 0xc9365d7e, "dev_disable_lro" },
	{ 0xf62f3f37, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xd8a63b3a, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x999a01cd, "genl_register_family" },
	{ 0xe2a12428, "nf_ct_tmpl_free" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1356a268, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x3b8d3978, "__skb_gso_segment" },
	{ 0x53b954a2, "up_read" },
	{ 0x3e5d8980, "skb_mpls_push" },
	{ 0xc2ed4c12, "register_pernet_device" },
	{ 0x3e6ff9, "nf_conntrack_in" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xbabdbe65, "kmalloc_caches" },
	{ 0x410191cb, "kmem_cache_alloc_node" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x4849a46b, "kmem_cache_destroy" },
	{ 0x623f533, "__skb_vlan_pop" },
	{ 0xc08b738c, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7cdb3f08, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x1b30b6e1, "nf_ct_ext_add" },
	{ 0x494e75f2, "__skb_get_hash_symmetric" },
	{ 0x609f9cc8, "nsh_pop" },
	{ 0xbdce0b09, "nf_conntrack_find_get" },
	{ 0x174a32f3, "nf_ct_set_timeout" },
	{ 0x9450c6a7, "dev_get_stats" },
	{ 0xfcc9d052, "__nla_put" },
	{ 0xb8c8736, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xcf0892c9, "dev_fill_metadata_dst" },
	{ 0x512998ed, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x944567ac, "skb_copy_bits" },
	{ 0x93eecb97, "nf_ct_handle_fragments" },
	{ 0x173a2a01, "eth_mac_addr" },
	{ 0x175686f0, "skb_put" },
	{ 0xda683755, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xcf9c3679, "nsh_push" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x3b6aa8af, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0xa3e84022, "nf_ct_nat" },
	{ 0xca9e776c, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa5cf7fee, "skb_eth_pop" },
	{ 0x450fe6eb, "trace_raw_output_prep" },
	{ 0x1e0936cf, "skb_gso_validate_mac_len" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0x385529b5, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0xa9a15b80, "nf_ct_helper" },
	{ 0x566f9aea, "__trace_trigger_soft_disabled" },
	{ 0xfc9838b7, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xd44b8ed7, "trace_event_printf" },
	{ 0x10e1aa0a, "rtnl_delete_link" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x609cf996, "rtnl_link_register" },
	{ 0x61ac935c, "nf_connlabels_put" },
	{ 0xd7bdedf4, "genlmsg_put" },
	{ 0x24ed797d, "___pskb_trim" },
	{ 0x22d26582, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5ec42e88, "dev_set_promiscuity" },
	{ 0xc875a12a, "nf_ct_destroy_timeout" },
	{ 0x6234beab, "nf_ct_add_helper" },
	{ 0x1b7244b, "pcpu_hot" },
	{ 0xe56e3463, "nf_conntrack_helper_put" },
	{ 0x3d89f030, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x7a3ac4c6, "nf_ct_skb_network_trim" },
	{ 0x1cc3e11e, "unregister_netdevice_queue" },
	{ 0xb91439fb, "kmem_cache_create" },
	{ 0xe98b4fff, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0xfa081920, "ether_setup" },
	{ 0x4fa81a5b, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x75457b1e, "pskb_expand_head" },
	{ 0x5ba8400, "skb_csum_hwoffload_help" },
	{ 0xf874fbf9, "trace_event_buffer_commit" },
	{ 0xfeca0683, "dev_addr_mod" },
	{ 0x61fd05ba, "nf_connlabels_replace" },
	{ 0x3e9f235e, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb4ec936f, "alloc_netdev_mqs" },
	{ 0xb8f7350a, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x57c38c47, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0xb17b9567, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xc2044a86, "skb_eth_push" },
	{ 0xcb625edd, "nf_conncount_count" },
	{ 0xa916b694, "strnlen" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_conncount,libcrc32c,nsh,nf_nat");


MODULE_INFO(srcversion, "56CE27ED850DEE8356F7AB5");
