#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xea50def3, "xprt_pin_rqst" },
	{ 0x86227c2, "ib_map_mr_sg" },
	{ 0x42e372f1, "rdma_rw_ctx_wrs" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x65fb69d7, "release_pages" },
	{ 0x7501cf58, "perf_trace_run_bpf_submit" },
	{ 0x3c49e3a3, "__ib_alloc_cq_any" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x44d6dab1, "svc_xprt_deferred_close" },
	{ 0xe3f48f4a, "bpf_trace_run5" },
	{ 0x88d42e53, "xprt_release_xprt_cong" },
	{ 0xefc2f665, "svc_xprt_copy_addrs" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x486b0d6, "xdr_init_decode" },
	{ 0x6bb52c90, "svc_xprt_received" },
	{ 0x9bd84435, "rdma_set_afonly" },
	{ 0x25e36875, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xc82b4b8f, "rdma_unlock_handler" },
	{ 0x3f730f9c, "xprt_unregister_transport" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa9a773f6, "rdma_listen" },
	{ 0x9fd9078, "rdma_destroy_qp" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x2975cd47, "bpf_trace_run1" },
	{ 0x7ea7e989, "ib_destroy_qp_user" },
	{ 0x374d5d92, "dma_sync_single_for_cpu" },
	{ 0x21f93669, "register_sysctl_sz" },
	{ 0x601c8b22, "svc_xprt_init" },
	{ 0xde60d3a8, "ib_alloc_mr" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd5c5c000, "ib_drain_rq" },
	{ 0x9c0a0e95, "xdr_buf_subsegment" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xd8e99720, "svc_unreg_xprt_class" },
	{ 0xad74c8a0, "rdma_connect" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd2194ede, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x5e80f411, "bpf_trace_run3" },
	{ 0x6c1f97c6, "xprt_wake_pending_tasks" },
	{ 0xbd401974, "xprt_unpin_rqst" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x474de230, "rpcb_getport_async" },
	{ 0x1a9602bd, "xprt_add_backlog" },
	{ 0xe709b850, "xprt_alloc" },
	{ 0xb68d674a, "ib_dma_virt_map_sg" },
	{ 0xf128f573, "trace_event_buffer_reserve" },
	{ 0x96ac5ffd, "xprt_request_get_cong" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x3e567889, "ib_free_cq" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x53126ecc, "__percpu_counter_sum" },
	{ 0xcbdaec0f, "rdma_destroy_id" },
	{ 0x60aec626, "xprt_free" },
	{ 0x925e8007, "xprt_force_disconnect" },
	{ 0x2965f991, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x5a466b5d, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8862dfc7, "seq_printf" },
	{ 0x8d15adcf, "rdma_accept" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1404f847, "xprt_unlock_connect" },
	{ 0xf9df1f89, "xprt_register_transport" },
	{ 0x7fa56b8a, "svc_reg_xprt_class" },
	{ 0x41944cef, "svc_xprt_enqueue" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0x2440fbc4, "seq_puts" },
	{ 0xc0667656, "ib_drain_qp" },
	{ 0x817abe0c, "ib_dealloc_pd_user" },
	{ 0x626196ed, "dma_unmap_sg_attrs" },
	{ 0xf62f3f37, "kmalloc_trace" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x754d539c, "strlen" },
	{ 0xe5c60bd2, "percpu_counter_set" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7767706e, "svc_xprt_close" },
	{ 0x1a45763b, "xprt_wait_for_reply_request_def" },
	{ 0x9555956a, "svc_pool_wake_idle_thread" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0x99e6dc77, "xdr_init_encode" },
	{ 0x601f9ef1, "xdr_stream_pos" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x1c614b4f, "xprt_lookup_rqst" },
	{ 0xea58cf2a, "xprt_reconnect_delay" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0xcf1df3de, "xprt_reconnect_backoff" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xbabdbe65, "kmalloc_caches" },
	{ 0xb1ae82dd, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb8d8007b, "rdma_rw_ctx_init" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb8c8736, "try_module_get" },
	{ 0xd1729dd1, "xprt_write_space" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x512998ed, "bpf_trace_run4" },
	{ 0x84e8b04e, "xprt_free_slot" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0xaf1323e8, "rdma_rw_ctx_destroy" },
	{ 0x7515f849, "xprt_release_rqst_cong" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc42ba58d, "xdr_inline_decode" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x450fe6eb, "trace_raw_output_prep" },
	{ 0x78dc9a4e, "xprt_disconnect_done" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xe373688b, "__ib_alloc_pd" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x566f9aea, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xcc2ad4dd, "dma_unmap_page_attrs" },
	{ 0xd44b8ed7, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7213108a, "rdma_resolve_addr" },
	{ 0xca122d55, "dma_sync_single_for_device" },
	{ 0xc0c664c4, "xprt_reserve_xprt_cong" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x22d26582, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1ad79fa, "xprt_get" },
	{ 0x1b7244b, "pcpu_hot" },
	{ 0x320145e6, "__put_devmap_managed_page_refs" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0xc61ebee, "xprt_wait_for_buffer_space" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0xd16c4794, "ib_dereg_mr_user" },
	{ 0x441f55d4, "bpf_trace_run2" },
	{ 0xa6d6ca8f, "xprt_wake_up_backlog" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x6d893021, "__module_get" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x2347e41f, "xprt_complete_rqst" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xaecc526f, "rdma_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x90d1a8ed, "xprt_put" },
	{ 0x1e0be3e4, "dev_driver_string" },
	{ 0xf874fbf9, "trace_event_buffer_commit" },
	{ 0x60059d66, "ib_drain_sq" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd361a2a5, "dma_map_page_attrs" },
	{ 0xb306afa1, "xprt_lock_connect" },
	{ 0x9b179bca, "rdma_lock_handler" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6dce5d4e, "__rdma_create_kernel_id" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc54e1706, "unregister_sysctl_table" },
	{ 0xa4fe0b90, "xprt_alloc_slot" },
	{ 0xa916b694, "strnlen" },
	{ 0xf20acece, "kmalloc_node_trace" },
	{ 0x1ef0a673, "const_pcpu_hot" },
	{ 0x7561e94a, "rdma_resolve_route" },
	{ 0xb9d025c9, "llist_del_first" },
	{ 0x748a02f7, "module_put" },
	{ 0x9eac6384, "rdma_bind_addr" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x5e56b5c8, "svc_xprt_put" },
	{ 0xade598ce, "rdma_create_qp" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,ib_core,rdma_cm");


MODULE_INFO(srcversion, "762B0FB77286D5A32F4222A");
