#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(xfrm_msg_min, "_gpl", "");
KSYMTAB_DATA(xfrma_policy, "_gpl", "");

SYMBOL_CRC(xfrm_msg_min, 0x4a0c7516, "_gpl");
SYMBOL_CRC(xfrma_policy, 0x205adfce, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfb578fc5, "memset" },
	{ 0x9166fada, "strncpy" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0x80a6a477, "__alloc_skb" },
	{ 0x3d50fd72, "__nlmsg_put" },
	{ 0x16386c65, "netlink_unicast" },
	{ 0x4c721a43, "xfrm_sad_getinfo" },
	{ 0xde871d05, "skb_trim" },
	{ 0x137ddc67, "xfrm_spd_getinfo" },
	{ 0xd0b452cb, "xfrm_state_alloc" },
	{ 0x49ca83, "xfrm_aead_get_byname" },
	{ 0x754d539c, "strlen" },
	{ 0x37a02412, "xfrm_aalg_get_byname" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd6f50cf7, "xfrm_ealg_get_byname" },
	{ 0xaab23340, "xfrm_calg_get_byname" },
	{ 0x5e2327cc, "__xfrm_init_state" },
	{ 0x27866435, "security_xfrm_state_alloc" },
	{ 0xc1361221, "xfrm_init_replay" },
	{ 0x62f22a2e, "xfrm_dev_state_add" },
	{ 0x794beab6, "xfrm_state_update" },
	{ 0x127aa3e4, "xfrm_audit_state_add" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x97418665, "__xfrm_state_destroy" },
	{ 0x4ea83e23, "xfrm_state_add" },
	{ 0x4fa81a5b, "netlink_broadcast_filtered" },
	{ 0xaea46082, "init_net" },
	{ 0xb01bebf9, "xfrm_get_acqseq" },
	{ 0x54eb7097, "__fib6_flush_trees" },
	{ 0xe6a8d8e4, "xfrm_state_lookup_byaddr" },
	{ 0x44c6ed7e, "xfrm_state_lookup" },
	{ 0xc599a772, "security_xfrm_state_delete" },
	{ 0xcb5c4ebb, "xfrm_state_delete" },
	{ 0xeacc797d, "xfrm_audit_state_delete" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x89e807aa, "km_state_expired" },
	{ 0x717c9c09, "__xfrm_state_delete" },
	{ 0xcdf90f0d, "xfrm_policy_byid" },
	{ 0x4142e9a3, "km_policy_expired" },
	{ 0xc65304b3, "security_xfrm_policy_alloc" },
	{ 0x8efc6e68, "xfrm_policy_bysel_ctx" },
	{ 0xa9c63b69, "security_xfrm_policy_free" },
	{ 0x5a9a0f7d, "xfrm_policy_destroy" },
	{ 0xc19a7dc5, "xfrm_policy_delete" },
	{ 0x878b979f, "xfrm_audit_policy_delete" },
	{ 0x37e497e8, "verify_spi_info" },
	{ 0x6aca0c3f, "xfrm_find_acq_byseq" },
	{ 0xb17b6dd6, "xfrm_find_acq" },
	{ 0x3cb77f8, "xfrm_alloc_spi" },
	{ 0x8fc91989, "xfrm_dev_policy_add" },
	{ 0x262f9b0a, "xfrm_policy_insert" },
	{ 0x2d3921ff, "xfrm_audit_policy_add" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2cf721da, "km_query" },
	{ 0xd881a44a, "xfrm_state_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc83b55a, "register_pernet_subsys" },
	{ 0xd6e76eab, "xfrm_register_km" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x1356a268, "netlink_has_listeners" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd5a43273, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xca9e776c, "nla_reserve" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x26e71754, "netlink_kernel_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcdb364d, "netlink_rcv_skb" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x643884ca, "xfrm_policy_hash_rebuild" },
	{ 0x3f284098, "xfrm_state_flush" },
	{ 0x4eac9729, "km_state_notify" },
	{ 0x5e2830cf, "xfrm_policy_walk_done" },
	{ 0xad95cf67, "xfrm_policy_walk" },
	{ 0xc9df055a, "xfrm_policy_walk_init" },
	{ 0xba22e28a, "xfrm_state_walk_done" },
	{ 0xd6bacfc5, "__netlink_kernel_create" },
	{ 0xf4dac269, "xfrm_unregister_km" },
	{ 0x21307d94, "unregister_pernet_subsys" },
	{ 0xffdcb7cd, "netlink_net_capable" },
	{ 0x1ef0a673, "const_pcpu_hot" },
	{ 0xaeb784bc, "__netlink_dump_start" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x39a8be60, "xfrm_get_translator" },
	{ 0x4ea22b80, "xfrm_put_translator" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x6fc1639a, "kfree_skb_reason" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2782b393, "xfrm_state_walk_init" },
	{ 0x6bed2ff7, "xfrm_state_walk" },
	{ 0x37a0cba, "kfree" },
	{ 0x1226b7af, "xfrm_policy_alloc" },
	{ 0x48ec7f33, "xfrm_policy_flush" },
	{ 0x106615a6, "km_policy_notify" },
	{ 0x9fa51228, "xfrm_migrate" },
	{ 0x56470118, "__warn_printk" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x127d83ea, "security_locked_down" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "xfrm_algo");


MODULE_INFO(srcversion, "BD5A622D7D3C5C6C3584CFF");
