#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(halt_poll_ns, "_gpl", "");
KSYMTAB_DATA(halt_poll_ns_grow, "_gpl", "");
KSYMTAB_DATA(halt_poll_ns_grow_start, "_gpl", "");
KSYMTAB_DATA(halt_poll_ns_shrink, "_gpl", "");
KSYMTAB_DATA(kvm_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(vcpu_load, "_gpl", "");
KSYMTAB_FUNC(vcpu_put, "_gpl", "");
KSYMTAB_FUNC(kvm_make_all_cpus_request, "_gpl", "");
KSYMTAB_FUNC(kvm_flush_remote_tlbs, "_gpl", "");
KSYMTAB_FUNC(kvm_destroy_vcpus, "_gpl", "");
KSYMTAB_FUNC(kvm_get_kvm, "_gpl", "");
KSYMTAB_FUNC(kvm_get_kvm_safe, "_gpl", "");
KSYMTAB_FUNC(kvm_put_kvm, "_gpl", "");
KSYMTAB_FUNC(kvm_put_kvm_no_destroy, "_gpl", "");
KSYMTAB_FUNC(__kvm_set_memory_region, "_gpl", "");
KSYMTAB_FUNC(kvm_set_memory_region, "_gpl", "");
KSYMTAB_FUNC(gfn_to_memslot, "_gpl", "");
KSYMTAB_FUNC(kvm_is_visible_gfn, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_is_visible_gfn, "_gpl", "");
KSYMTAB_FUNC(gfn_to_hva_memslot, "_gpl", "");
KSYMTAB_FUNC(gfn_to_hva, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_gfn_to_hva, "_gpl", "");
KSYMTAB_FUNC(__gfn_to_pfn_memslot, "_gpl", "");
KSYMTAB_FUNC(gfn_to_pfn_prot, "_gpl", "");
KSYMTAB_FUNC(gfn_to_pfn_memslot, "_gpl", "");
KSYMTAB_FUNC(gfn_to_pfn_memslot_atomic, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_gfn_to_pfn_atomic, "_gpl", "");
KSYMTAB_FUNC(gfn_to_pfn, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_gfn_to_pfn, "_gpl", "");
KSYMTAB_FUNC(gfn_to_page_many_atomic, "_gpl", "");
KSYMTAB_FUNC(gfn_to_page, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_map, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_unmap, "_gpl", "");
KSYMTAB_FUNC(kvm_release_page_clean, "_gpl", "");
KSYMTAB_FUNC(kvm_release_pfn_clean, "_gpl", "");
KSYMTAB_FUNC(kvm_release_page_dirty, "_gpl", "");
KSYMTAB_FUNC(kvm_release_pfn_dirty, "_gpl", "");
KSYMTAB_FUNC(kvm_set_pfn_dirty, "_gpl", "");
KSYMTAB_FUNC(kvm_set_pfn_accessed, "_gpl", "");
KSYMTAB_FUNC(kvm_read_guest_page, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_read_guest_page, "_gpl", "");
KSYMTAB_FUNC(kvm_read_guest, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_read_guest, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_read_guest_atomic, "_gpl", "");
KSYMTAB_FUNC(kvm_write_guest_page, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_write_guest_page, "_gpl", "");
KSYMTAB_FUNC(kvm_write_guest, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_write_guest, "_gpl", "");
KSYMTAB_FUNC(kvm_gfn_to_hva_cache_init, "_gpl", "");
KSYMTAB_FUNC(kvm_write_guest_offset_cached, "_gpl", "");
KSYMTAB_FUNC(kvm_write_guest_cached, "_gpl", "");
KSYMTAB_FUNC(kvm_read_guest_offset_cached, "_gpl", "");
KSYMTAB_FUNC(kvm_read_guest_cached, "_gpl", "");
KSYMTAB_FUNC(kvm_clear_guest, "_gpl", "");
KSYMTAB_FUNC(mark_page_dirty_in_slot, "_gpl", "");
KSYMTAB_FUNC(mark_page_dirty, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_mark_page_dirty, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_halt, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_wake_up, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_kick, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_yield_to, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_on_spin, "_gpl", "");
KSYMTAB_FUNC(kvm_are_all_memslots_empty, "_gpl", "");
KSYMTAB_FUNC(file_is_kvm, "_gpl", "");
KSYMTAB_DATA(kvm_rebooting, "_gpl", "");
KSYMTAB_FUNC(kvm_io_bus_write, "_gpl", "");
KSYMTAB_FUNC(kvm_io_bus_get_dev, "_gpl", "");
KSYMTAB_FUNC(kvm_get_running_vcpu, "_gpl", "");
KSYMTAB_FUNC(kvm_init, "_gpl", "");
KSYMTAB_FUNC(kvm_exit, "_gpl", "");
KSYMTAB_FUNC(kvm_irq_has_notifier, "_gpl", "");
KSYMTAB_FUNC(kvm_gmem_get_pfn, "_gpl", "");
KSYMTAB_DATA(kvm_caps, "_gpl", "");
KSYMTAB_DATA(__SCK__kvm_x86_get_cs_db_l_bits, "_gpl", "");
KSYMTAB_FUNC(__SCT__kvm_x86_get_cs_db_l_bits, "_gpl", "");
KSYMTAB_DATA(__SCK__kvm_x86_cache_reg, "_gpl", "");
KSYMTAB_FUNC(__SCT__kvm_x86_cache_reg, "_gpl", "");
KSYMTAB_DATA(report_ignored_msrs, "_gpl", "");
KSYMTAB_DATA(enable_vmware_backdoor, "_gpl", "");
KSYMTAB_DATA(enable_pmu, "_gpl", "");
KSYMTAB_DATA(kvm_nr_uret_msrs, "_gpl", "");
KSYMTAB_DATA(host_efer, "_gpl", "");
KSYMTAB_DATA(allow_smaller_maxphyaddr, "_gpl", "");
KSYMTAB_DATA(enable_apicv, "_gpl", "");
KSYMTAB_DATA(host_xss, "_gpl", "");
KSYMTAB_DATA(host_arch_capabilities, "_gpl", "");
KSYMTAB_FUNC(kvm_add_user_return_msr, "_gpl", "");
KSYMTAB_FUNC(kvm_find_user_return_msr, "_gpl", "");
KSYMTAB_FUNC(kvm_set_user_return_msr, "_gpl", "");
KSYMTAB_FUNC(kvm_get_apic_mode, "_gpl", "");
KSYMTAB_FUNC(kvm_spurious_fault, "_gpl", "");
KSYMTAB_FUNC(kvm_deliver_exception_payload, "_gpl", "");
KSYMTAB_FUNC(kvm_queue_exception, "_gpl", "");
KSYMTAB_FUNC(kvm_requeue_exception, "_gpl", "");
KSYMTAB_FUNC(kvm_queue_exception_p, "_gpl", "");
KSYMTAB_FUNC(kvm_complete_insn_gp, "_gpl", "");
KSYMTAB_FUNC(kvm_inject_emulated_page_fault, "_gpl", "");
KSYMTAB_FUNC(kvm_queue_exception_e, "_gpl", "");
KSYMTAB_FUNC(kvm_requeue_exception_e, "_gpl", "");
KSYMTAB_FUNC(kvm_require_dr, "_gpl", "");
KSYMTAB_FUNC(load_pdptrs, "_gpl", "");
KSYMTAB_FUNC(kvm_post_set_cr0, "_gpl", "");
KSYMTAB_FUNC(kvm_set_cr0, "_gpl", "");
KSYMTAB_FUNC(kvm_lmsw, "_gpl", "");
KSYMTAB_FUNC(kvm_load_guest_xsave_state, "_gpl", "");
KSYMTAB_FUNC(kvm_load_host_xsave_state, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_xsetbv, "_gpl", "");
KSYMTAB_FUNC(__kvm_is_valid_cr4, "_gpl", "");
KSYMTAB_FUNC(kvm_post_set_cr4, "_gpl", "");
KSYMTAB_FUNC(kvm_set_cr4, "_gpl", "");
KSYMTAB_FUNC(kvm_set_cr3, "_gpl", "");
KSYMTAB_FUNC(kvm_set_cr8, "_gpl", "");
KSYMTAB_FUNC(kvm_get_cr8, "_gpl", "");
KSYMTAB_FUNC(kvm_update_dr7, "_gpl", "");
KSYMTAB_FUNC(kvm_set_dr, "_gpl", "");
KSYMTAB_FUNC(kvm_get_dr, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_rdpmc, "_gpl", "");
KSYMTAB_FUNC(kvm_valid_efer, "_gpl", "");
KSYMTAB_FUNC(kvm_enable_efer_bits, "_gpl", "");
KSYMTAB_FUNC(kvm_msr_allowed, "_gpl", "");
KSYMTAB_FUNC(kvm_get_msr, "_gpl", "");
KSYMTAB_FUNC(kvm_set_msr, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_rdmsr, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_wrmsr, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_invd, "_gpl", "");
KSYMTAB_FUNC(kvm_handle_invalid_op, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_mwait, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_monitor, "_gpl", "");
KSYMTAB_FUNC(handle_fastpath_set_msr_irqoff, "_gpl", "");
KSYMTAB_FUNC(kvm_read_l1_tsc, "_gpl", "");
KSYMTAB_FUNC(kvm_calc_nested_tsc_offset, "_gpl", "");
KSYMTAB_FUNC(kvm_calc_nested_tsc_multiplier, "_gpl", "");
KSYMTAB_FUNC(kvm_service_local_tlb_flush_requests, "_gpl", "");
KSYMTAB_FUNC(kvm_set_msr_common, "_gpl", "");
KSYMTAB_FUNC(kvm_get_msr_common, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_gva_to_gpa_read, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_gva_to_gpa_write, "_gpl", "");
KSYMTAB_FUNC(kvm_read_guest_virt, "_gpl", "");
KSYMTAB_FUNC(kvm_write_guest_virt_system, "_gpl", "");
KSYMTAB_FUNC(handle_ud, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_wbinvd, "_gpl", "");
KSYMTAB_FUNC(kvm_inject_realmode_interrupt, "_gpl", "");
KSYMTAB_FUNC(__kvm_prepare_emulation_failure_exit, "_gpl", "");
KSYMTAB_FUNC(kvm_prepare_emulation_failure_exit, "_gpl", "");
KSYMTAB_FUNC(kvm_skip_emulated_instruction, "_gpl", "");
KSYMTAB_FUNC(x86_decode_emulated_instruction, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_instruction, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_instruction_from_buffer, "_gpl", "");
KSYMTAB_FUNC(kvm_fast_pio, "_gpl", "");
KSYMTAB_FUNC(kvm_x86_vendor_init, "_gpl", "");
KSYMTAB_FUNC(kvm_x86_vendor_exit, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_halt_noskip, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_halt, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_ap_reset_hold, "_gpl", "");
KSYMTAB_FUNC(kvm_apicv_activated, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_apicv_activated, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_hypercall, "_gpl", "");
KSYMTAB_FUNC(__kvm_vcpu_update_apicv, "_gpl", "");
KSYMTAB_FUNC(kvm_set_or_clear_apicv_inhibit, "_gpl", "");
KSYMTAB_FUNC(kvm_task_switch, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_reset, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_deliver_sipi_vector, "_gpl", "");
KSYMTAB_FUNC(__x86_set_memory_region, "_gpl", "");
KSYMTAB_FUNC(kvm_get_linear_rip, "_gpl", "");
KSYMTAB_FUNC(kvm_is_linear_rip, "_gpl", "");
KSYMTAB_FUNC(kvm_get_rflags, "_gpl", "");
KSYMTAB_FUNC(kvm_set_rflags, "_gpl", "");
KSYMTAB_FUNC(kvm_arch_start_assignment, "_gpl", "");
KSYMTAB_FUNC(kvm_arch_end_assignment, "_gpl", "");
KSYMTAB_FUNC(kvm_arch_has_assigned_device, "_gpl", "");
KSYMTAB_FUNC(kvm_arch_register_noncoherent_dma, "_gpl", "");
KSYMTAB_FUNC(kvm_arch_unregister_noncoherent_dma, "_gpl", "");
KSYMTAB_FUNC(kvm_arch_has_noncoherent_dma, "_gpl", "");
KSYMTAB_FUNC(kvm_arch_no_poll, "_gpl", "");
KSYMTAB_FUNC(kvm_spec_ctrl_test_value, "_gpl", "");
KSYMTAB_FUNC(kvm_fixup_and_inject_pf_error, "_gpl", "");
KSYMTAB_FUNC(kvm_handle_memory_failure, "_gpl", "");
KSYMTAB_FUNC(kvm_handle_invpcid, "_gpl", "");
KSYMTAB_FUNC(kvm_sev_es_mmio_write, "_gpl", "");
KSYMTAB_FUNC(kvm_sev_es_mmio_read, "_gpl", "");
KSYMTAB_FUNC(kvm_sev_es_string_io, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_entry, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_entry, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_entry, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_entry, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_exit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_exit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_exit, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_exit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_fast_mmio, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_fast_mmio, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_fast_mmio, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_fast_mmio, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_inj_virq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_inj_virq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_inj_virq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_inj_virq, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_page_fault, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_page_fault, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_page_fault, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_page_fault, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_msr, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_msr, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_msr, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_msr, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_cr, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_cr, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_cr, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_cr, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_nested_vmenter, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_nested_vmenter, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_nested_vmenter, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_nested_vmenter, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_nested_vmexit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_nested_vmexit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_nested_vmexit, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_nested_vmexit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_nested_vmexit_inject, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_nested_vmexit_inject, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_nested_vmexit_inject, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_nested_vmexit_inject, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_nested_intr_vmexit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_nested_intr_vmexit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_nested_intr_vmexit, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_nested_intr_vmexit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_nested_vmenter_failed, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_nested_vmenter_failed, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_nested_vmenter_failed, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_nested_vmenter_failed, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_invlpga, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_invlpga, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_invlpga, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_invlpga, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_skinit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_skinit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_skinit, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_skinit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_nested_intercepts, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_nested_intercepts, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_nested_intercepts, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_nested_intercepts, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_write_tsc_offset, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_write_tsc_offset, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_write_tsc_offset, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_write_tsc_offset, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_ple_window_update, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_ple_window_update, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_ple_window_update, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_ple_window_update, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_pml_full, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_pml_full, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_pml_full, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_pml_full, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_pi_irte_update, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_pi_irte_update, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_pi_irte_update, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_pi_irte_update, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_avic_unaccelerated_access, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_avic_unaccelerated_access, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_avic_unaccelerated_access, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_avic_unaccelerated_access, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_avic_incomplete_ipi, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_avic_incomplete_ipi, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_avic_incomplete_ipi, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_avic_incomplete_ipi, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_avic_ga_log, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_avic_ga_log, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_avic_ga_log, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_avic_ga_log, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_avic_kick_vcpu_slowpath, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_avic_kick_vcpu_slowpath, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_avic_kick_vcpu_slowpath, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_avic_kick_vcpu_slowpath, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_avic_doorbell, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_avic_doorbell, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_avic_doorbell, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_avic_doorbell, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_apicv_accept_irq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_apicv_accept_irq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_apicv_accept_irq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_apicv_accept_irq, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_vmgexit_enter, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_vmgexit_enter, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_vmgexit_enter, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_vmgexit_enter, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_vmgexit_exit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_vmgexit_exit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_vmgexit_exit, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_vmgexit_exit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_vmgexit_msr_protocol_enter, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_vmgexit_msr_protocol_enter, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_vmgexit_msr_protocol_enter, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_vmgexit_msr_protocol_enter, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_vmgexit_msr_protocol_exit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_vmgexit_msr_protocol_exit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_vmgexit_msr_protocol_exit, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_vmgexit_msr_protocol_exit, "_gpl", "");
KSYMTAB_FUNC(kvm_cpu_has_injectable_intr, "_gpl", "");
KSYMTAB_FUNC(kvm_cpu_has_interrupt, "_gpl", "");
KSYMTAB_FUNC(kvm_cpu_get_interrupt, "_gpl", "");
KSYMTAB_DATA(kvm_has_noapic_vcpu, "_gpl", "");
KSYMTAB_FUNC(__kvm_apic_update_irr, "_gpl", "");
KSYMTAB_FUNC(kvm_apic_update_irr, "_gpl", "");
KSYMTAB_FUNC(kvm_apic_clear_irr, "_gpl", "");
KSYMTAB_FUNC(kvm_lapic_find_highest_irr, "_gpl", "");
KSYMTAB_FUNC(kvm_apic_update_ppr, "_gpl", "");
KSYMTAB_FUNC(kvm_apic_match_dest, "_gpl", "");
KSYMTAB_FUNC(kvm_apic_set_eoi_accelerated, "_gpl", "");
KSYMTAB_FUNC(kvm_apic_send_ipi, "_gpl", "");
KSYMTAB_FUNC(kvm_lapic_readable_reg_mask, "_gpl", "");
KSYMTAB_FUNC(kvm_wait_lapic_expire, "_gpl", "");
KSYMTAB_FUNC(kvm_lapic_expired_hv_timer, "_gpl", "");
KSYMTAB_FUNC(kvm_lapic_set_eoi, "_gpl", "");
KSYMTAB_FUNC(kvm_apic_write_nodecode, "_gpl", "");
KSYMTAB_FUNC(kvm_alloc_apic_access_page, "_gpl", "");
KSYMTAB_FUNC(kvm_apic_has_interrupt, "_gpl", "");
KSYMTAB_FUNC(kvm_set_msi_irq, "_gpl", "");
KSYMTAB_FUNC(kvm_intr_is_single_vcpu, "_gpl", "");
KSYMTAB_DATA(kvm_cpu_caps, "_gpl", "");
KSYMTAB_FUNC(kvm_update_cpuid_runtime, "_gpl", "");
KSYMTAB_FUNC(kvm_set_cpu_caps, "_gpl", "");
KSYMTAB_FUNC(kvm_find_cpuid_entry_index, "_gpl", "");
KSYMTAB_FUNC(kvm_find_cpuid_entry, "_gpl", "");
KSYMTAB_FUNC(kvm_cpuid, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_cpuid, "_gpl", "");
KSYMTAB_DATA(kvm_pmu_cap, "_gpl", "");
KSYMTAB_DATA(kvm_pmu_eventsel, "_gpl", "");
KSYMTAB_FUNC(pmc_write_counter, "_gpl", "");
KSYMTAB_FUNC(kvm_pmu_trigger_event, "_gpl", "");
KSYMTAB_FUNC(kvm_mtrr_get_guest_memory_type, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_free_roots, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_free_guest_mode_roots, "_gpl", "");
KSYMTAB_FUNC(kvm_handle_page_fault, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_new_pgd, "_gpl", "");
KSYMTAB_FUNC(kvm_init_shadow_npt_mmu, "_gpl", "");
KSYMTAB_FUNC(kvm_init_shadow_ept_mmu, "_gpl", "");
KSYMTAB_FUNC(kvm_init_mmu, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_reset_context, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_page_fault, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_invalidate_addr, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_invlpg, "_gpl", "");
KSYMTAB_FUNC(kvm_configure_mmu, "_gpl", "");
KSYMTAB_FUNC(kvm_page_track_register_notifier, "_gpl", "");
KSYMTAB_FUNC(kvm_page_track_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(kvm_write_track_add_gfn, "_gpl", "");
KSYMTAB_FUNC(kvm_write_track_remove_gfn, "_gpl", "");
KSYMTAB_DATA(enable_mmio_caching, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_set_mmio_spte_mask, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_set_me_spte_mask, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_set_ept_masks, "_gpl", "");
KSYMTAB_FUNC(kvm_hv_assist_page_enabled, "_gpl", "");
KSYMTAB_FUNC(kvm_hv_get_assist_page, "_gpl", "");
KSYMTAB_FUNC(hv_flush_remote_tlbs_range, "_gpl", "");
KSYMTAB_FUNC(hv_flush_remote_tlbs, "_gpl", "");
KSYMTAB_FUNC(hv_track_root_tdp, "_gpl", "");

SYMBOL_CRC(halt_poll_ns, 0x59e640c0, "_gpl");
SYMBOL_CRC(halt_poll_ns_grow, 0x7afe324e, "_gpl");
SYMBOL_CRC(halt_poll_ns_grow_start, 0x5fb8848b, "_gpl");
SYMBOL_CRC(halt_poll_ns_shrink, 0x39fd83db, "_gpl");
SYMBOL_CRC(kvm_debugfs_dir, 0xdae81578, "_gpl");
SYMBOL_CRC(vcpu_load, 0x0e49219b, "_gpl");
SYMBOL_CRC(vcpu_put, 0x0ba2f1fb, "_gpl");
SYMBOL_CRC(kvm_make_all_cpus_request, 0x8b314b20, "_gpl");
SYMBOL_CRC(kvm_flush_remote_tlbs, 0xe2b24268, "_gpl");
SYMBOL_CRC(kvm_destroy_vcpus, 0x9d3c111e, "_gpl");
SYMBOL_CRC(kvm_get_kvm, 0x83bcca0f, "_gpl");
SYMBOL_CRC(kvm_get_kvm_safe, 0xe9825369, "_gpl");
SYMBOL_CRC(kvm_put_kvm, 0x2bda657a, "_gpl");
SYMBOL_CRC(kvm_put_kvm_no_destroy, 0x0687c933, "_gpl");
SYMBOL_CRC(__kvm_set_memory_region, 0x4bfb2365, "_gpl");
SYMBOL_CRC(kvm_set_memory_region, 0x8a1df385, "_gpl");
SYMBOL_CRC(gfn_to_memslot, 0x0fe53e77, "_gpl");
SYMBOL_CRC(kvm_is_visible_gfn, 0xf9a8d978, "_gpl");
SYMBOL_CRC(kvm_vcpu_is_visible_gfn, 0x83b691e6, "_gpl");
SYMBOL_CRC(gfn_to_hva_memslot, 0x25303100, "_gpl");
SYMBOL_CRC(gfn_to_hva, 0x8b186f87, "_gpl");
SYMBOL_CRC(kvm_vcpu_gfn_to_hva, 0x9f023b9c, "_gpl");
SYMBOL_CRC(__gfn_to_pfn_memslot, 0x4a46d1f2, "_gpl");
SYMBOL_CRC(gfn_to_pfn_prot, 0xd6317b7a, "_gpl");
SYMBOL_CRC(gfn_to_pfn_memslot, 0xde72b0f6, "_gpl");
SYMBOL_CRC(gfn_to_pfn_memslot_atomic, 0xc57efb57, "_gpl");
SYMBOL_CRC(kvm_vcpu_gfn_to_pfn_atomic, 0x701d3932, "_gpl");
SYMBOL_CRC(gfn_to_pfn, 0xd6d82e79, "_gpl");
SYMBOL_CRC(kvm_vcpu_gfn_to_pfn, 0x895a806b, "_gpl");
SYMBOL_CRC(gfn_to_page_many_atomic, 0xdfab29f1, "_gpl");
SYMBOL_CRC(gfn_to_page, 0xad3a8684, "_gpl");
SYMBOL_CRC(kvm_vcpu_map, 0x8a707f65, "_gpl");
SYMBOL_CRC(kvm_vcpu_unmap, 0x44698c3c, "_gpl");
SYMBOL_CRC(kvm_release_page_clean, 0xf6974ee0, "_gpl");
SYMBOL_CRC(kvm_release_pfn_clean, 0x4e3fd1b4, "_gpl");
SYMBOL_CRC(kvm_release_page_dirty, 0x13fc358d, "_gpl");
SYMBOL_CRC(kvm_release_pfn_dirty, 0x7c94c99a, "_gpl");
SYMBOL_CRC(kvm_set_pfn_dirty, 0xa1c4231f, "_gpl");
SYMBOL_CRC(kvm_set_pfn_accessed, 0x6892e3c3, "_gpl");
SYMBOL_CRC(kvm_read_guest_page, 0x27b65acb, "_gpl");
SYMBOL_CRC(kvm_vcpu_read_guest_page, 0xe5b1d503, "_gpl");
SYMBOL_CRC(kvm_read_guest, 0x9d713f28, "_gpl");
SYMBOL_CRC(kvm_vcpu_read_guest, 0xbb5f0524, "_gpl");
SYMBOL_CRC(kvm_vcpu_read_guest_atomic, 0x1aab3c8c, "_gpl");
SYMBOL_CRC(kvm_write_guest_page, 0x8fb4dcd8, "_gpl");
SYMBOL_CRC(kvm_vcpu_write_guest_page, 0x7ddb113b, "_gpl");
SYMBOL_CRC(kvm_write_guest, 0xb9d9e7a3, "_gpl");
SYMBOL_CRC(kvm_vcpu_write_guest, 0xc4b66ecd, "_gpl");
SYMBOL_CRC(kvm_gfn_to_hva_cache_init, 0x69701af2, "_gpl");
SYMBOL_CRC(kvm_write_guest_offset_cached, 0x84f48bd4, "_gpl");
SYMBOL_CRC(kvm_write_guest_cached, 0xebe53329, "_gpl");
SYMBOL_CRC(kvm_read_guest_offset_cached, 0x3e9fecab, "_gpl");
SYMBOL_CRC(kvm_read_guest_cached, 0x94cb11b8, "_gpl");
SYMBOL_CRC(kvm_clear_guest, 0xfda57bdf, "_gpl");
SYMBOL_CRC(mark_page_dirty_in_slot, 0x615f0237, "_gpl");
SYMBOL_CRC(mark_page_dirty, 0xfb781190, "_gpl");
SYMBOL_CRC(kvm_vcpu_mark_page_dirty, 0xd271fd7a, "_gpl");
SYMBOL_CRC(kvm_vcpu_halt, 0x57ad9db0, "_gpl");
SYMBOL_CRC(kvm_vcpu_wake_up, 0x5ecf3d26, "_gpl");
SYMBOL_CRC(kvm_vcpu_kick, 0x409551bc, "_gpl");
SYMBOL_CRC(kvm_vcpu_yield_to, 0x9c615104, "_gpl");
SYMBOL_CRC(kvm_vcpu_on_spin, 0x08d86376, "_gpl");
SYMBOL_CRC(kvm_are_all_memslots_empty, 0xe2f1faed, "_gpl");
SYMBOL_CRC(file_is_kvm, 0x774d8b83, "_gpl");
SYMBOL_CRC(kvm_rebooting, 0x485cd7f6, "_gpl");
SYMBOL_CRC(kvm_io_bus_write, 0x43e0a83c, "_gpl");
SYMBOL_CRC(kvm_io_bus_get_dev, 0xd8ef577a, "_gpl");
SYMBOL_CRC(kvm_get_running_vcpu, 0xf10a2b03, "_gpl");
SYMBOL_CRC(kvm_init, 0x9eb506e1, "_gpl");
SYMBOL_CRC(kvm_exit, 0x27046576, "_gpl");
SYMBOL_CRC(kvm_irq_has_notifier, 0x80491ac1, "_gpl");
SYMBOL_CRC(kvm_gmem_get_pfn, 0x7094d425, "_gpl");
SYMBOL_CRC(kvm_caps, 0x6bc792a4, "_gpl");
SYMBOL_CRC(__SCK__kvm_x86_get_cs_db_l_bits, 0x1164cc32, "_gpl");
SYMBOL_CRC(__SCT__kvm_x86_get_cs_db_l_bits, 0x53d9f927, "_gpl");
SYMBOL_CRC(__SCK__kvm_x86_cache_reg, 0x71a1acff, "_gpl");
SYMBOL_CRC(__SCT__kvm_x86_cache_reg, 0x59387ba3, "_gpl");
SYMBOL_CRC(report_ignored_msrs, 0xc96d35f4, "_gpl");
SYMBOL_CRC(enable_vmware_backdoor, 0x1db1c372, "_gpl");
SYMBOL_CRC(enable_pmu, 0xb82c0987, "_gpl");
SYMBOL_CRC(kvm_nr_uret_msrs, 0x0b58a11d, "_gpl");
SYMBOL_CRC(host_efer, 0x159b8d5e, "_gpl");
SYMBOL_CRC(allow_smaller_maxphyaddr, 0x9cf59e7a, "_gpl");
SYMBOL_CRC(enable_apicv, 0xce576a13, "_gpl");
SYMBOL_CRC(host_xss, 0x6c95726c, "_gpl");
SYMBOL_CRC(host_arch_capabilities, 0xe54c1a0d, "_gpl");
SYMBOL_CRC(kvm_add_user_return_msr, 0x7fe19488, "_gpl");
SYMBOL_CRC(kvm_find_user_return_msr, 0x3ab2794c, "_gpl");
SYMBOL_CRC(kvm_set_user_return_msr, 0x053614ec, "_gpl");
SYMBOL_CRC(kvm_get_apic_mode, 0x27dcff5b, "_gpl");
SYMBOL_CRC(kvm_spurious_fault, 0x709cd8cb, "_gpl");
SYMBOL_CRC(kvm_deliver_exception_payload, 0x4f9f826c, "_gpl");
SYMBOL_CRC(kvm_queue_exception, 0x576ae40d, "_gpl");
SYMBOL_CRC(kvm_requeue_exception, 0x3c6171d7, "_gpl");
SYMBOL_CRC(kvm_queue_exception_p, 0xe88ab058, "_gpl");
SYMBOL_CRC(kvm_complete_insn_gp, 0x33e679c5, "_gpl");
SYMBOL_CRC(kvm_inject_emulated_page_fault, 0xae2273dd, "_gpl");
SYMBOL_CRC(kvm_queue_exception_e, 0x92b93157, "_gpl");
SYMBOL_CRC(kvm_requeue_exception_e, 0x3cb1b487, "_gpl");
SYMBOL_CRC(kvm_require_dr, 0xa6a7fa2c, "_gpl");
SYMBOL_CRC(load_pdptrs, 0x2be1499d, "_gpl");
SYMBOL_CRC(kvm_post_set_cr0, 0xa378a7cc, "_gpl");
SYMBOL_CRC(kvm_set_cr0, 0x8b37241f, "_gpl");
SYMBOL_CRC(kvm_lmsw, 0xc49bd191, "_gpl");
SYMBOL_CRC(kvm_load_guest_xsave_state, 0x3d3e1d79, "_gpl");
SYMBOL_CRC(kvm_load_host_xsave_state, 0x06a32751, "_gpl");
SYMBOL_CRC(kvm_emulate_xsetbv, 0x64c7bf48, "_gpl");
SYMBOL_CRC(__kvm_is_valid_cr4, 0x44612f76, "_gpl");
SYMBOL_CRC(kvm_post_set_cr4, 0xf7efeafd, "_gpl");
SYMBOL_CRC(kvm_set_cr4, 0x2ee9a10e, "_gpl");
SYMBOL_CRC(kvm_set_cr3, 0x6bcb0563, "_gpl");
SYMBOL_CRC(kvm_set_cr8, 0x1bfb287c, "_gpl");
SYMBOL_CRC(kvm_get_cr8, 0x1be0f6ae, "_gpl");
SYMBOL_CRC(kvm_update_dr7, 0x8db54698, "_gpl");
SYMBOL_CRC(kvm_set_dr, 0xe924919d, "_gpl");
SYMBOL_CRC(kvm_get_dr, 0x60a876a9, "_gpl");
SYMBOL_CRC(kvm_emulate_rdpmc, 0x0de92320, "_gpl");
SYMBOL_CRC(kvm_valid_efer, 0x15a6a56d, "_gpl");
SYMBOL_CRC(kvm_enable_efer_bits, 0x1d013832, "_gpl");
SYMBOL_CRC(kvm_msr_allowed, 0xd56dbaf7, "_gpl");
SYMBOL_CRC(kvm_get_msr, 0x30cc0aee, "_gpl");
SYMBOL_CRC(kvm_set_msr, 0x27b762eb, "_gpl");
SYMBOL_CRC(kvm_emulate_rdmsr, 0x50c66faa, "_gpl");
SYMBOL_CRC(kvm_emulate_wrmsr, 0x81c8cd2b, "_gpl");
SYMBOL_CRC(kvm_emulate_invd, 0x8760fc18, "_gpl");
SYMBOL_CRC(kvm_handle_invalid_op, 0x0351dbbc, "_gpl");
SYMBOL_CRC(kvm_emulate_mwait, 0xe0038854, "_gpl");
SYMBOL_CRC(kvm_emulate_monitor, 0xa4eb8268, "_gpl");
SYMBOL_CRC(handle_fastpath_set_msr_irqoff, 0xde108227, "_gpl");
SYMBOL_CRC(kvm_read_l1_tsc, 0x440c37f5, "_gpl");
SYMBOL_CRC(kvm_calc_nested_tsc_offset, 0x6303c089, "_gpl");
SYMBOL_CRC(kvm_calc_nested_tsc_multiplier, 0xef14fd98, "_gpl");
SYMBOL_CRC(kvm_service_local_tlb_flush_requests, 0xe872ae86, "_gpl");
SYMBOL_CRC(kvm_set_msr_common, 0x48456869, "_gpl");
SYMBOL_CRC(kvm_get_msr_common, 0xa927d617, "_gpl");
SYMBOL_CRC(kvm_mmu_gva_to_gpa_read, 0x1033fff4, "_gpl");
SYMBOL_CRC(kvm_mmu_gva_to_gpa_write, 0x7753ef08, "_gpl");
SYMBOL_CRC(kvm_read_guest_virt, 0x410b4d59, "_gpl");
SYMBOL_CRC(kvm_write_guest_virt_system, 0x27c8e5d9, "_gpl");
SYMBOL_CRC(handle_ud, 0xf3d66261, "_gpl");
SYMBOL_CRC(kvm_emulate_wbinvd, 0xff491704, "_gpl");
SYMBOL_CRC(kvm_inject_realmode_interrupt, 0x5e32899a, "_gpl");
SYMBOL_CRC(__kvm_prepare_emulation_failure_exit, 0xf5319e79, "_gpl");
SYMBOL_CRC(kvm_prepare_emulation_failure_exit, 0x0b8765d9, "_gpl");
SYMBOL_CRC(kvm_skip_emulated_instruction, 0x99161e0b, "_gpl");
SYMBOL_CRC(x86_decode_emulated_instruction, 0xc9a7568c, "_gpl");
SYMBOL_CRC(kvm_emulate_instruction, 0x6a7451aa, "_gpl");
SYMBOL_CRC(kvm_emulate_instruction_from_buffer, 0x73f12937, "_gpl");
SYMBOL_CRC(kvm_fast_pio, 0x04697fec, "_gpl");
SYMBOL_CRC(kvm_x86_vendor_init, 0x584d2c1a, "_gpl");
SYMBOL_CRC(kvm_x86_vendor_exit, 0x687b78fc, "_gpl");
SYMBOL_CRC(kvm_emulate_halt_noskip, 0x7f1f5f9e, "_gpl");
SYMBOL_CRC(kvm_emulate_halt, 0x2431a2de, "_gpl");
SYMBOL_CRC(kvm_emulate_ap_reset_hold, 0x1f54c346, "_gpl");
SYMBOL_CRC(kvm_apicv_activated, 0xa814ce20, "_gpl");
SYMBOL_CRC(kvm_vcpu_apicv_activated, 0x21c0e58a, "_gpl");
SYMBOL_CRC(kvm_emulate_hypercall, 0x0172d4c3, "_gpl");
SYMBOL_CRC(__kvm_vcpu_update_apicv, 0x837067b5, "_gpl");
SYMBOL_CRC(kvm_set_or_clear_apicv_inhibit, 0x3d37b0de, "_gpl");
SYMBOL_CRC(kvm_task_switch, 0xca1b9ed2, "_gpl");
SYMBOL_CRC(kvm_vcpu_reset, 0x86ce01de, "_gpl");
SYMBOL_CRC(kvm_vcpu_deliver_sipi_vector, 0x830d3ca0, "_gpl");
SYMBOL_CRC(__x86_set_memory_region, 0x6f5866d1, "_gpl");
SYMBOL_CRC(kvm_get_linear_rip, 0x95f9bbf4, "_gpl");
SYMBOL_CRC(kvm_is_linear_rip, 0x9e47ff4b, "_gpl");
SYMBOL_CRC(kvm_get_rflags, 0x3d4cf91f, "_gpl");
SYMBOL_CRC(kvm_set_rflags, 0x1caadf88, "_gpl");
SYMBOL_CRC(kvm_arch_start_assignment, 0xd63a1233, "_gpl");
SYMBOL_CRC(kvm_arch_end_assignment, 0x1c7bb6b3, "_gpl");
SYMBOL_CRC(kvm_arch_has_assigned_device, 0x8a250a3f, "_gpl");
SYMBOL_CRC(kvm_arch_register_noncoherent_dma, 0x0c7b301b, "_gpl");
SYMBOL_CRC(kvm_arch_unregister_noncoherent_dma, 0x4ac2f667, "_gpl");
SYMBOL_CRC(kvm_arch_has_noncoherent_dma, 0x0d06f644, "_gpl");
SYMBOL_CRC(kvm_arch_no_poll, 0xd626ac23, "_gpl");
SYMBOL_CRC(kvm_spec_ctrl_test_value, 0x2d82cc24, "_gpl");
SYMBOL_CRC(kvm_fixup_and_inject_pf_error, 0x39c17256, "_gpl");
SYMBOL_CRC(kvm_handle_memory_failure, 0x781852ba, "_gpl");
SYMBOL_CRC(kvm_handle_invpcid, 0x7701ea54, "_gpl");
SYMBOL_CRC(kvm_sev_es_mmio_write, 0x4f796090, "_gpl");
SYMBOL_CRC(kvm_sev_es_mmio_read, 0xea335140, "_gpl");
SYMBOL_CRC(kvm_sev_es_string_io, 0x5e6adaea, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_entry, 0x119531eb, "_gpl");
SYMBOL_CRC(__traceiter_kvm_entry, 0xc9f1d046, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_entry, 0xaf532230, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_entry, 0xc071e99f, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_exit, 0xbe31b16b, "_gpl");
SYMBOL_CRC(__traceiter_kvm_exit, 0x12729503, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_exit, 0x73327a19, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_exit, 0x616e6c95, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_fast_mmio, 0x185972dc, "_gpl");
SYMBOL_CRC(__traceiter_kvm_fast_mmio, 0x752c2b00, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_fast_mmio, 0x4615bf2e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_fast_mmio, 0xea5cda33, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_inj_virq, 0x485ad073, "_gpl");
SYMBOL_CRC(__traceiter_kvm_inj_virq, 0x7f51547e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_inj_virq, 0xda6e2c0b, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_inj_virq, 0x6becaded, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_page_fault, 0x0806f764, "_gpl");
SYMBOL_CRC(__traceiter_kvm_page_fault, 0x6ab9dce3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_page_fault, 0x5beb2899, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_page_fault, 0x7ff2a104, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_msr, 0x391a920d, "_gpl");
SYMBOL_CRC(__traceiter_kvm_msr, 0xdc7369fe, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_msr, 0xedd773f8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_msr, 0xf084b57d, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_cr, 0x80ab9376, "_gpl");
SYMBOL_CRC(__traceiter_kvm_cr, 0x17f9cfe3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_cr, 0xf67a8415, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_cr, 0x778e30b9, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_nested_vmenter, 0x8de0764f, "_gpl");
SYMBOL_CRC(__traceiter_kvm_nested_vmenter, 0x74910627, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_nested_vmenter, 0x668b47d7, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_nested_vmenter, 0x6d2c9437, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_nested_vmexit, 0x5021e1b1, "_gpl");
SYMBOL_CRC(__traceiter_kvm_nested_vmexit, 0xee67d233, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_nested_vmexit, 0x35264674, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_nested_vmexit, 0x2510fc6d, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_nested_vmexit_inject, 0x4dac3fe5, "_gpl");
SYMBOL_CRC(__traceiter_kvm_nested_vmexit_inject, 0x114eb824, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_nested_vmexit_inject, 0x694875be, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_nested_vmexit_inject, 0x8b618aa6, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_nested_intr_vmexit, 0x13c7bb19, "_gpl");
SYMBOL_CRC(__traceiter_kvm_nested_intr_vmexit, 0x912a9286, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_nested_intr_vmexit, 0xff4b7469, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_nested_intr_vmexit, 0xd09da48b, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_nested_vmenter_failed, 0x0a3c6130, "_gpl");
SYMBOL_CRC(__traceiter_kvm_nested_vmenter_failed, 0x23263c0a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_nested_vmenter_failed, 0xf6a10d06, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_nested_vmenter_failed, 0xe93dfc8c, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_invlpga, 0x276f1a31, "_gpl");
SYMBOL_CRC(__traceiter_kvm_invlpga, 0x54c1e24a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_invlpga, 0xc11df9fd, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_invlpga, 0x4a1c261b, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_skinit, 0xca28d9f7, "_gpl");
SYMBOL_CRC(__traceiter_kvm_skinit, 0xb96e9aa1, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_skinit, 0xdb9714b8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_skinit, 0xe0e786a7, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_nested_intercepts, 0xadc0b666, "_gpl");
SYMBOL_CRC(__traceiter_kvm_nested_intercepts, 0xa6a50230, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_nested_intercepts, 0x42fde0a7, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_nested_intercepts, 0xa588ef67, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_write_tsc_offset, 0x2af382b4, "_gpl");
SYMBOL_CRC(__traceiter_kvm_write_tsc_offset, 0x5c11e105, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_write_tsc_offset, 0xc2b569f7, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_write_tsc_offset, 0xa84a2e73, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_ple_window_update, 0xd76de68b, "_gpl");
SYMBOL_CRC(__traceiter_kvm_ple_window_update, 0x1412f042, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_ple_window_update, 0x3850b04a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_ple_window_update, 0x93a3e40e, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_pml_full, 0x369d8b43, "_gpl");
SYMBOL_CRC(__traceiter_kvm_pml_full, 0xc60d7d0c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_pml_full, 0xa4a9773b, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_pml_full, 0xf2df48f3, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_pi_irte_update, 0x7a08ae89, "_gpl");
SYMBOL_CRC(__traceiter_kvm_pi_irte_update, 0x45e80fdf, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_pi_irte_update, 0x91639f11, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_pi_irte_update, 0x388e0e10, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_avic_unaccelerated_access, 0x48d92d7b, "_gpl");
SYMBOL_CRC(__traceiter_kvm_avic_unaccelerated_access, 0x9f68faa3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_avic_unaccelerated_access, 0xacb0f222, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_avic_unaccelerated_access, 0xf32dff97, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_avic_incomplete_ipi, 0xb72f8560, "_gpl");
SYMBOL_CRC(__traceiter_kvm_avic_incomplete_ipi, 0x9e20b2bc, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_avic_incomplete_ipi, 0xe7c67893, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_avic_incomplete_ipi, 0x4942be67, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_avic_ga_log, 0x5c55fc53, "_gpl");
SYMBOL_CRC(__traceiter_kvm_avic_ga_log, 0xa7022320, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_avic_ga_log, 0x9f0a9f2d, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_avic_ga_log, 0x1d1b139a, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_avic_kick_vcpu_slowpath, 0x900dd863, "_gpl");
SYMBOL_CRC(__traceiter_kvm_avic_kick_vcpu_slowpath, 0x4733bf8c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_avic_kick_vcpu_slowpath, 0x5d1598f8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_avic_kick_vcpu_slowpath, 0x5f911332, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_avic_doorbell, 0x00c36ab9, "_gpl");
SYMBOL_CRC(__traceiter_kvm_avic_doorbell, 0xc7fe55ac, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_avic_doorbell, 0x65c4cd7c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_avic_doorbell, 0x1f8e9483, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_apicv_accept_irq, 0xd38510c5, "_gpl");
SYMBOL_CRC(__traceiter_kvm_apicv_accept_irq, 0x3d93fb92, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_apicv_accept_irq, 0x3bc3fb86, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_apicv_accept_irq, 0x5c7e9f84, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_vmgexit_enter, 0x6c9c6068, "_gpl");
SYMBOL_CRC(__traceiter_kvm_vmgexit_enter, 0x8f3a890e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_vmgexit_enter, 0x099bc7ad, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_vmgexit_enter, 0x8a7fe54a, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_vmgexit_exit, 0x22afdefa, "_gpl");
SYMBOL_CRC(__traceiter_kvm_vmgexit_exit, 0x7510a39a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_vmgexit_exit, 0x95d1dda2, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_vmgexit_exit, 0x48644036, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_vmgexit_msr_protocol_enter, 0xa7f8840f, "_gpl");
SYMBOL_CRC(__traceiter_kvm_vmgexit_msr_protocol_enter, 0x0ca8df68, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_vmgexit_msr_protocol_enter, 0xb5ab0480, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_vmgexit_msr_protocol_enter, 0xf54e2886, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_vmgexit_msr_protocol_exit, 0x27f8354a, "_gpl");
SYMBOL_CRC(__traceiter_kvm_vmgexit_msr_protocol_exit, 0x25c07225, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_vmgexit_msr_protocol_exit, 0xc391ea13, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_vmgexit_msr_protocol_exit, 0x0cff45f4, "_gpl");
SYMBOL_CRC(kvm_cpu_has_injectable_intr, 0x15770f63, "_gpl");
SYMBOL_CRC(kvm_cpu_has_interrupt, 0x2ae24744, "_gpl");
SYMBOL_CRC(kvm_cpu_get_interrupt, 0xf8cee3ee, "_gpl");
SYMBOL_CRC(kvm_has_noapic_vcpu, 0x3f510ff5, "_gpl");
SYMBOL_CRC(__kvm_apic_update_irr, 0x6243ac82, "_gpl");
SYMBOL_CRC(kvm_apic_update_irr, 0x1f54c099, "_gpl");
SYMBOL_CRC(kvm_apic_clear_irr, 0x2900f983, "_gpl");
SYMBOL_CRC(kvm_lapic_find_highest_irr, 0x5df84237, "_gpl");
SYMBOL_CRC(kvm_apic_update_ppr, 0x86cfe533, "_gpl");
SYMBOL_CRC(kvm_apic_match_dest, 0xec269385, "_gpl");
SYMBOL_CRC(kvm_apic_set_eoi_accelerated, 0xf74ab42b, "_gpl");
SYMBOL_CRC(kvm_apic_send_ipi, 0x07f2b4db, "_gpl");
SYMBOL_CRC(kvm_lapic_readable_reg_mask, 0xc216f0ed, "_gpl");
SYMBOL_CRC(kvm_wait_lapic_expire, 0x2f0b6362, "_gpl");
SYMBOL_CRC(kvm_lapic_expired_hv_timer, 0x176aebc8, "_gpl");
SYMBOL_CRC(kvm_lapic_set_eoi, 0x4f33fcda, "_gpl");
SYMBOL_CRC(kvm_apic_write_nodecode, 0xf9567fbe, "_gpl");
SYMBOL_CRC(kvm_alloc_apic_access_page, 0x6f09a4c4, "_gpl");
SYMBOL_CRC(kvm_apic_has_interrupt, 0x85112712, "_gpl");
SYMBOL_CRC(kvm_set_msi_irq, 0x01b3f309, "_gpl");
SYMBOL_CRC(kvm_intr_is_single_vcpu, 0xd2548451, "_gpl");
SYMBOL_CRC(kvm_cpu_caps, 0xad43fc4c, "_gpl");
SYMBOL_CRC(kvm_update_cpuid_runtime, 0x292f68be, "_gpl");
SYMBOL_CRC(kvm_set_cpu_caps, 0x5d996b31, "_gpl");
SYMBOL_CRC(kvm_find_cpuid_entry_index, 0x22a188cb, "_gpl");
SYMBOL_CRC(kvm_find_cpuid_entry, 0x06ca8276, "_gpl");
SYMBOL_CRC(kvm_cpuid, 0xfe794ab6, "_gpl");
SYMBOL_CRC(kvm_emulate_cpuid, 0x8c2183b8, "_gpl");
SYMBOL_CRC(kvm_pmu_cap, 0xd475c188, "_gpl");
SYMBOL_CRC(kvm_pmu_eventsel, 0xfcc16c54, "_gpl");
SYMBOL_CRC(pmc_write_counter, 0xfb152c73, "_gpl");
SYMBOL_CRC(kvm_pmu_trigger_event, 0xa16721e8, "_gpl");
SYMBOL_CRC(kvm_mtrr_get_guest_memory_type, 0x9334d5c9, "_gpl");
SYMBOL_CRC(kvm_mmu_free_roots, 0x3c1f4d5e, "_gpl");
SYMBOL_CRC(kvm_mmu_free_guest_mode_roots, 0x486ae9e2, "_gpl");
SYMBOL_CRC(kvm_handle_page_fault, 0x40ae8e88, "_gpl");
SYMBOL_CRC(kvm_mmu_new_pgd, 0x54dcbc7f, "_gpl");
SYMBOL_CRC(kvm_init_shadow_npt_mmu, 0x13221732, "_gpl");
SYMBOL_CRC(kvm_init_shadow_ept_mmu, 0x7e9d9caa, "_gpl");
SYMBOL_CRC(kvm_init_mmu, 0xeaa35c33, "_gpl");
SYMBOL_CRC(kvm_mmu_reset_context, 0x3b2e053b, "_gpl");
SYMBOL_CRC(kvm_mmu_page_fault, 0x55f6dd92, "_gpl");
SYMBOL_CRC(kvm_mmu_invalidate_addr, 0x42967ea1, "_gpl");
SYMBOL_CRC(kvm_mmu_invlpg, 0xb384b67b, "_gpl");
SYMBOL_CRC(kvm_configure_mmu, 0x06cdc8d1, "_gpl");
SYMBOL_CRC(kvm_page_track_register_notifier, 0xde38548e, "_gpl");
SYMBOL_CRC(kvm_page_track_unregister_notifier, 0x51ecd4e6, "_gpl");
SYMBOL_CRC(kvm_write_track_add_gfn, 0xb6b5e3f0, "_gpl");
SYMBOL_CRC(kvm_write_track_remove_gfn, 0x70b4ecaa, "_gpl");
SYMBOL_CRC(enable_mmio_caching, 0xfab33e4c, "_gpl");
SYMBOL_CRC(kvm_mmu_set_mmio_spte_mask, 0x6ada8f59, "_gpl");
SYMBOL_CRC(kvm_mmu_set_me_spte_mask, 0xbd9d6dfc, "_gpl");
SYMBOL_CRC(kvm_mmu_set_ept_masks, 0x5bf7cde0, "_gpl");
SYMBOL_CRC(kvm_hv_assist_page_enabled, 0x8f7f46e9, "_gpl");
SYMBOL_CRC(kvm_hv_get_assist_page, 0x393f81e6, "_gpl");
SYMBOL_CRC(hv_flush_remote_tlbs_range, 0xc7d31ecd, "_gpl");
SYMBOL_CRC(hv_flush_remote_tlbs, 0x7c360f2d, "_gpl");
SYMBOL_CRC(hv_track_root_tdp, 0x44dab171, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x6ecc607e, "mem_section" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9f50f32, "rcu_nocb_flush_deferred_wakeup" },
	{ 0x88bc65c0, "kmem_cache_free" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x80787f13, "fixup_user_fault" },
	{ 0x1e82c82c, "debugfs_remove" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x2b67169c, "preempt_notifier_register" },
	{ 0x17a915a0, "finish_rcuwait" },
	{ 0x881fdc46, "__SCK__tp_func_ipi_send_cpu" },
	{ 0x25e36875, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf60300c0, "fpu_free_guest_fpstate" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xb776725e, "mmu_notifier_unregister" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x995d1071, "prof_on" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xdf496f69, "xfer_to_guest_mode_handle_work" },
	{ 0x4297ac9, "cleanup_srcu_struct" },
	{ 0xacfee4ef, "file_modified" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbce46c69, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x77f24400, "perf_register_guest_info_callbacks" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1475d603, "xstate_get_guest_group_perm" },
	{ 0x2975cd47, "bpf_trace_run1" },
	{ 0x38ea9765, "intel_pt_validate_hw_cap" },
	{ 0x110156a7, "bpf_trace_run9" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x7b64d81, "hyperv_stop_tsc_emulation" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x9f76baf4, "_raw_write_unlock_irq" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x3fe35aea, "irq_bypass_unregister_consumer" },
	{ 0x9a185ace, "tick_nohz_full_running" },
	{ 0xfb578fc5, "memset" },
	{ 0xdad13544, "ptrs_per_p4d" },
	{ 0x41ed3cec, "eventfd_ctx_remove_wait_queue" },
	{ 0x69459a72, "synchronize_srcu_expedited" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xd207d650, "misc_register" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb9c425de, "register_syscore_ops" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf2b66263, "follow_pte" },
	{ 0x4248ae3c, "single_task_running" },
	{ 0x6214aef2, "cpufreq_unregister_notifier" },
	{ 0x59d91a0, "fpu_swap_kvm_fpstate" },
	{ 0x56398615, "mark_tsc_unstable" },
	{ 0x95609b26, "context_tracking_key" },
	{ 0xf32b2e4f, "simple_attr_read" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x6d16c104, "mutex_lock_killable" },
	{ 0x668b19a1, "down_read" },
	{ 0x8ac81081, "__mmdrop" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0xe31fdd06, "fpu_copy_uabi_to_guest_fpstate" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x7c46233a, "cpufreq_quick_get" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbb13595e, "smp_call_function_many" },
	{ 0x68a12ab8, "rep_movs_alternative" },
	{ 0x7947d2e4, "kthread_create_on_node" },
	{ 0xd5f0daec, "__lruvec_stat_mod_folio" },
	{ 0xaa6a50f9, "__static_key_deferred_flush" },
	{ 0x745a981, "xa_erase" },
	{ 0xe42d41dd, "pv_ops" },
	{ 0x5e80f411, "bpf_trace_run3" },
	{ 0xa58d5d85, "__mmap_lock_do_trace_start_locking" },
	{ 0x4101f83a, "seq_read" },
	{ 0xb4b97c90, "pvclock_gtod_register_notifier" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0xad974c24, "perf_event_enable" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x29ad8e33, "x86_hyper_type" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc03416d1, "irq_work_sync" },
	{ 0x44aaf30f, "tsc_khz" },
	{ 0xc56d035f, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0xf128f573, "trace_event_buffer_reserve" },
	{ 0xf31f0372, "mmput" },
	{ 0xc683da81, "set_memory_decrypted" },
	{ 0x3011283c, "kthread_destroy_worker" },
	{ 0x57861a5c, "gds_ucode_mitigated" },
	{ 0x3a099605, "__get_user_nocheck_4" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xb89e69b1, "jump_label_update_timeout" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x265b6e29, "hyperv_flush_guest_mapping_range" },
	{ 0xef4c188e, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x8437f203, "cpu_info" },
	{ 0xfb843f21, "get_user_pages_fast_only" },
	{ 0xe0e6ef02, "perf_get_x86_pmu_capability" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x7d3f3617, "fpu_enable_guest_xfd_features" },
	{ 0xab1ecc75, "get_user_pages_unlocked" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x2965f991, "alloc_pages" },
	{ 0x3b3106f9, "__tracepoint_mmap_lock_start_locking" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x5a466b5d, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x65d9e877, "cpufreq_register_notifier" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x50b03f5d, "l1tf_vmx_mitigation" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8862dfc7, "seq_printf" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x7f86588c, "__mmap_lock_do_trace_released" },
	{ 0x18c3d5, "dput" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5b3e282f, "xa_store" },
	{ 0x550ce709, "pat_enabled" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x858798ad, "__hrtimer_get_remaining" },
	{ 0x8d6aff89, "__put_user_nocheck_4" },
	{ 0x7452adff, "user_return_notifier_register" },
	{ 0xaa4b457e, "__srcu_read_unlock" },
	{ 0x32bc0fcf, "preempt_notifier_dec" },
	{ 0x21e02c3f, "mmu_notifier_register" },
	{ 0xe0d39f1c, "sgx_set_attribute" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x5f2da8c4, "check_tsc_unstable" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xad6c9d7, "generic_file_open" },
	{ 0xfc321918, "truncate_inode_pages_range" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x38c32010, "vtime_guest_enter" },
	{ 0x888c5be5, "irq_bypass_register_consumer" },
	{ 0xb42c505, "boot_cpu_data" },
	{ 0x40f76a86, "__vcalloc" },
	{ 0x9951d7ff, "rcuwait_wake_up" },
	{ 0xd6565347, "single_release" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x1c9a8b3d, "pid_vnr" },
	{ 0x21e1eec3, "cpufreq_cpu_get" },
	{ 0x51ca56e5, "preempt_notifier_unregister" },
	{ 0x947b40c6, "cpu_smt_possible" },
	{ 0x25f87992, "fpu_alloc_guest_fpstate" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf62f3f37, "kmalloc_trace" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x2af6d0de, "get_file_active" },
	{ 0xd6df01f7, "perf_get_hw_event_config" },
	{ 0xef8fc95f, "kvm_async_pf_task_wait_schedule" },
	{ 0x36c75b4e, "context_tracking" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xee994862, "perf_event_release_kernel" },
	{ 0x754d539c, "strlen" },
	{ 0x114d9a76, "bpf_trace_run7" },
	{ 0x23472128, "get_task_pid" },
	{ 0x96fdff52, "param_ops_int" },
	{ 0x197d04f, "anon_inode_create_getfile" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe77e38c8, "fpstate_clear_xstate_component" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x8cec3ae1, "single_open" },
	{ 0xe83eba32, "itlb_multihit_kvm_mitigation" },
	{ 0xe911df29, "eventfd_ctx_do_read" },
	{ 0x19e24a33, "__static_call_update" },
	{ 0x3c4edc26, "debugfs_create_dir" },
	{ 0x5e7a3210, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x5f18a6, "add_wait_queue_priority" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xe7b12a25, "put_pid" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x46d44f87, "__cpuhp_remove_state" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x3466ce63, "x86_msi_msg_get_destid" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc2ca6b76, "eventfd_ctx_fileget" },
	{ 0xbabdbe65, "kmalloc_caches" },
	{ 0x4849a46b, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4e8f828, "mtree_load" },
	{ 0x9714e0bb, "ktime_get_raw" },
	{ 0xc953c66e, "vma_kernel_pagesize" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x64eb88e1, "yield_to" },
	{ 0x6a5fa363, "sigprocmask" },
	{ 0x196614ce, "hw_breakpoint_restore" },
	{ 0x48112d76, "_raw_read_lock_irq" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xd5f3bb7b, "set_memory_encrypted" },
	{ 0xc8cbf751, "tlbstate_untag_mask" },
	{ 0xc8a61f03, "generic_fillattr" },
	{ 0x1a9769ca, "shrinker_alloc" },
	{ 0xf24ae5da, "simple_attr_write" },
	{ 0x4e5ee273, "tick_nohz_full_mask" },
	{ 0x6228c21f, "smp_call_function_single" },
	{ 0x6f298ee5, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3b7a7163, "__static_call_return0" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc960f23, "kthread_create_worker" },
	{ 0x8150833a, "misc_deregister" },
	{ 0xa8d6c40c, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x78b52ac, "kthread_flush_work" },
	{ 0x6988d0ca, "cpu_dr7" },
	{ 0x66283031, "x86_match_cpu" },
	{ 0x512998ed, "bpf_trace_run4" },
	{ 0x20978fb9, "idr_find" },
	{ 0x9b3efeae, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x67955ce6, "profile_hits" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xdf2c2742, "rb_last" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9241b358, "__static_key_slow_dec_deferred" },
	{ 0x988e0204, "folio_unlock" },
	{ 0x63f835ba, "on_each_cpu_cond_mask" },
	{ 0x3bbdd2c4, "vmalloc_to_page" },
	{ 0xb0e602eb, "memmove" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x450fe6eb, "trace_raw_output_prep" },
	{ 0x90c0a1ff, "perf_event_create_kernel_counter" },
	{ 0xa58af0a6, "_raw_read_unlock_irq" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x4ae4b79a, "cgroup_attach_task_all" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x3b225959, "param_get_bool" },
	{ 0xbdfb3f01, "bpf_trace_run6" },
	{ 0xd2a3a38c, "vtime_guest_exit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x5b56860c, "vm_munmap" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x566f9aea, "__trace_trigger_soft_disabled" },
	{ 0x44c799e1, "get_pid_task" },
	{ 0x4e50eb3e, "fpu_copy_guest_fpstate_to_uabi" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd44b8ed7, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0xa6ab4afb, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x466c14a7, "__delay" },
	{ 0x1057a279, "bsearch" },
	{ 0x5c25a14e, "fget" },
	{ 0x323b02f3, "__put_task_struct" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0xffc86f14, "__xas_next" },
	{ 0x39c9d88c, "xas_find" },
	{ 0x17b57337, "set_user_nice" },
	{ 0x46a6c9ef, "hv_get_tsc_page" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0x3ba01b47, "get_compat_sigset" },
	{ 0xcd81a945, "switch_fpu_return" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x1309a8dd, "noop_dirty_folio" },
	{ 0x301304c2, "__get_user_nocheck_8" },
	{ 0xc7b4c976, "irq_work_queue" },
	{ 0xe1aa2d62, "set_hv_tscchange_cb" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x76b35e7, "param_set_uint" },
	{ 0x23e89d7b, "fd_install" },
	{ 0x22d26582, "trace_event_raw_init" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0xe7257ab8, "xa_store_range" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfa1eb910, "unregister_syscore_ops" },
	{ 0xbf2e2e71, "housekeeping_enabled" },
	{ 0x72d79d83, "pgdir_shift" },
	{ 0x95019da6, "smp_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x58401a11, "perf_event_pause" },
	{ 0xae04012c, "__vmalloc" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xcfd579, "perf_event_period" },
	{ 0x1b7244b, "pcpu_hot" },
	{ 0x5781d422, "seq_lseek" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0x8c64c1c8, "vm_mmap" },
	{ 0x320145e6, "__put_devmap_managed_page_refs" },
	{ 0x36b6079d, "send_sig_mceerr" },
	{ 0x26cda94f, "e820__mapped_raw_any" },
	{ 0x441f55d4, "bpf_trace_run2" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xbbc69711, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xaa2f79b8, "synchronize_srcu" },
	{ 0x1cbd92b0, "cpu_mitigations_off" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0xb91439fb, "kmem_cache_create" },
	{ 0xc91c3866, "bpf_trace_run8" },
	{ 0x4d924f20, "memremap" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x4db40dfa, "kthread_park" },
	{ 0x273e1002, "fpu_sync_guest_vmexit_xfd_state" },
	{ 0x9d5dbffb, "__tracepoint_mmap_lock_released" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0x41540657, "cpufreq_cpu_put" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x6e00e74, "perf_event_read_value" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x716265c7, "debugfs_initialized" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xd2f0256c, "get_user_pages_remote" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0xbef4407f, "wake_up_process" },
	{ 0x3aca0190, "_raw_write_lock_irq" },
	{ 0xb8519dd4, "shrinker_free" },
	{ 0xf874fbf9, "trace_event_buffer_commit" },
	{ 0xc575719, "__cond_resched_rwlock_write" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xbf8da57a, "anon_inode_getfd" },
	{ 0xea2d6984, "param_get_uint" },
	{ 0x6bbd8324, "perf_unregister_guest_info_callbacks" },
	{ 0x45bce757, "get_user_pages" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x793ac193, "__SCT__tp_func_ipi_send_cpu" },
	{ 0x38c42a3b, "shrinker_register" },
	{ 0xe411c149, "__filemap_get_folio" },
	{ 0xf4ac9434, "kthread_queue_work" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x47d8d301, "__cond_resched_rwlock_read" },
	{ 0x618911fc, "numa_node" },
	{ 0x1ef0a673, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0xfa01e4e2, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x85efc7e0, "zero_pfn" },
	{ 0x9dbc4e80, "__tracepoint_ipi_send_cpu" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xc6cbbc89, "capable" },
	{ 0x18ed3962, "find_vma" },
	{ 0xda1f78ee, "clear_hv_tscchange_cb" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xcc4bc845, "kthread_unpark" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xcfe59cb, "hyperv_fill_flush_guest_mapping_list" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x49feb53c, "param_ops_bint" },
	{ 0x91918d03, "debugfs_lookup" },
	{ 0x89bc9e77, "mark_page_accessed" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xd86b1b21, "kobject_uevent_env" },
	{ 0x2e2df7f4, "irq_remapping_cap" },
	{ 0xb74c43f6, "fpu_update_guest_xfd" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xe325f6fd, "init_srcu_struct" },
	{ 0x7501cf58, "perf_trace_run_bpf_submit" },
	{ 0x4688d7ec, "pvclock_gtod_unregister_notifier" },
	{ 0xb1dc80f, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xe7232e0f, "user_return_notifier_unregister" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x1446a627, "__cpuhp_setup_state" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1d19f77b, "physical_mask" },
	{ 0x402cbbf, "preempt_notifier_inc" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x791a42b0, "simple_attr_release" },
	{ 0xcf2e91c6, "kmem_cache_create_usercopy" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0xc9a4b416, "copy_to_user_nofault" },
	{ 0x11f1cff1, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4df42535, "dentry_path_raw" },
	{ 0x9cd04b06, "task_cputime_adjusted" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x15886eae, "noop_llseek" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0xf8fe3986, "pat_pfn_immune_to_uc_mtrr" },
	{ 0xe3f48f4a, "bpf_trace_run5" },
	{ 0x98f4d306, "hyperv_flush_guest_mapping" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2ED6582037289A7FD85BB8D");
