#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(simd_skcipher_create_compat, "_gpl", "");
KSYMTAB_FUNC(simd_skcipher_create, "_gpl", "");
KSYMTAB_FUNC(simd_skcipher_free, "_gpl", "");
KSYMTAB_FUNC(simd_register_skciphers_compat, "_gpl", "");
KSYMTAB_FUNC(simd_unregister_skciphers, "_gpl", "");
KSYMTAB_FUNC(simd_aead_create_compat, "_gpl", "");
KSYMTAB_FUNC(simd_aead_create, "_gpl", "");
KSYMTAB_FUNC(simd_aead_free, "_gpl", "");
KSYMTAB_FUNC(simd_register_aeads_compat, "_gpl", "");
KSYMTAB_FUNC(simd_unregister_aeads, "_gpl", "");

SYMBOL_CRC(simd_skcipher_create_compat, 0x88638552, "_gpl");
SYMBOL_CRC(simd_skcipher_create, 0x66983e96, "_gpl");
SYMBOL_CRC(simd_skcipher_free, 0xefe73979, "_gpl");
SYMBOL_CRC(simd_register_skciphers_compat, 0xb95d4e92, "_gpl");
SYMBOL_CRC(simd_unregister_skciphers, 0xf6bbbf8b, "_gpl");
SYMBOL_CRC(simd_aead_create_compat, 0x504cb053, "_gpl");
SYMBOL_CRC(simd_aead_create, 0x851c747c, "_gpl");
SYMBOL_CRC(simd_aead_free, 0xbfd26f15, "_gpl");
SYMBOL_CRC(simd_register_aeads_compat, 0x88c80054, "_gpl");
SYMBOL_CRC(simd_unregister_aeads, 0x0fd5638a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7ba67dd, "crypto_aead_setauthsize" },
	{ 0x6b0ccb56, "crypto_aead_decrypt" },
	{ 0x63d97f63, "crypto_skcipher_setkey" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x44207727, "crypto_unregister_aeads" },
	{ 0x6d227604, "crypto_destroy_tfm" },
	{ 0x103a461e, "cryptd_skcipher_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x40b982ab, "crypto_skcipher_decrypt" },
	{ 0x4e5ed2e4, "cryptd_alloc_skcipher" },
	{ 0xd592e373, "crypto_aead_setkey" },
	{ 0x789f4a45, "crypto_register_skcipher" },
	{ 0xa3d267a, "crypto_aead_encrypt" },
	{ 0x49e52207, "cryptd_aead_queued" },
	{ 0x7695384e, "crypto_unregister_skcipher" },
	{ 0x4fe72b48, "crypto_register_skciphers" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9c400613, "cryptd_skcipher_queued" },
	{ 0x237a0c3a, "cryptd_free_aead" },
	{ 0xa165bcea, "crypto_unregister_skciphers" },
	{ 0xe7560b9b, "cryptd_free_skcipher" },
	{ 0xf62f3f37, "kmalloc_trace" },
	{ 0xbabdbe65, "kmalloc_caches" },
	{ 0xd16d360c, "crypto_alloc_skcipher" },
	{ 0x36238881, "crypto_skcipher_encrypt" },
	{ 0x44d8939a, "cryptd_alloc_aead" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2bf64065, "cryptd_aead_child" },
	{ 0x73dd54eb, "irq_fpu_usable" },
	{ 0x3809fca2, "crypto_register_aead" },
	{ 0xfac8f21, "crypto_unregister_aead" },
	{ 0x37a0cba, "kfree" },
	{ 0xa55328d9, "crypto_register_aeads" },
	{ 0x1b7244b, "pcpu_hot" },
	{ 0x28239790, "crypto_alloc_aead" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "cryptd");


MODULE_INFO(srcversion, "304B95D7FEFBC6F5334B559");
