#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bttv_get_pcidev, "", "");
KSYMTAB_FUNC(bttv_gpio_enable, "", "");
KSYMTAB_FUNC(bttv_read_gpio, "", "");
KSYMTAB_FUNC(bttv_write_gpio, "", "");
KSYMTAB_FUNC(bttv_sub_register, "", "");
KSYMTAB_FUNC(bttv_sub_unregister, "", "");

SYMBOL_CRC(bttv_get_pcidev, 0xc6b8a8cb, "");
SYMBOL_CRC(bttv_gpio_enable, 0x11dc4b6d, "");
SYMBOL_CRC(bttv_read_gpio, 0xbcf2d2fb, "");
SYMBOL_CRC(bttv_write_gpio, 0x8ecf4acc, "");
SYMBOL_CRC(bttv_sub_register, 0x4627bf8c, "");
SYMBOL_CRC(bttv_sub_unregister, 0xe82c1f9f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc0315267, "vb2_buffer_done" },
	{ 0xca89b21d, "driver_unregister" },
	{ 0x1be569d9, "vb2_plane_vaddr" },
	{ 0x30fe7a3f, "v4l2_ctrl_subscribe_event" },
	{ 0xe9be83e7, "snd_tea575x_s_hw_freq_seek" },
	{ 0xde80cd09, "ioremap" },
	{ 0x7fa73589, "video_unregister_device" },
	{ 0x468511a, "snd_tea575x_set_freq" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x8a4dfd28, "i2c_new_client_device" },
	{ 0x7d2fcae8, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x2d045ff5, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd6448cb1, "device_register" },
	{ 0xfad6f784, "rc_free_device" },
	{ 0xd6446d6e, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb4f5382d, "vb2_fop_read" },
	{ 0x6ec14613, "v4l2_device_register" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7d8612a0, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc67cf559, "rc_allocate_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb80f34ca, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66762aae, "snd_tea575x_hw_init" },
	{ 0x8dd3d4cd, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x59688d, "pci_write_config_byte" },
	{ 0xf3516f50, "vb2_ops_wait_prepare" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x2c55c133, "vb2_ioctl_streamon" },
	{ 0xb3bdc99a, "vb2_fop_poll" },
	{ 0xcb89626d, "v4l2_ctrl_new_std" },
	{ 0xf2a353ac, "v4l2_i2c_tuner_addrs" },
	{ 0x7e7fb4f8, "v4l2_ctrl_handler_free" },
	{ 0xd7aa7384, "v4l2_device_unregister" },
	{ 0xc11b587a, "pci_disable_device" },
	{ 0x60d85226, "vb2_wait_for_all_buffers" },
	{ 0x5b20e357, "dma_set_mask" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xe4075c13, "v4l2_subdev_call_wrappers" },
	{ 0xf62f3f37, "kmalloc_trace" },
	{ 0x614dd5a, "v4l2_video_std_frame_period" },
	{ 0xcf56106f, "v4l2_i2c_new_subdev" },
	{ 0xcc452236, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x96fdff52, "param_ops_int" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8a5ef729, "video_device_release_empty" },
	{  0xe3731, "driver_register" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc6dae0ed, "rc_unregister_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x16eaee77, "v4l2_event_unsubscribe" },
	{ 0xbabdbe65, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x4f9ba15d, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe007fdc3, "vb2_ioctl_reqbufs" },
	{ 0xdf7815f5, "vb2_queue_init" },
	{ 0x34b00a4b, "snd_tea575x_g_tuner" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x386feae7, "vb2_dma_sg_memops" },
	{ 0x8693d285, "v4l2_ctrl_poll" },
	{ 0x4c9372c7, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xcdb16cba, "pci_enable_device" },
	{ 0x783d6cf3, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xe96ac240, "v4l2_ctrl_radio_filter" },
	{ 0xaf73e94a, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x80dba499, "i2c_bit_add_bus" },
	{ 0x9c7c094a, "v4l2_ctrl_add_handler" },
	{ 0xdd365483, "device_unregister" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a781cee, "pci_get_device" },
	{ 0xbef363c0, "request_firmware" },
	{ 0xc77521e2, "vb2_ops_wait_finish" },
	{ 0xeeda5b3e, "__pci_register_driver" },
	{ 0x6a4db559, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0xabd0f583, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xb81e6267, "vb2_ioctl_querybuf" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x37e860d9, "i2c_transfer_buffer_flags" },
	{ 0xdc14eda7, "pci_pci_problems" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x42dcc91f, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x5898575a, "pci_unregister_driver" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xaeab8c65, "v4l2_ctrl_handler_log_status" },
	{ 0xb96ea61c, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9ece92fc, "video_devdata" },
	{ 0x94a07ed5, "put_device" },
	{ 0xafb3a827, "vb2_fop_release" },
	{ 0xdbc9f9ce, "i2c_new_scanned_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x77310999, "v4l2_ctrl_find" },
	{ 0x9751b4da, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x76fe67c0, "__v4l2_ctrl_s_ctrl" },
	{ 0xd55f7e63, "vb2_plane_cookie" },
	{ 0xc55769a4, "device_create_file" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x742d11cf, "rc_keyup" },
	{ 0x6cf39e72, "vb2_ioctl_dqbuf" },
	{ 0x8a0527ac, "bus_unregister" },
	{ 0x4831b519, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x3a4a8aa0, "tveeprom_read" },
	{ 0x6ec7d60b, "v4l2_ctrl_new_custom" },
	{ 0x6a6fa132, "rc_keydown_notimeout" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x8fc5c81d, "v4l2_fh_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6b4a3bca, "rc_register_device" },
	{ 0xadd5af86, "dma_alloc_attrs" },
	{ 0x5a921311, "strncmp" },
	{ 0x8604f7bd, "rc_keydown" },
	{ 0xff1f9ba, "snd_tea575x_enum_freq_bands" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-common,videodev,tea575x,videobuf2-v4l2,rc-core,tveeprom,videobuf2-dma-sg,i2c-algo-bit");

MODULE_ALIAS("pci:v0000109Ed00000350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed00000351sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Csv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "5A435C3ED33F397E430CE56");
