#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfd0c44cf, "__phy_modify" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8461a4d1, "__mdiobus_read" },
	{ 0xde6fcba9, "bcm_phy_read_exp" },
	{ 0x9a5fd37, "bcm_phy_write_exp" },
	{ 0x2616f561, "genphy_c37_read_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x84e4028e, "bcm_phy_get_sset_count" },
	{ 0xcb216649, "devm_gpiod_get" },
	{ 0xd282f06f, "gpiod_to_irq" },
	{ 0xa0f0ddfd, "bcm_phy_wol_isr" },
	{ 0xb23c474, "devm_request_threaded_irq" },
	{ 0x4ccecc10, "device_set_wakeup_capable" },
	{ 0xcea2d41d, "device_wakeup_enable" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x143ef9ea, "pm_wakeup_dev_event" },
	{ 0x816f930c, "genphy_resume" },
	{ 0xb23ea644, "genphy_soft_reset" },
	{ 0xb8e8fcd, "bcm_phy_config_intr" },
	{ 0x272ba123, "bcm_phy_handle_interrupt" },
	{ 0x5c45a43a, "bcm_phy_get_strings" },
	{ 0x52b516ea, "bcm_phy_led_brightness_set" },
	{ 0xf41787e0, "genphy_suspend" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x56bc3aae, "phy_drivers_register" },
	{ 0x16bf68e5, "mdiobus_read" },
	{ 0xc07e63d2, "genphy_read_status" },
	{ 0xf9622b0f, "phy_trigger_machine" },
	{ 0x79098527, "phy_error" },
	{ 0xd2f4d453, "bcm54xx_auxctl_read" },
	{ 0xd561535b, "bcm54xx_auxctl_write" },
	{ 0xab5d3eec, "bcm_phy_read_shadow" },
	{ 0x184f9241, "bcm_phy_write_shadow" },
	{ 0x7cf6c177, "__genphy_config_aneg" },
	{ 0xa2799bc9, "genphy_c37_config_aneg" },
	{ 0xda910f76, "devm_kmalloc" },
	{ 0x4891c05e, "bcm_phy_get_wol" },
	{ 0x33731c48, "bcm_phy_set_wol" },
	{ 0xc20badb5, "bcm_phy_get_stats" },
	{ 0x4556b79, "phy_drivers_unregister" },
	{ 0x79c0f41b, "phy_modify" },
	{ 0xed908edc, "mdiobus_write" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf61a3945, "__mdiobus_write" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "libphy,bcm-phy-lib");

MODULE_ALIAS("mdio:0000000000100000011000000111????");
MODULE_ALIAS("mdio:0000000000100000011000001110????");
MODULE_ALIAS("mdio:0110000000001101100001001010????");
MODULE_ALIAS("mdio:0000000000100000011000001100????");
MODULE_ALIAS("mdio:0000001101100010010111100110????");
MODULE_ALIAS("mdio:0000001101100010010111010001????");
MODULE_ALIAS("mdio:0000000000100000011000001011????");
MODULE_ALIAS("mdio:0000000101000011101111001010????");
MODULE_ALIAS("mdio:0000001101100010010111010000????");
MODULE_ALIAS("mdio:0000001101100010010111001100????");
MODULE_ALIAS("mdio:0000000101000011101111001011????");
MODULE_ALIAS("mdio:0000000101000011101111010110????");
MODULE_ALIAS("mdio:0000000101000011101111010111????");
MODULE_ALIAS("mdio:0000001101100010010111011001????");
MODULE_ALIAS("mdio:0000000101000011101111000111????");
MODULE_ALIAS("mdio:0000000001000000011000011110????");
MODULE_ALIAS("mdio:0000000101000011101111000011????");
MODULE_ALIAS("mdio:0000000101000011101111001111????");
MODULE_ALIAS("mdio:0000001101100010010111110010????");
MODULE_ALIAS("mdio:0000001101100010010111100001????");
MODULE_ALIAS("mdio:0000001101100010010111001101????");

MODULE_INFO(srcversion, "8397B33A16ECF9F73344B67");
