#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd361a2a5, "dma_map_page_attrs" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc4d08d66, "ieee80211_free_txskb" },
	{ 0xe83a3d10, "ieee80211_stop_queue" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1e0be3e4, "dev_driver_string" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xcc2ad4dd, "dma_unmap_page_attrs" },
	{ 0x3b6aa8af, "consume_skb" },
	{ 0xf9a482f9, "msleep" },
	{ 0x967f9c17, "_dev_printk" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xcdb16cba, "pci_enable_device" },
	{ 0x103082d5, "pci_read_config_dword" },
	{ 0x80dbeafb, "pci_request_regions" },
	{ 0x5b20e357, "dma_set_mask" },
	{ 0x9826fbea, "dma_set_coherent_mask" },
	{ 0xd6446d6e, "pci_set_master" },
	{ 0x3e4e01d3, "ieee80211_alloc_hw_nm" },
	{ 0x962ec14a, "pci_iomap" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xadd5af86, "dma_alloc_attrs" },
	{ 0xff7a0fdf, "eeprom_93cx6_multiread" },
	{ 0x92997ed8, "_printk" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xef230a2d, "ieee80211_register_hw" },
	{ 0x49ff345a, "_dev_info" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x695b32e2, "__netdev_alloc_skb" },
	{ 0xd688a66a, "pci_set_mwi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xcc452236, "pci_read_config_byte" },
	{ 0x67501f2, "_dev_err" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc500e393, "ieee80211_tx_status_irqsafe" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x374d5d92, "dma_sync_single_for_cpu" },
	{ 0x175686f0, "skb_put" },
	{ 0xca122d55, "dma_sync_single_for_device" },
	{ 0x773b66c3, "ieee80211_rx_irqsafe" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x485e9cab, "ieee80211_wake_queue" },
	{ 0x92bc4ca6, "ieee80211_emulate_add_chanctx" },
	{ 0x1134fca4, "ieee80211_emulate_remove_chanctx" },
	{ 0xaed4f463, "ieee80211_emulate_change_chanctx" },
	{ 0xb698bdbe, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xd064a70c, "ieee80211_handle_wake_tx_queue" },
	{ 0x9b3efeae, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeeda5b3e, "__pci_register_driver" },
	{ 0x3cb6147, "ieee80211_unregister_hw" },
	{ 0xb80f34ca, "dma_free_attrs" },
	{ 0x37a0cba, "kfree" },
	{ 0xd8fa1f16, "pci_iounmap" },
	{ 0xa308df32, "pci_release_regions" },
	{ 0xc11b587a, "pci_disable_device" },
	{ 0x7f465c23, "ieee80211_free_hw" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5898575a, "pci_unregister_driver" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x69acdf38, "memcpy" },
	{ 0x11fd71f9, "skb_pull" },
	{ 0x4c21c634, "skb_push" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,eeprom_93cx6");

MODULE_ALIAS("pci:v000010B7d00006000sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001200d00008201sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001317d00008201sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001317d00008211sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "20EBEEBFAC7BBD3DEE0DC60");
