#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ath6kl_printk, "", "");
KSYMTAB_FUNC(ath6kl_info, "", "");
KSYMTAB_FUNC(ath6kl_err, "", "");
KSYMTAB_FUNC(ath6kl_warn, "", "");
KSYMTAB_FUNC(ath6kl_read_tgt_stats, "", "");
KSYMTAB_FUNC(ath6kl_hif_rw_comp_handler, "", "");
KSYMTAB_FUNC(ath6kl_hif_intr_bh_handler, "", "");
KSYMTAB_FUNC(ath6kl_cfg80211_suspend, "", "");
KSYMTAB_FUNC(ath6kl_cfg80211_resume, "", "");
KSYMTAB_FUNC(ath6kl_stop_txrx, "", "");
KSYMTAB_FUNC(ath6kl_core_tx_complete, "", "");
KSYMTAB_FUNC(ath6kl_core_rx_complete, "", "");
KSYMTAB_FUNC(ath6kl_core_init, "", "");
KSYMTAB_FUNC(ath6kl_core_create, "", "");
KSYMTAB_FUNC(ath6kl_core_cleanup, "", "");
KSYMTAB_FUNC(ath6kl_core_destroy, "", "");

SYMBOL_CRC(ath6kl_printk, 0xb881b1a9, "");
SYMBOL_CRC(ath6kl_info, 0x3502feef, "");
SYMBOL_CRC(ath6kl_err, 0xb9a689dd, "");
SYMBOL_CRC(ath6kl_warn, 0x1354043d, "");
SYMBOL_CRC(ath6kl_read_tgt_stats, 0xa3a7a209, "");
SYMBOL_CRC(ath6kl_hif_rw_comp_handler, 0x91cfb84a, "");
SYMBOL_CRC(ath6kl_hif_intr_bh_handler, 0x3f4f907d, "");
SYMBOL_CRC(ath6kl_cfg80211_suspend, 0x2ce148f7, "");
SYMBOL_CRC(ath6kl_cfg80211_resume, 0x91b4cad9, "");
SYMBOL_CRC(ath6kl_stop_txrx, 0xff183ad0, "");
SYMBOL_CRC(ath6kl_core_tx_complete, 0x985f668e, "");
SYMBOL_CRC(ath6kl_core_rx_complete, 0xdabebfc4, "");
SYMBOL_CRC(ath6kl_core_init, 0x0fb49cc8, "");
SYMBOL_CRC(ath6kl_core_create, 0x6104e2ef, "");
SYMBOL_CRC(ath6kl_core_cleanup, 0x506a95b9, "");
SYMBOL_CRC(ath6kl_core_destroy, 0x977492f6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa916b694, "strnlen" },
	{ 0xa526c54b, "cfg80211_put_bss" },
	{ 0x77b2b525, "cfg80211_roamed" },
	{ 0xb2ff866, "cfg80211_ch_switch_notify" },
	{ 0x1ef0a673, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x694d6b66, "skb_copy_expand" },
	{ 0x12a5d0d, "skb_queue_tail" },
	{ 0xd24222df, "ieee80211_get_channel_khz" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x5879bfe6, "cfg80211_get_drvinfo" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x56aaf204, "cfg80211_ibss_joined" },
	{ 0x11fd71f9, "skb_pull" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf19fede3, "cfg80211_michael_mic_failure" },
	{ 0x6fc1639a, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4c21c634, "skb_push" },
	{ 0x83cd7fec, "cfg80211_del_sta_sinfo" },
	{ 0xbea2fb9d, "wiphy_unregister" },
	{ 0x37263f0, "free_netdev" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x903fa859, "ethtool_op_get_link" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xb9a1ed4, "netif_tx_wake_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0x1c74975a, "cfg80211_pmksa_candidate_notify" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x470906f2, "netif_rx" },
	{ 0x695b32e2, "__netdev_alloc_skb" },
	{ 0xde871d05, "skb_trim" },
	{ 0x42e0a594, "cfg80211_check_station_change" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf741200b, "cfg80211_unregister_wdev" },
	{ 0x999e8297, "vfree" },
	{ 0x70244c00, "cfg80211_rx_mgmt_ext" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x389ddd4d, "netif_carrier_off" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xf2f77362, "skb_copy" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc0e2e86d, "netif_carrier_on" },
	{ 0x23026b4b, "cfg80211_chandef_create" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x3d1ef65a, "cfg80211_conn_failed" },
	{ 0xfb5549e6, "cfg80211_inform_bss_data" },
	{ 0xf62f3f37, "kmalloc_trace" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x14257ec7, "cfg80211_connect_done" },
	{ 0xa874a918, "__cfg80211_get_bss" },
	{ 0xe3fcb062, "wiphy_free" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xbabdbe65, "kmalloc_caches" },
	{ 0xefb52141, "cfg80211_sched_scan_results" },
	{ 0xe0aba1da, "cfg80211_cqm_txe_notify" },
	{ 0xa6fb7ca6, "cfg80211_mgmt_tx_status_ext" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9b3efeae, "param_ops_uint" },
	{ 0x175686f0, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x147d5bd, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x3f057498, "cfg80211_sched_scan_stopped" },
	{ 0x3b6aa8af, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb424356a, "cfg80211_remain_on_channel_expired" },
	{ 0x98611dfe, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x438e39f, "cfg80211_register_netdevice" },
	{ 0xbef363c0, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0xcf2a6966, "up" },
	{ 0x69acdf38, "memcpy" },
	{ 0x186d26f7, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x745076fe, "cfg80211_new_sta" },
	{ 0x3f62124c, "netdev_set_default_ethtool_ops" },
	{ 0x6d073e5d, "cfg80211_disconnected" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xfa081920, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x75457b1e, "pskb_expand_head" },
	{ 0x56cb51ea, "skb_queue_purge_reason" },
	{ 0xfeca0683, "dev_addr_mod" },
	{ 0x3e9f235e, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb4ec936f, "alloc_netdev_mqs" },
	{ 0x4704428d, "wiphy_new_nm" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d6028ae, "cfg80211_ready_on_channel" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x94e3cb32, "wiphy_register" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "142E4817FFDA465A844ACFE");
