#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(brcmf_set_wsec, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_cmd_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_cmd_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_iovar_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_iovar_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_bsscfg_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_bsscfg_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_xtlv_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_xtlv_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fwvid_register_vendor, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fwvid_unregister_vendor, "_gpl", "BRCMFMAC");

SYMBOL_CRC(brcmf_set_wsec, 0x238ff465, "_gpl");
SYMBOL_CRC(brcmf_fil_cmd_data_set, 0x075aec04, "_gpl");
SYMBOL_CRC(brcmf_fil_cmd_data_get, 0xaa006070, "_gpl");
SYMBOL_CRC(brcmf_fil_iovar_data_set, 0x65dc85ec, "_gpl");
SYMBOL_CRC(brcmf_fil_iovar_data_get, 0xbba52bdb, "_gpl");
SYMBOL_CRC(brcmf_fil_bsscfg_data_set, 0x57e65fc5, "_gpl");
SYMBOL_CRC(brcmf_fil_bsscfg_data_get, 0xdc1ae940, "_gpl");
SYMBOL_CRC(brcmf_fil_xtlv_data_set, 0x56bd9536, "_gpl");
SYMBOL_CRC(brcmf_fil_xtlv_data_get, 0xa697b097, "_gpl");
SYMBOL_CRC(brcmf_fwvid_register_vendor, 0x17bb25b5, "_gpl");
SYMBOL_CRC(brcmf_fwvid_unregister_vendor, 0xbc77bd3d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xd6446d6e, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x232a4eed, "mmc_wait_for_req" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x6c9c40c1, "__pskb_pull_tail" },
	{ 0x470906f2, "netif_rx" },
	{ 0x695b32e2, "__netdev_alloc_skb" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x9b756b61, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xde871d05, "skb_trim" },
	{ 0xe3eec1ed, "skb_unlink" },
	{ 0xba1ee312, "sdio_get_host_pm_caps" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7947d2e4, "kthread_create_on_node" },
	{ 0xda343b51, "devm_kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7995122b, "pm_runtime_forbid" },
	{ 0xc56d035f, "debugfs_create_file" },
	{ 0x52452565, "brcmu_pktq_mdeq" },
	{ 0xf741200b, "cfg80211_unregister_wdev" },
	{ 0x6a06efd9, "pci_pme_capable" },
	{ 0x6df721fe, "brcmu_pktq_penq" },
	{ 0xb80f34ca, "dma_free_attrs" },
	{ 0xa08aa438, "pm_runtime_allow" },
	{ 0x999e8297, "vfree" },
	{ 0x11f4f143, "__platform_driver_probe" },
	{ 0x70244c00, "cfg80211_rx_mgmt_ext" },
	{ 0x85df9b6c, "strsep" },
	{ 0x1a5aaf01, "usb_autopm_get_interface" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x15bd8b47, "brcmu_pktq_pdeq_tail" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xde0bed23, "driver_for_each_device" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xc310b981, "strnstr" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x56361a06, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x389ddd4d, "netif_carrier_off" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc0e2e86d, "netif_carrier_on" },
	{ 0xc90c86ca, "brcmu_pkt_buf_get_skb" },
	{ 0xaef354d8, "mmc_hw_reset" },
	{ 0xb7fcd990, "sdio_retune_release" },
	{ 0x21c9676e, "sdio_claim_irq" },
	{ 0xe24003ea, "cfg80211_report_wowlan_wakeup" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xc11b587a, "pci_disable_device" },
	{ 0x42704f75, "pci_match_id" },
	{ 0xb90f20d, "sdio_enable_func" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x8186e069, "acpi_dev_get_property" },
	{ 0xf5596d89, "cfg80211_get_p2p_attr" },
	{ 0x9b8788a8, "send_sig" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xfb5549e6, "cfg80211_inform_bss_data" },
	{ 0xf62f3f37, "kmalloc_trace" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xea124bd1, "gcd" },
	{ 0xb6312f82, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0xd8a63b3a, "dev_kfree_skb_any_reason" },
	{ 0x96fdff52, "param_ops_int" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x14257ec7, "cfg80211_connect_done" },
	{ 0x7410aba2, "strreplace" },
	{ 0xceab0311, "strchrnul" },
	{ 0xe3fcb062, "wiphy_free" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x36cb52e4, "cfg80211_cqm_rssi_notify" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4e439d30, "pci_write_config_dword" },
	{ 0xbabdbe65, "kmalloc_caches" },
	{ 0xd6217d91, "brcmu_d11_attach" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xe8e9af2d, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x134df713, "sdio_readb" },
	{ 0xfc168d39, "sdio_writeb" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0xa1044a52, "brcmu_pktq_mlen" },
	{ 0xefb52141, "cfg80211_sched_scan_results" },
	{ 0xaf0eb898, "sdio_retune_hold_now" },
	{ 0xf09ec00f, "sdio_release_host" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x11c314df, "usb_alloc_urb" },
	{ 0x8b973230, "sdio_disable_func" },
	{ 0xa6fb7ca6, "cfg80211_mgmt_tx_status_ext" },
	{ 0x26bbe44a, "device_set_wakeup_enable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x58b64c0f, "usb_autopm_put_interface" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xf2ecbdf8, "sdio_set_block_size" },
	{ 0xda03adb7, "is_acpi_device_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5014f95e, "usb_free_urb" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xda910f76, "devm_kmalloc" },
	{ 0xcdb16cba, "pci_enable_device" },
	{ 0x175686f0, "skb_put" },
	{ 0xb8c43a0a, "brcmu_pkt_buf_free_skb" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xc73dede9, "sdio_retune_crc_disable" },
	{ 0x147d5bd, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xe8f49731, "firmware_request_nowarn" },
	{ 0x64bfea9e, "platform_driver_unregister" },
	{ 0x63284935, "sdio_claim_host" },
	{ 0x3f057498, "cfg80211_sched_scan_stopped" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xea45e676, "sdio_memcpy_fromio" },
	{ 0x3b6aa8af, "consume_skb" },
	{ 0x7ecc572b, "sdio_register_driver" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x29a160b3, "unregister_netdev" },
	{ 0xb424356a, "cfg80211_remain_on_channel_expired" },
	{ 0x98611dfe, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x438e39f, "cfg80211_register_netdevice" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xcc2ad4dd, "dma_unmap_page_attrs" },
	{ 0xbef363c0, "request_firmware" },
	{ 0x845e19cb, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0xeeda5b3e, "__pci_register_driver" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xe19230b6, "pci_disable_msi" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xad9250de, "cfg80211_port_authorized" },
	{ 0x6033b55, "brcmu_pktq_init" },
	{ 0xb28fc01c, "brcmu_pktq_penq_head" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x183fe7a7, "sdio_memcpy_toio" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x745076fe, "cfg80211_new_sta" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa17c0ccf, "brcmu_dotrev_str" },
	{ 0x6d073e5d, "cfg80211_disconnected" },
	{ 0xfa081920, "ether_setup" },
	{ 0x5898575a, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x75457b1e, "pskb_expand_head" },
	{ 0xbef4407f, "wake_up_process" },
	{ 0x1e0be3e4, "dev_driver_string" },
	{ 0xfeca0683, "dev_addr_mod" },
	{ 0x875ad32b, "sdio_f0_readb" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0x3e9f235e, "eth_type_trans" },
	{ 0x103082d5, "pci_read_config_dword" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd361a2a5, "dma_map_page_attrs" },
	{ 0xb4ec936f, "alloc_netdev_mqs" },
	{ 0x4704428d, "wiphy_new_nm" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d6028ae, "cfg80211_ready_on_channel" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x7a865b87, "cfg80211_classify8021d" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x14d5b860, "sdio_release_irq" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe120d4fe, "cfg80211_crit_proto_stopped" },
	{ 0x94e3cb32, "wiphy_register" },
	{ 0xed5e11de, "__cfg80211_alloc_reply_skb" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xa526c54b, "cfg80211_put_bss" },
	{ 0x77b2b525, "cfg80211_roamed" },
	{ 0x1ef0a673, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x430e8234, "usb_submit_urb" },
	{ 0x9f984513, "strrchr" },
	{ 0x49ff345a, "_dev_info" },
	{ 0x12a5d0d, "skb_queue_tail" },
	{ 0xd24222df, "ieee80211_get_channel_khz" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x7718b2d7, "cfg80211_check_combinations" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xaa757929, "sdio_set_host_pm_flags" },
	{ 0x4ffecf72, "sdio_f0_writeb" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x8d547646, "sdio_unregister_driver" },
	{ 0xf42ac42c, "sdio_readsb" },
	{ 0x7fc37e9b, "usb_match_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x675ea28, "pci_enable_msi" },
	{ 0xfddeb056, "efi" },
	{ 0x67501f2, "_dev_err" },
	{ 0xcea2d41d, "device_wakeup_enable" },
	{ 0x56aaf204, "cfg80211_ibss_joined" },
	{ 0x48bf8e12, "request_firmware_nowait" },
	{ 0xedafde3, "simple_open" },
	{ 0x11fd71f9, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x68f35675, "wiphy_apply_custom_regulatory" },
	{ 0xf19fede3, "cfg80211_michael_mic_failure" },
	{ 0x6fc1639a, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4c21c634, "skb_push" },
	{ 0x162f8d7e, "sdio_retune_crc_enable" },
	{ 0x43c70fdc, "brcmu_pktq_flush" },
	{ 0x7c313a76, "brcmu_pktq_peek_tail" },
	{ 0xadd5af86, "dma_alloc_attrs" },
	{ 0x5a921311, "strncmp" },
	{ 0x83cd7fec, "cfg80211_del_sta_sinfo" },
	{ 0x92b912ed, "sdio_readl" },
	{ 0xa10cc92a, "mmc_set_data_timeout" },
	{ 0xd5a43273, "nla_put" },
	{ 0x3838d50a, "register_netdev" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xbea2fb9d, "wiphy_unregister" },
	{ 0x37263f0, "free_netdev" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xbce46c69, "kthread_stop" },
	{ 0x6fb9e4d7, "eth_platform_get_mac_address" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x13b89a4a, "usb_deregister" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb9a1ed4, "netif_tx_wake_queue" },
	{ 0xb19b445, "ioread8" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0xc3734ba, "_dev_warn" },
	{ 0x81b11aff, "brcmu_pktq_pdeq_match" },
	{ 0xd7b0bb8c, "cfg80211_vendor_cmd_reply" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x773c6a67, "sdio_writel" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "mmc_core,brcmutil,cfg80211,usbcore");

MODULE_ALIAS("pci:v000014E4d000043A3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004355sv000014E4sd00004355bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004354sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043DCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043ECsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043D3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043D9sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000AA31sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043E9sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043EFsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BAsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BBsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000AA52sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004464sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CAsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CBsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004365sv000014E4sd00004365bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C4sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C5sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000440Dsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004415sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004488sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004425sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004433sv*sd*bc02sc80i*");
MODULE_ALIAS("usb:v0A5CpBD1Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD17d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD1Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD27d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4pBD29d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v043Ep3101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5Cp0BDCd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4p0BDCd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("sdio:c*v02D0dA887*");
MODULE_ALIAS("sdio:c*v02D0d4324*");
MODULE_ALIAS("sdio:c*v02D0d4329*");
MODULE_ALIAS("sdio:c*v02D0d4330*");
MODULE_ALIAS("sdio:c*v02D0d4334*");
MODULE_ALIAS("sdio:c*v02D0dA94C*");
MODULE_ALIAS("sdio:c*v02D0dA94D*");
MODULE_ALIAS("sdio:c*v02D0dA962*");
MODULE_ALIAS("sdio:c*v02D0dA9A4*");
MODULE_ALIAS("sdio:c*v02D0d4335*");
MODULE_ALIAS("sdio:c*v02D0d4339*");
MODULE_ALIAS("sdio:c*v02D0dA9A6*");
MODULE_ALIAS("sdio:c*v02D0dA9AF*");
MODULE_ALIAS("sdio:c*v02D0d4345*");
MODULE_ALIAS("sdio:c*v02D0dA9BF*");
MODULE_ALIAS("sdio:c*v02D0d4354*");
MODULE_ALIAS("sdio:c*v02D0d4356*");
MODULE_ALIAS("sdio:c*v02D0d4359*");
MODULE_ALIAS("sdio:c*v02D0d4373*");
MODULE_ALIAS("sdio:c*v02D0dA804*");
MODULE_ALIAS("sdio:c*v02D0dAAE8*");
MODULE_ALIAS("sdio:c*v02D0d4355*");
MODULE_ALIAS("sdio:c*v04B4dBD3D*");

MODULE_INFO(srcversion, "C2D6644939E3AC73059505E");
