#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1d24c881, "___ratelimit" },
	{ 0x67501f2, "_dev_err" },
	{ 0x375c522b, "rt2800_mcu_request" },
	{ 0x312736f5, "rt2800mmio_toggle_irq" },
	{ 0xd22b35ff, "rt2800mmio_enable_radio" },
	{ 0xf8db6b4b, "rt2x00pci_remove" },
	{ 0xa4c59eab, "rt2x00pci_pm_ops" },
	{ 0x6f48f9a0, "rt2800mmio_queue_init" },
	{ 0x5fa4db64, "rt2800mmio_interrupt" },
	{ 0x9f3c8921, "rt2800mmio_txstatus_tasklet" },
	{ 0x3d741c87, "rt2800mmio_pretbtt_tasklet" },
	{ 0x5028bbb2, "rt2800mmio_tbtt_tasklet" },
	{ 0x32ac3645, "rt2800mmio_rxdone_tasklet" },
	{ 0x97e3c029, "rt2800mmio_autowake_tasklet" },
	{ 0x7b0b897b, "rt2800mmio_probe_hw" },
	{ 0xf66ae73d, "rt2800_check_firmware" },
	{ 0x738674b1, "rt2800_load_firmware" },
	{ 0x43362f88, "rt2x00mmio_initialize" },
	{ 0x8496fd89, "rt2x00mmio_uninitialize" },
	{ 0xea6af00a, "rt2800mmio_get_entry_state" },
	{ 0xb81557ec, "rt2800mmio_clear_entry" },
	{ 0x8828db5, "rt2800_rfkill_poll" },
	{ 0xca1c1c37, "rt2800_link_stats" },
	{ 0x58da1d95, "rt2800_reset_tuner" },
	{ 0x76c7084c, "rt2800_link_tuner" },
	{ 0x66a02061, "rt2800_gain_calibration" },
	{ 0x5599cbd4, "rt2800_vco_calibration" },
	{ 0x49c1ff7b, "rt2800_watchdog" },
	{ 0x17daa062, "rt2800mmio_start_queue" },
	{ 0xb8cc73ae, "rt2800mmio_kick_queue" },
	{ 0xc8a1860e, "rt2800mmio_stop_queue" },
	{ 0x10ec9f39, "rt2800mmio_flush_queue" },
	{ 0x9ac34a67, "rt2800mmio_write_tx_desc" },
	{ 0xdb62e232, "rt2800_write_tx_data" },
	{ 0x3d67b9e6, "rt2800_write_beacon" },
	{ 0x4fcb0a4, "rt2800_clear_beacon" },
	{ 0xddf701e4, "rt2800mmio_fill_rxdone" },
	{ 0x9fd7b66b, "rt2800_config_shared_key" },
	{ 0x2ca77f89, "rt2800_config_pairwise_key" },
	{ 0x5aa30523, "rt2800_config_filter" },
	{ 0x15eef534, "rt2800_config_intf" },
	{ 0x1d44941b, "rt2800_config_erp" },
	{ 0xba354e6e, "rt2800_config_ant" },
	{ 0xfaa4bcd1, "rt2800_config" },
	{ 0xa6a4f6b0, "rt2800_pre_reset_hw" },
	{ 0xcca74033, "rt2x00mmio_regbusy_read" },
	{ 0xdf8cbd8a, "rt2800mmio_init_registers" },
	{ 0xc3cc152e, "rt2800mmio_get_txwi" },
	{ 0xb589518e, "rt2800mmio_get_dma_done" },
	{ 0x68f15368, "rt2x00mac_tx" },
	{ 0x295c9d39, "rt2x00mac_start" },
	{ 0x907a8e80, "rt2x00mac_stop" },
	{ 0xb397477, "rt2x00mac_add_interface" },
	{ 0xfbed5c05, "rt2x00mac_remove_interface" },
	{ 0xbe816771, "rt2x00mac_config" },
	{ 0xca98d593, "rt2x00mac_bss_info_changed" },
	{ 0x8a28c948, "rt2x00mac_configure_filter" },
	{ 0xdf420f41, "rt2x00mac_set_key" },
	{ 0xe33375ff, "rt2x00mac_sw_scan_start" },
	{ 0xd49d4ae7, "rt2x00mac_sw_scan_complete" },
	{ 0xf9aaa53d, "rt2x00mac_get_stats" },
	{ 0x693eb25c, "rt2800_get_key_seq" },
	{ 0xcb3330e, "rt2800_set_rts_threshold" },
	{ 0x5218a80, "rt2800_sta_add" },
	{ 0x2ef2cabe, "rt2800_sta_remove" },
	{ 0x686e8875, "rt2800_conf_tx" },
	{ 0xa01861d, "rt2800_get_tsf" },
	{ 0x10a313ba, "rt2800_ampdu_action" },
	{ 0x5cd55370, "rt2800_get_survey" },
	{ 0x63588beb, "rt2x00mac_rfkill_poll" },
	{ 0xa09dcb12, "rt2x00mac_flush" },
	{ 0xbb226493, "rt2x00mac_get_ringparam" },
	{ 0x30713e8c, "rt2x00mac_tx_frames_pending" },
	{ 0x92bc4ca6, "ieee80211_emulate_add_chanctx" },
	{ 0x1134fca4, "ieee80211_emulate_remove_chanctx" },
	{ 0xaed4f463, "ieee80211_emulate_change_chanctx" },
	{ 0xb698bdbe, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xfad81f9e, "rt2x00mac_reconfig_complete" },
	{ 0xd064a70c, "ieee80211_handle_wake_tx_queue" },
	{ 0xef4c188e, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xeeda5b3e, "__pci_register_driver" },
	{ 0x69956a03, "rt2x00pci_probe" },
	{ 0xdf1eef7e, "rt2800_efuse_detect" },
	{ 0x8e6c3cbc, "rt2800_read_eeprom_efuse" },
	{ 0xff7a0fdf, "eeprom_93cx6_multiread" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x5898575a, "pci_unregister_driver" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "rt2800lib,rt2800mmio,rt2x00pci,rt2x00mmio,rt2x00lib,mac80211,eeprom_93cx6");

MODULE_ALIAS("pci:v00001814d00000601sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000681sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000701sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003090sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003091sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003092sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007708sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007728sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007738sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007748sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007758sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007768sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001462d0000891Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001A3Bd00001059sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003290sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007711sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007722sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003060sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003062sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003562sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000359Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005362sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005392sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Fsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "0E9A8343572DB09B35370FF");
