#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2x00usb_vendor_request, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_vendor_req_buff_lock, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_vendor_request_buff, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_regbusy_read, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_register_read_async, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_kick_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_clear_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_initialize, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_uninitialize, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_probe, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_disconnect, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_suspend, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_resume, "_gpl", "");

SYMBOL_CRC(rt2x00usb_vendor_request, 0x1286ac75, "_gpl");
SYMBOL_CRC(rt2x00usb_vendor_req_buff_lock, 0x1e09d9fe, "_gpl");
SYMBOL_CRC(rt2x00usb_vendor_request_buff, 0x232d72cf, "_gpl");
SYMBOL_CRC(rt2x00usb_regbusy_read, 0xccfe25fc, "_gpl");
SYMBOL_CRC(rt2x00usb_register_read_async, 0xf7c84f30, "_gpl");
SYMBOL_CRC(rt2x00usb_kick_queue, 0xdcf38630, "_gpl");
SYMBOL_CRC(rt2x00usb_flush_queue, 0x853e4871, "_gpl");
SYMBOL_CRC(rt2x00usb_watchdog, 0x1d34e567, "_gpl");
SYMBOL_CRC(rt2x00usb_disable_radio, 0x00fd8451, "_gpl");
SYMBOL_CRC(rt2x00usb_clear_entry, 0x9a0092d4, "_gpl");
SYMBOL_CRC(rt2x00usb_initialize, 0x8f4f39f9, "_gpl");
SYMBOL_CRC(rt2x00usb_uninitialize, 0x309aa50a, "_gpl");
SYMBOL_CRC(rt2x00usb_probe, 0xfc58871c, "_gpl");
SYMBOL_CRC(rt2x00usb_disconnect, 0x747d6fcd, "_gpl");
SYMBOL_CRC(rt2x00usb_suspend, 0xac13ffc3, "_gpl");
SYMBOL_CRC(rt2x00usb_resume, 0x8e407c38, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x275791bf, "usb_control_msg" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x67501f2, "_dev_err" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x641b5fac, "usb_anchor_urb" },
	{ 0x430e8234, "usb_submit_urb" },
	{ 0x37a0cba, "kfree" },
	{ 0xf77b2450, "usb_unanchor_urb" },
	{ 0xbabdbe65, "kmalloc_caches" },
	{ 0xf62f3f37, "kmalloc_trace" },
	{ 0x11c314df, "usb_alloc_urb" },
	{ 0x5014f95e, "usb_free_urb" },
	{ 0xa400c06d, "rt2x00lib_dmastart" },
	{ 0x2973dffe, "rt2x00lib_dmadone" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xccf95c2d, "__skb_pad" },
	{ 0xc3734ba, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa5f2580d, "rt2x00queue_for_each_entry" },
	{ 0x56361a06, "usb_kill_urb" },
	{ 0x72fdd0f0, "rt2x00queue_get_entry" },
	{ 0xbea64316, "rt2x00queue_stop_queue" },
	{ 0x4a00205c, "rt2x00queue_flush_queue" },
	{ 0x4c03ff1, "rt2x00queue_start_queue" },
	{ 0x6e013687, "rt2x00lib_txdone_noinfo" },
	{ 0x907db268, "rt2x00lib_rxdone" },
	{ 0xbb97a7c9, "rt2x00lib_suspend" },
	{ 0x9c2a0abe, "rt2x00lib_resume" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xe05e1640, "rt2x00lib_remove_dev" },
	{ 0x7f465c23, "ieee80211_free_hw" },
	{ 0x5ec5cc6b, "usb_put_dev" },
	{ 0x2e6f73a0, "usb_get_dev" },
	{ 0x7502818c, "usb_reset_device" },
	{ 0x3e4e01d3, "ieee80211_alloc_hw_nm" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xda910f76, "devm_kmalloc" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe49941f8, "rt2x00lib_probe_dev" },
	{ 0x92997ed8, "_printk" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "usbcore,rt2x00lib,mac80211");


MODULE_INFO(srcversion, "A8C5A4284EB9CD3A91B16B3");
