#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtw89_core_fill_txdesc, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_v1, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_v2, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_fwcmd_v1, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_fwcmd_v2, "", "");
KSYMTAB_FUNC(rtw89_core_query_rxdesc, "", "");
KSYMTAB_FUNC(rtw89_core_query_rxdesc_v2, "", "");
KSYMTAB_FUNC(rtw89_core_rx, "", "");
KSYMTAB_FUNC(rtw89_core_napi_start, "", "");
KSYMTAB_FUNC(rtw89_core_napi_stop, "", "");
KSYMTAB_FUNC(rtw89_core_napi_init, "", "");
KSYMTAB_FUNC(rtw89_core_napi_deinit, "", "");
KSYMTAB_FUNC(rtw89_check_quirks, "", "");
KSYMTAB_FUNC(rtw89_core_init, "", "");
KSYMTAB_FUNC(rtw89_core_deinit, "", "");
KSYMTAB_FUNC(rtw89_chip_info_setup, "", "");
KSYMTAB_FUNC(rtw89_core_register, "", "");
KSYMTAB_FUNC(rtw89_core_unregister, "", "");
KSYMTAB_FUNC(rtw89_alloc_ieee80211_hw, "", "");
KSYMTAB_FUNC(rtw89_free_ieee80211_hw, "", "");
KSYMTAB_DATA(rtw89_ops, "", "");
KSYMTAB_FUNC(rtw89_mac_get_err_status, "", "");
KSYMTAB_FUNC(rtw89_mac_set_err_status, "", "");
KSYMTAB_DATA(rtw89_mac_size, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_enable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_disable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path_v1, "", "");
KSYMTAB_DATA(rtw89_mac_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_phy_get_txsc, "", "");
KSYMTAB_FUNC(rtw89_phy_get_txsb, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf_v2, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf_v2, "", "");
KSYMTAB_FUNC(rtw89_phy_config_rf_reg_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_read32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_set_phy_regs, "", "");
KSYMTAB_FUNC(rtw89_phy_write_reg3_tbl, "", "");
KSYMTAB_FUNC(rtw89_phy_load_txpwr_byrate, "", "");
KSYMTAB_FUNC(rtw89_phy_read_txpwr_limit, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_pre_ntfy_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_tssi_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_iqk_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_dpk_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_txgapk_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_dack_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_rxdck_and_wait, "", "");
KSYMTAB_FUNC(rtw89_rfk_parser, "", "");
KSYMTAB_FUNC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, "", "");
KSYMTAB_FUNC(rtw89_encode_chan_idx, "", "");
KSYMTAB_FUNC(rtw89_decode_chan_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_get_kpath, "", "");
KSYMTAB_FUNC(rtw89_phy_get_syn_sel, "", "");
KSYMTAB_DATA(rtw89_phy_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_dctl_sec_cam_v1, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_dctl_sec_cam_v2, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_default_dmac_tbl_v2, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_ba_cam, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_ba_cam_v1, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_default_cmac_tbl, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_default_cmac_tbl_g7, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_assoc_cmac_tbl, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_assoc_cmac_tbl_g7, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_ampdu_cmac_tbl_g7, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_update_beacon, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_update_beacon_be, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_rf_ntfy_mcc, "", "");
KSYMTAB_FUNC(rtw89_read_efuse_ver, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy_v1, "", "");
KSYMTAB_FUNC(rtw89_btc_ntfy_wl_rfk, "", "");
KSYMTAB_FUNC(rtw89_ser_notify, "", "");

SYMBOL_CRC(rtw89_core_fill_txdesc, 0x5996567b, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v1, 0x68c9120c, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v2, 0x3bda750b, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v1, 0xaddfcc3e, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v2, 0xfeccab39, "");
SYMBOL_CRC(rtw89_core_query_rxdesc, 0xb218cd32, "");
SYMBOL_CRC(rtw89_core_query_rxdesc_v2, 0xb43418c0, "");
SYMBOL_CRC(rtw89_core_rx, 0x3dc0de2d, "");
SYMBOL_CRC(rtw89_core_napi_start, 0xbdc74ca1, "");
SYMBOL_CRC(rtw89_core_napi_stop, 0xee88edc4, "");
SYMBOL_CRC(rtw89_core_napi_init, 0x30df5d4e, "");
SYMBOL_CRC(rtw89_core_napi_deinit, 0xfe94829f, "");
SYMBOL_CRC(rtw89_check_quirks, 0x564c2c96, "");
SYMBOL_CRC(rtw89_core_init, 0xc726ce22, "");
SYMBOL_CRC(rtw89_core_deinit, 0xd74ab4f0, "");
SYMBOL_CRC(rtw89_chip_info_setup, 0xaa46be19, "");
SYMBOL_CRC(rtw89_core_register, 0x738158b0, "");
SYMBOL_CRC(rtw89_core_unregister, 0x495072ad, "");
SYMBOL_CRC(rtw89_alloc_ieee80211_hw, 0xa6cd355c, "");
SYMBOL_CRC(rtw89_free_ieee80211_hw, 0xda285ec0, "");
SYMBOL_CRC(rtw89_ops, 0x5df3691f, "");
SYMBOL_CRC(rtw89_mac_get_err_status, 0xfbfc6ffe, "");
SYMBOL_CRC(rtw89_mac_set_err_status, 0x5210c2ba, "");
SYMBOL_CRC(rtw89_mac_size, 0x3e3298fc, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx, 0xebbfde0f, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx_v1, 0x38a427cd, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx, 0xede61a76, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx_v1, 0xb50beeac, "");
SYMBOL_CRC(rtw89_mac_enable_bb_rf, 0x563ba14c, "");
SYMBOL_CRC(rtw89_mac_disable_bb_rf, 0x650c4fd2, "");
SYMBOL_CRC(rtw89_mac_coex_init, 0x367e275b, "");
SYMBOL_CRC(rtw89_mac_coex_init_v1, 0xe844d3fd, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt, 0x68988242, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt_v1, 0x243f1c36, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path, 0xf4f5f391, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path_v1, 0x73eb1791, "");
SYMBOL_CRC(rtw89_mac_gen_ax, 0x53cc1a0f, "");
SYMBOL_CRC(rtw89_phy_get_txsc, 0xd8715009, "");
SYMBOL_CRC(rtw89_phy_get_txsb, 0xe302e2d8, "");
SYMBOL_CRC(rtw89_phy_read_rf, 0xb5ca10e2, "");
SYMBOL_CRC(rtw89_phy_read_rf_v1, 0xa87bfe17, "");
SYMBOL_CRC(rtw89_phy_read_rf_v2, 0x93460b49, "");
SYMBOL_CRC(rtw89_phy_write_rf, 0x6c230a42, "");
SYMBOL_CRC(rtw89_phy_write_rf_v1, 0x1620c781, "");
SYMBOL_CRC(rtw89_phy_write_rf_v2, 0x7b970c09, "");
SYMBOL_CRC(rtw89_phy_config_rf_reg_v1, 0x6e9391b6, "");
SYMBOL_CRC(rtw89_phy_write32_idx, 0x085e47e3, "");
SYMBOL_CRC(rtw89_phy_read32_idx, 0xb8083857, "");
SYMBOL_CRC(rtw89_phy_set_phy_regs, 0xd34baa78, "");
SYMBOL_CRC(rtw89_phy_write_reg3_tbl, 0xec7e38dc, "");
SYMBOL_CRC(rtw89_phy_load_txpwr_byrate, 0x9eb9d29b, "");
SYMBOL_CRC(rtw89_phy_read_txpwr_limit, 0x435c2f57, "");
SYMBOL_CRC(rtw89_phy_rfk_pre_ntfy_and_wait, 0xa8303e54, "");
SYMBOL_CRC(rtw89_phy_rfk_tssi_and_wait, 0x9a43a6aa, "");
SYMBOL_CRC(rtw89_phy_rfk_iqk_and_wait, 0xbb03841f, "");
SYMBOL_CRC(rtw89_phy_rfk_dpk_and_wait, 0x2f1498a7, "");
SYMBOL_CRC(rtw89_phy_rfk_txgapk_and_wait, 0x664ad7e0, "");
SYMBOL_CRC(rtw89_phy_rfk_dack_and_wait, 0x6ff5eef0, "");
SYMBOL_CRC(rtw89_phy_rfk_rxdck_and_wait, 0x87aceab1, "");
SYMBOL_CRC(rtw89_rfk_parser, 0xd08229ba, "");
SYMBOL_CRC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, 0x310f792b, "");
SYMBOL_CRC(rtw89_encode_chan_idx, 0x242d2f99, "");
SYMBOL_CRC(rtw89_decode_chan_idx, 0x99d316da, "");
SYMBOL_CRC(rtw89_phy_get_kpath, 0xec9d3f3b, "");
SYMBOL_CRC(rtw89_phy_get_syn_sel, 0xaef88830, "");
SYMBOL_CRC(rtw89_phy_gen_ax, 0xe01a0335, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v1, 0x9f0a7dff, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v2, 0xc9c86838, "");
SYMBOL_CRC(rtw89_fw_h2c_default_dmac_tbl_v2, 0xf357807c, "");
SYMBOL_CRC(rtw89_fw_h2c_ba_cam, 0x2f427d5f, "");
SYMBOL_CRC(rtw89_fw_h2c_ba_cam_v1, 0xedd4a99c, "");
SYMBOL_CRC(rtw89_fw_h2c_default_cmac_tbl, 0x32051773, "");
SYMBOL_CRC(rtw89_fw_h2c_default_cmac_tbl_g7, 0x84209975, "");
SYMBOL_CRC(rtw89_fw_h2c_assoc_cmac_tbl, 0x0b1ddf83, "");
SYMBOL_CRC(rtw89_fw_h2c_assoc_cmac_tbl_g7, 0x814fee2a, "");
SYMBOL_CRC(rtw89_fw_h2c_ampdu_cmac_tbl_g7, 0xa393ac38, "");
SYMBOL_CRC(rtw89_fw_h2c_update_beacon, 0xb5e5e47b, "");
SYMBOL_CRC(rtw89_fw_h2c_update_beacon_be, 0x5becd3ad, "");
SYMBOL_CRC(rtw89_fw_h2c_rf_ntfy_mcc, 0xb1cfd49b, "");
SYMBOL_CRC(rtw89_read_efuse_ver, 0x51d5efc9, "");
SYMBOL_CRC(rtw89_btc_set_policy, 0x63f49ca3, "");
SYMBOL_CRC(rtw89_btc_set_policy_v1, 0x6f3c7f9d, "");
SYMBOL_CRC(rtw89_btc_ntfy_wl_rfk, 0x97c95309, "");
SYMBOL_CRC(rtw89_ser_notify, 0xf441fc5b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf170a06b, "napi_enable" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x74c9f333, "ieee80211_wake_queues" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xd702b934, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc4d08d66, "ieee80211_free_txskb" },
	{ 0xeae3f9c1, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3e4e01d3, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x419e8fa5, "ieee80211_tx_dequeue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0xc3734ba, "_dev_warn" },
	{ 0x92bc4ca6, "ieee80211_emulate_add_chanctx" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb698bdbe, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x695b32e2, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x7d71564, "ieee80211_ready_on_channel" },
	{ 0x8f670e1, "ieee80211_stop_queues" },
	{ 0xde871d05, "skb_trim" },
	{ 0xe3eec1ed, "skb_unlink" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xdf7b7ec1, "ieee80211_scan_completed" },
	{ 0x8c58dfc2, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xef4c188e, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3cb6147, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8862dfc7, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x7cb4a386, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf2f77362, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x23026b4b, "cfg80211_chandef_create" },
	{ 0xd5c57235, "ieee80211_cqm_rssi_notify" },
	{ 0x2440fbc4, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf62f3f37, "kmalloc_trace" },
	{ 0xe916abc2, "ieee80211_queue_work" },
	{ 0x356ee6ab, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0x32329008, "napi_disable" },
	{ 0xd8a63b3a, "dev_kfree_skb_any_reason" },
	{ 0x1134fca4, "ieee80211_emulate_remove_chanctx" },
	{ 0x9e0125db, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xbabdbe65, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x3b3360ed, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd616dbf1, "ieee80211_stop_tx_ba_session" },
	{ 0x26bbe44a, "device_set_wakeup_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x8c2e9060, "ieee80211_connection_loss" },
	{ 0xcf7e0528, "ieee80211_report_wowlan_wakeup" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xda03adb7, "is_acpi_device_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd34e0285, "__ieee80211_schedule_txq" },
	{ 0x5b3b296d, "ieee80211_txq_get_depth" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x4c9ae252, "cfg80211_bss_iter" },
	{ 0x175686f0, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x3b6aa8af, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x9306a690, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x7f465c23, "ieee80211_free_hw" },
	{ 0xde7a810, "ieee80211_probereq_get" },
	{ 0x339c4001, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xbef363c0, "request_firmware" },
	{ 0xd79588a0, "ieee80211_iterate_stations_atomic" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x5d03c98d, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0x186d26f7, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xc8288f53, "ieee80211_nullfunc_get" },
	{ 0x1b7244b, "pcpu_hot" },
	{ 0x9dda4648, "ieee80211_pspoll_get" },
	{ 0xef230a2d, "ieee80211_register_hw" },
	{ 0xaed4f463, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8358da6c, "ieee80211_restart_hw" },
	{ 0x2372221e, "__netif_napi_del" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x75457b1e, "pskb_expand_head" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5305fb1e, "ieee80211_find_sta" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x942ac9ed, "__napi_schedule" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x49ff345a, "_dev_info" },
	{ 0x12a5d0d, "skb_queue_tail" },
	{ 0xf0bd74bb, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x3dee8ef2, "wiphy_to_ieee80211_hw" },
	{ 0x9eb5f2e6, "ieee80211_queue_delayed_work" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x67501f2, "_dev_err" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5689a698, "ieee80211_next_txq" },
	{ 0x6fc1639a, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdf38cbeb, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4c21c634, "skb_push" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "05D503B06C3F81F5B16CF6A");
