#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cdns_init, "_gpl", "");
KSYMTAB_FUNC(cdns_remove, "_gpl", "");
KSYMTAB_FUNC(cdns_suspend, "_gpl", "");
KSYMTAB_FUNC(cdns_resume, "_gpl", "");
KSYMTAB_FUNC(cdns_set_active, "_gpl", "");
KSYMTAB_FUNC(cdns_clear_vbus, "_gpl", "");
KSYMTAB_FUNC(cdns_set_vbus, "_gpl", "");
KSYMTAB_FUNC(cdns_drd_gadget_on, "_gpl", "");
KSYMTAB_FUNC(cdns_drd_gadget_off, "_gpl", "");
KSYMTAB_FUNC(cdns_power_is_lost, "_gpl", "");

SYMBOL_CRC(cdns_init, 0xdc6cbf54, "_gpl");
SYMBOL_CRC(cdns_remove, 0x141d86f3, "_gpl");
SYMBOL_CRC(cdns_suspend, 0xc0b1e8a9, "_gpl");
SYMBOL_CRC(cdns_resume, 0x2a3a561e, "_gpl");
SYMBOL_CRC(cdns_set_active, 0x36383673, "_gpl");
SYMBOL_CRC(cdns_clear_vbus, 0x9be7b6e1, "_gpl");
SYMBOL_CRC(cdns_set_vbus, 0x1afe85f6, "_gpl");
SYMBOL_CRC(cdns_drd_gadget_on, 0xdb0a2c0b, "_gpl");
SYMBOL_CRC(cdns_drd_gadget_off, 0x4a73b131, "_gpl");
SYMBOL_CRC(cdns_power_is_lost, 0xefe94652, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb84e9980, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbfe7742f, "platform_device_add_data" },
	{ 0x1690b503, "usb_role_switch_get_drvdata" },
	{ 0x736ab01, "usb_get_dr_mode" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8252cf01, "__pm_runtime_set_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x583481ae, "pm_runtime_enable" },
	{ 0x86562415, "platform_device_add_resources" },
	{ 0x67501f2, "_dev_err" },
	{ 0x86f0870c, "platform_device_unregister" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x97725325, "phy_reset" },
	{ 0x6f5dcbd9, "platform_device_add" },
	{ 0xee638604, "platform_device_alloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc3734ba, "_dev_warn" },
	{ 0x72f8e6bf, "usb_hcd_is_primary_hcd" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x202edd95, "usb_role_switch_register" },
	{ 0x9826fbea, "dma_set_coherent_mask" },
	{ 0x40919784, "phy_set_mode_ext" },
	{ 0xd2146338, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xaf5b64f6, "devm_ioremap_resource" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x5b20e357, "dma_set_mask" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xcf2f73d5, "__pm_runtime_disable" },
	{ 0xc3d40fc9, "__pm_runtime_idle" },
	{ 0xf7892c64, "platform_device_put" },
	{ 0x9d2c4b66, "device_property_present" },
	{ 0xb23c474, "devm_request_threaded_irq" },
	{ 0xda910f76, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x37a0cba, "kfree" },
	{ 0x2882d40e, "usb_role_switch_unregister" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "roles,usbcore");


MODULE_INFO(srcversion, "3A12C28CA7EE01D643715E7");
