#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ffs_lock, "_gpl", "");
KSYMTAB_FUNC(ffs_name_dev, "_gpl", "");
KSYMTAB_FUNC(ffs_single_dev, "_gpl", "");

SYMBOL_CRC(ffs_lock, 0x6c825859, "_gpl");
SYMBOL_CRC(ffs_name_dev, 0x72512185, "_gpl");
SYMBOL_CRC(ffs_single_dev, 0x8d33ac4e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x30eb80cf, "compat_ptr_ioctl" },
	{ 0x72405c80, "usb_function_register" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc17cb6e3, "dma_buf_unmap_attachment" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0xe40d8cc5, "usb_ep_clear_halt" },
	{ 0x2773c485, "__wake_up_locked" },
	{ 0xaacf03c1, "dma_fence_signal" },
	{ 0xb57104d3, "config_group_init_type_name" },
	{ 0x5102a30b, "do_wait_intr_irq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe30fefa3, "dma_buf_get" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xbac8aeea, "sg_nents_for_len" },
	{ 0x7483a73e, "ww_mutex_lock" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x7ca123a9, "dma_buf_put" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0xb03f15c1, "usb_ep_autoconfig" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xbd73fdce, "unregister_gadget_item" },
	{ 0xdeb99119, "dma_fence_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd11e072a, "usb_put_function_instance" },
	{ 0x9a0bcc7, "kill_litter_super" },
	{ 0x22cc11f1, "sg_alloc_table_from_pages_segment" },
	{ 0xfb578fc5, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x63cc0a18, "make_kgid" },
	{ 0x46d9acfa, "d_delete" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xbf2def8d, "usb_function_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x80e2ad81, "usb_ep_alloc_request" },
	{ 0x999e8297, "vfree" },
	{ 0xda03405, "usb_ep_set_halt" },
	{ 0x3944e792, "d_add" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x916be976, "inode_set_ctime_current" },
	{ 0xe16a477a, "dup_iter" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x18c3d5, "dput" },
	{ 0x829fb031, "generic_delete_inode" },
	{ 0x2e4b94e8, "_copy_from_iter" },
	{ 0x170f3862, "dma_buf_detach" },
	{ 0x369211d1, "stream_open" },
	{ 0x9c2aeb60, "__fs_parse" },
	{ 0x6abd6c50, "kthread_unuse_mm" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf20eecb0, "usb_ep_queue" },
	{ 0xf62f3f37, "kmalloc_trace" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x754d539c, "strlen" },
	{ 0xfbb36f98, "usb_ep_enable" },
	{ 0xa14a6557, "usb_ep_disable" },
	{ 0xc2666da5, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xbabdbe65, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb50888a1, "ww_mutex_lock_interruptible" },
	{ 0x2efc5296, "_copy_to_iter" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7fc7102e, "usb_string_ids_n" },
	{ 0x65a7ab43, "dma_resv_reserve_fences" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xcba003db, "simple_dir_inode_operations" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x4f77014, "usb_ep_fifo_flush" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x3bbdd2c4, "vmalloc_to_page" },
	{ 0xb0e602eb, "memmove" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xef4f919f, "new_inode" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xcb3d55ee, "unregister_filesystem" },
	{ 0xd065dbcd, "dma_resv_wait_timeout" },
	{ 0x63687a2b, "usb_interface_id" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xdd10044c, "d_alloc_name" },
	{ 0xb25fa3ee, "simple_statfs" },
	{ 0x1795fbb5, "d_make_root" },
	{ 0xbdcbdc5, "ww_mutex_unlock" },
	{ 0x69acdf38, "memcpy" },
	{ 0x438796a7, "dma_resv_add_fence" },
	{ 0x37a0cba, "kfree" },
	{ 0x77a42012, "usb_ep_fifo_status" },
	{ 0xaebb5fd0, "logfc" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x25699d7, "fs_param_is_bool" },
	{ 0xe2964344, "__wake_up" },
	{ 0x6fc0a590, "register_filesystem" },
	{ 0xd5d93178, "kiocb_set_cancel_fn" },
	{ 0x18395d30, "dma_buf_attach" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x82dbc63, "usb_ep_free_request" },
	{ 0xff0063d5, "kthread_use_mm" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x682c5578, "get_tree_nodev" },
	{ 0x1dca88ba, "config_ep_by_speed" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xec773b95, "fs_param_is_u32" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x84be3b65, "ww_mutex_trylock" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7f5b729a, "make_kuid" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xabed50a3, "simple_dir_operations" },
	{ 0xa916b694, "strnlen" },
	{ 0x2cf86e7d, "dma_buf_map_attachment" },
	{ 0x1ef0a673, "const_pcpu_hot" },
	{ 0xf171be08, "usb_ep_dequeue" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "libcomposite,configfs");


MODULE_INFO(srcversion, "6BE06B6E184844101060A74");
