#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfsd4_ssc_init_umount_work, "_gpl", "");

SYMBOL_CRC(nfsd4_ssc_init_umount_work, 0x03b3dc90, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0xfb578fc5, "memset" },
	{ 0x3d6c0ccd, "kern_path" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x98271c50, "vfs_lock_file" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x3281b38d, "cache_check" },
	{ 0xcc3e1437, "vfs_iter_write" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x3863cb52, "rpc_delay" },
	{ 0x43aa319e, "lease_register_notifier" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf83a65c2, "__list_lru_init" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x162893fd, "hashlen_string" },
	{ 0x9c0a0e95, "xdr_buf_subsegment" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x595b6cee, "svc_generic_init_request" },
	{ 0xcb22e30d, "svc_xprt_names" },
	{ 0x64325794, "rpc_get_sb_net" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0x63cc0a18, "make_kgid" },
	{ 0xe27fdfa5, "xattr_supports_user_prefix" },
	{ 0x2933d3d0, "splice_direct_to_actor" },
	{ 0x169be40e, "gss_pseudoflavor_to_service" },
	{ 0x5a9c5345, "fsnotify_put_group" },
	{ 0xe24b10b, "dentry_create" },
	{ 0x9102fe45, "nfs_stream_decode_acl" },
	{ 0xf8c52c19, "from_kgid_munged" },
	{ 0xb22c9447, "unlock_rename" },
	{ 0xbcb1634d, "vfs_rmdir" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xdd67d324, "svc_set_client" },
	{ 0xcfce457d, "nfs_ssc_client_tbl" },
	{ 0xa7a6b9ce, "rpc_wake_up_next" },
	{ 0xd2194ede, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7947d2e4, "kthread_create_on_node" },
	{ 0xabc640f3, "list_lru_isolate" },
	{ 0xbb1662f1, "mnt_drop_write" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x8155819b, "__vfs_removexattr_locked" },
	{ 0x903b627c, "list_lru_isolate_move" },
	{ 0xe42d41dd, "pv_ops" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x5e80f411, "bpf_trace_run3" },
	{ 0x5f6c0bba, "override_creds" },
	{ 0x4101f83a, "seq_read" },
	{ 0xeeaf3b20, "__put_net" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x64767a86, "rpc_mkpipe_dentry" },
	{ 0xce7e7fcb, "path_get" },
	{ 0x97d0b1a2, "rpc_mkpipe_data" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x1a8b6b1, "vfs_symlink" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0x999e8297, "vfree" },
	{ 0x44bae227, "bit_wait_timeout" },
	{ 0xf128f573, "trace_event_buffer_reserve" },
	{ 0x3944e792, "d_add" },
	{ 0xeb687cd8, "svc_seq_show" },
	{ 0xe9f5cd97, "vfs_fsync" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x71fa908a, "cache_flush" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x47c20f8a, "refcount_dec_not_one" },
	{ 0xef4c188e, "param_ops_bool" },
	{ 0x5f4a905c, "groups_free" },
	{ 0x53126ecc, "__percpu_counter_sum" },
	{ 0xc934a2bb, "vfs_mknod" },
	{ 0xd211d491, "get_fs_type" },
	{ 0x3962f71a, "cache_register_net" },
	{ 0x3c4d496a, "fsnotify_find_mark" },
	{ 0xdf39f653, "lookup_positive_unlocked" },
	{ 0xb39f53b9, "init_user_ns" },
	{ 0xc7c42ec7, "rpc_uaddr2sockaddr" },
	{ 0xaf46d96b, "nlmsvc_ops" },
	{ 0xc68aef59, "rpc_restart_call" },
	{ 0xb9f05e4e, "dentry_open" },
	{ 0xedb2d981, "filp_close" },
	{ 0xd4175b60, "svc_xprt_destroy_all" },
	{ 0x3cec9fc7, "inc_nlink" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0xdf41ffcb, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x7c2f27bd, "list_lru_walk_one" },
	{ 0x3ac3feba, "rhltable_init" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd58ad1b4, "svc_find_xprt" },
	{ 0x8862dfc7, "seq_printf" },
	{ 0x93ed3b9f, "svc_proc_unregister" },
	{ 0x18c3d5, "dput" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x101529e2, "rpc_init_wait_queue" },
	{ 0x8b2d47a2, "gss_mech_put" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa9ffcea6, "touch_atime" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xb867b44c, "exportfs_decode_fh_raw" },
	{ 0x57ed7ac0, "vfs_clone_file_range" },
	{ 0xfe45081d, "svc_addsock" },
	{ 0xb1bd4475, "lookup_one_len_unlocked" },
	{ 0x7781cb36, "gss_mech_get" },
	{ 0x2297d309, "svc_fill_write_vector" },
	{ 0xa3636d12, "vfs_kern_mount" },
	{ 0xe6d19020, "vfs_llseek" },
	{ 0xb19096ee, "simple_recursive_removal" },
	{ 0xea755122, "locks_free_lease" },
	{ 0x28ec77f1, "__put_user_ns" },
	{ 0x3b4d789, "rpc_unlink" },
	{ 0x2440fbc4, "seq_puts" },
	{ 0x8fe4ea0f, "sunrpc_cache_pipe_upcall" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0xd6565347, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb5dbaeea, "svc_print_addr" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xeb4ff1ca, "vfs_link" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x5dc82f2e, "svc_pool_stats_open" },
	{ 0xf1307bf8, "groups_sort" },
	{ 0x56d0117a, "seq_open" },
	{ 0xc983aea5, "dget_parent" },
	{ 0xe36c44d3, "genl_unregister_family" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0xf9cbec3d, "from_kuid_munged" },
	{ 0xc2f693c4, "prepare_kernel_cred" },
	{ 0xf62f3f37, "kmalloc_trace" },
	{ 0xb20f878c, "write_bytes_to_xdr_buf" },
	{ 0x36d8af4a, "rpc_call_async" },
	{ 0xfee4d172, "list_lru_del_obj" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x138aef73, "cache_destroy_net" },
	{ 0xfbc034fb, "locks_delete_block" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x114d9a76, "bpf_trace_run7" },
	{ 0xb37b6f2, "locks_start_grace" },
	{ 0x96fdff52, "param_ops_int" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0x65a5e1d2, "inode_permission" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe5c60bd2, "percpu_counter_set" },
	{ 0xe975ae4f, "setattr_should_drop_sgid" },
	{ 0xbf9f9502, "mntget" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x8cec3ae1, "single_open" },
	{ 0x133af6ce, "lease_get_mtime" },
	{ 0xa64b65d7, "__mnt_is_readonly" },
	{ 0xb2d48136, "crypto_alloc_shash" },
	{ 0x7767706e, "svc_xprt_close" },
	{ 0x17dfdde0, "__mark_inode_dirty" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0x999a01cd, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x601f9ef1, "xdr_stream_pos" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xc7b172fb, "svc_xprt_create" },
	{ 0xb07ccfb, "sunrpc_cache_update" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xe643d921, "svc_auth_flavor" },
	{ 0x9a6a4275, "xdr_truncate_encode" },
	{ 0xf9a482f9, "msleep" },
	{ 0x47284700, "locks_free_lock" },
	{ 0x116c815f, "fsnotify_add_mark" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x38fb59f6, "set_groups" },
	{ 0x5b2a5b3, "rpc_destroy_wait_queue" },
	{ 0xbabdbe65, "kmalloc_caches" },
	{ 0x2d49faf, "auth_domain_put" },
	{ 0x4849a46b, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd450c59c, "d_path" },
	{ 0x2eae478c, "svcauth_gss_flavor" },
	{ 0xb9a7b624, "vfs_create" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xef464c28, "getboottime64" },
	{ 0x40ea11a0, "svc_generic_rpcbind_set" },
	{ 0x32211f21, "svc_wake_up" },
	{ 0x9cbde0a0, "nlmsvc_unlock_all_by_ip" },
	{ 0x4df28aaa, "seq_path" },
	{ 0x8df82a4c, "trace_print_array_seq" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x8044ef37, "vfs_fsync_range" },
	{ 0x1a9769ca, "shrinker_alloc" },
	{ 0xb8c8736, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7f978707, "vfs_listxattr" },
	{ 0xff58db5, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x89f50a45, "opens_in_grace" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x82ca4002, "notify_change" },
	{ 0x512998ed, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x20978fb9, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xcba003db, "simple_dir_inode_operations" },
	{ 0x343be6ce, "vfs_getattr" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4e9c7a4, "xdr_write_pages" },
	{ 0x2212eebb, "rpc_shutdown_client" },
	{ 0x9f3c4ab0, "vfs_rename" },
	{ 0xcfcbf708, "svc_bind" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xbaf6850c, "fsnotify_wait_marks_destroyed" },
	{ 0x12cabc89, "siphash_2u64" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0x678309df, "proc_create" },
	{ 0x3d44336c, "lookup_one_len" },
	{ 0xd6317a28, "auth_domain_find" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x16bf0165, "__break_lease" },
	{ 0xef4f919f, "new_inode" },
	{ 0xd7717bcb, "svc_recv" },
	{ 0xc1c7c22, "crypto_shash_tfm_digest" },
	{ 0xf4dcb040, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc42ba58d, "xdr_inline_decode" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x719caa17, "cache_create_net" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x450fe6eb, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xb51a3724, "rpc_pipefs_notifier_unregister" },
	{ 0xd25da7cd, "nlmsvc_unlock_all_by_sb" },
	{ 0xcb3d55ee, "unregister_filesystem" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x1fe1e1ad, "locks_end_grace" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x45a25ee5, "locks_owner_has_blockers" },
	{ 0x96a55fda, "list_lru_destroy" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc97d807b, "iterate_dir" },
	{ 0xf789e2ea, "read_bytes_from_xdr_buf" },
	{ 0x566f9aea, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xdd10044c, "d_alloc_name" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x276bbd02, "lockd_down" },
	{ 0x3f72ad94, "get_tree_keyed" },
	{ 0xd44b8ed7, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x3b06b6ad, "lockd_up" },
	{ 0x8dfd0e4e, "abort_creds" },
	{ 0xfbbe7d27, "simple_fill_super" },
	{ 0x248404fe, "security_file_post_open" },
	{ 0xbb624942, "svc_reserve" },
	{ 0x1da2ba6c, "sunrpc_cache_lookup_rcu" },
	{ 0xd77975b0, "fsnotify" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x893606ed, "kthread_func" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x4dd7bff, "cache_seq_next_rcu" },
	{ 0x93f1f83b, "current_time" },
	{ 0xd7bdedf4, "genlmsg_put" },
	{ 0x2c0e664f, "fsnotify_put_mark" },
	{ 0x22d26582, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa5e07782, "ihold" },
	{ 0xc6c042ed, "follow_up" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xd2c724e9, "simple_transaction_get" },
	{ 0x6d84ca38, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x99e9d729, "svc_max_payload" },
	{ 0x3ce33f19, "vfs_test_lock" },
	{ 0x652bad61, "svc_exit_thread" },
	{ 0xefb62f1b, "iput" },
	{ 0x1b7244b, "pcpu_hot" },
	{ 0x5781d422, "seq_lseek" },
	{ 0x5202c272, "follow_down" },
	{ 0x1f242f2f, "rpc_pton" },
	{ 0xbbcec0b7, "groups_alloc" },
	{ 0xf261bf80, "rpc_wake_up_queued_task" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0x441f55d4, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x63936427, "rpc_restart_call_prepare" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xdc6fef62, "security_inode_setsecctx" },
	{ 0x6544202, "__xdr_commit_encode" },
	{ 0x49eae92c, "kthread_data" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0x6fc0a590, "register_filesystem" },
	{ 0x5ee2aa12, "list_lru_count_node" },
	{ 0xb91439fb, "kmem_cache_create" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xf1e87b8b, "vfs_unlink" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x3d9ce76c, "sync_inode_metadata" },
	{ 0x8302f918, "simple_transaction_set" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x5818fe3c, "posix_acl_from_mode" },
	{ 0x9493fc86, "node_states" },
	{ 0xc9c9d587, "path_put" },
	{ 0x6748ed0, "rpc_sleep_on" },
	{ 0xb3446747, "svc_encode_result_payload" },
	{ 0xd07f3557, "vfs_copy_file_range" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x610ca114, "rpc_put_sb_net" },
	{ 0xfb888845, "__put_cred" },
	{ 0xdc83b55a, "register_pernet_subsys" },
	{ 0x28086e1f, "locks_in_grace" },
	{ 0xbef4407f, "wake_up_process" },
	{ 0x45071427, "vfs_mkdir" },
	{ 0xb8519dd4, "shrinker_free" },
	{ 0x65f0607a, "svc_proc_register" },
	{ 0xf874fbf9, "trace_event_buffer_commit" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x127d93f1, "vfs_statfs" },
	{ 0x6d227604, "crypto_destroy_tfm" },
	{ 0x753f6166, "simple_inode_init_ts" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x985453e1, "lease_unregister_notifier" },
	{ 0xb0a21722, "list_lru_walk_node" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xff16932, "cache_purge" },
	{ 0x82450583, "fsnotify_alloc_group" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d30b2af, "vfs_iter_read" },
	{ 0x86d064a8, "vfs_fallocate" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xbd72d94d, "__fput_sync" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7f5b729a, "make_kuid" },
	{ 0x7cc3b70f, "locks_release_private" },
	{ 0xde08988, "mnt_want_write" },
	{ 0xabed50a3, "simple_dir_operations" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x3360e017, "cache_seq_stop_rcu" },
	{ 0x38c42a3b, "shrinker_register" },
	{ 0x92b7567c, "locks_init_lock" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x1ef0a673, "const_pcpu_hot" },
	{ 0x1f324217, "rpc_destroy_pipe_data" },
	{ 0x8d989b26, "cache_seq_start_rcu" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbf9d1b96, "nfsd_debug" },
	{ 0x387e1639, "rpc_pipefs_notifier_register" },
	{ 0xfa01e4e2, "kmem_cache_alloc" },
	{ 0xe3844028, "get_inode_acl" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x98786211, "init_task" },
	{ 0x4139d4b3, "xdr_init_encode_pages" },
	{ 0x8b33a80d, "rpc_pipe_generic_upcall" },
	{ 0x748a02f7, "module_put" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x1d82b666, "mntput" },
	{ 0x9bf1a385, "simple_transaction_release" },
	{ 0x5e56b5c8, "svc_xprt_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x5a23f41b, "__fsnotify_parent" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xf071b9d4, "security_inode_getsecctx" },
	{ 0xf5ed8eaa, "cache_unregister_net" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xedcf6be4, "qword_add" },
	{ 0x863e9e6, "seq_escape_mem" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x1b1d7b11, "prepare_creds" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x92fdc50, "lease_modify" },
	{ 0xfe51dd78, "svc_age_temp_xprts_now" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x7326cf2e, "vfs_get_link" },
	{ 0x7501cf58, "perf_trace_run_bpf_submit" },
	{ 0x78537897, "svc_rqst_replace_page" },
	{ 0xb1dc80f, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xa95a30ec, "rpc_machine_cred" },
	{ 0x2a5ed8cd, "nfs_stream_encode_acl" },
	{ 0xce807a25, "up_write" },
	{ 0x990598ff, "exportfs_encode_fh" },
	{ 0x5b754614, "kernel_setlease" },
	{ 0x58d3166e, "simple_symlink_inode_operations" },
	{ 0x75dedfce, "svc_set_num_threads" },
	{ 0x9e831acd, "svc_rpcb_cleanup" },
	{ 0x764ab0ec, "unix_domain_find" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe3c979c3, "__splice_from_pipe" },
	{ 0xe5998d88, "rpc_peeraddr2str" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0x34f92b5, "locks_init_lease" },
	{ 0x4071b517, "out_of_line_wait_on_bit_timeout" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0xe3f48f4a, "bpf_trace_run5" },
	{ 0xa0cda035, "rpc_d_lookup_sb" },
	{ 0x1df880ce, "setattr_copy" },
	{ 0x1a349af, "fsnotify_init_mark" },
	{ 0x954f099c, "idr_preload" },
	{ 0x19fa10dd, "svc_create_pooled" },
	{ 0xdfcee2cb, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x59a0f72f, "xdr_reserve_space_vec" },
	{ 0xc183c8df, "lock_rename" },
	{ 0x88bc65c0, "kmem_cache_free" },
	{ 0x4cd3f0fb, "__vfs_setxattr_locked" },
	{ 0xfe551a55, "svc_fill_symlink_pathname" },
	{ 0x9b496b21, "posix_acl_alloc" },
	{ 0x5a921311, "strncmp" },
	{ 0xe00acfb4, "xdr_stream_subsegment" },
	{ 0xfda0229, "seq_putc" },
	{ 0xd5a43273, "nla_put" },
	{ 0xe5ba7a9e, "from_kgid" },
	{ 0x25e36875, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xf2eb356a, "vfs_getxattr" },
	{ 0xddeeac73, "iov_iter_kvec" },
	{ 0x7c014a02, "rw_verify_area" },
	{ 0x194e17ee, "locks_alloc_lease" },
	{ 0xbebd8e1a, "list_lru_add_obj" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xd7482f05, "vcalloc" },
	{ 0x9db2b33a, "fsnotify_destroy_mark" },
	{ 0x3f9a2b0b, "rpcauth_get_gssinfo" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0xe020bfd7, "simple_transaction_read" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xae6c4810, "__audit_inode_child" },
	{ 0xd7b7f207, "xdr_restrict_buflen" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xbce46c69, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5c9af92f, "set_posix_acl" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x316de143, "rpc_create" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0xb781c2e7, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xe21325fe, "rpc_call_start" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb07abe2, "unshare_fs_struct" },
	{ 0x2975cd47, "bpf_trace_run1" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x30e9ba09, "svcauth_unix_purge" },
	{ 0xb3db8a13, "default_llseek" },
	{ 0x9a0bcc7, "kill_litter_super" },
	{ 0xf2f7b1f8, "locks_alloc_lock" },
	{ 0x90dee344, "proc_mkdir" },
	{ 0x870963cc, "from_kuid" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x21307d94, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xff6783b8, "rpc_queue_upcall" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,auth_rpcgss,nfs_acl,lockd,grace");


MODULE_INFO(srcversion, "54D9468321B8FCBD0CA7D68");
