#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa4160652, "nf_ct_expect_related_report" },
	{ 0xa916b694, "strnlen" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x754d539c, "strlen" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x8ba1b39d, "nf_ct_get_id" },
	{ 0xbdce0b09, "nf_conntrack_find_get" },
	{ 0x1b7244b, "pcpu_hot" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0xaf0847f0, "nf_conntrack_locks" },
	{ 0xdba7326b, "nf_conntrack_lock" },
	{ 0x28eff409, "nf_conntrack_hash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xaa8176ca, "nf_ct_delete" },
	{ 0x11300a22, "__nf_ct_expect_find" },
	{ 0x24d273d1, "add_timer" },
	{ 0xe7f06b32, "nf_ct_helper_expectfn_find_by_symbol" },
	{ 0x19da6123, "nfnetlink_has_listeners" },
	{ 0x75ba0b5e, "nfnetlink_set_err" },
	{ 0x7f95bbac, "nfnetlink_send" },
	{ 0xc18ac88d, "nf_ct_expect_hsize" },
	{ 0xec8beba6, "nf_ct_expect_hash" },
	{ 0xfc7e26a9, "nf_conn_pernet_ecache" },
	{ 0xeb25ed6f, "nf_conntrack_alloc" },
	{ 0x6a1b1cf7, "nf_ct_helper_ext_add" },
	{ 0x1b30b6e1, "nf_ct_ext_add" },
	{ 0x16daacc2, "nf_ct_ecache_ext_add" },
	{ 0xcc4128a2, "nf_ct_change_status_common" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xd9fc1325, "nf_conntrack_hash_check_insert" },
	{ 0x8ee0ca25, "nf_conntrack_free" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xedcc414d, "nf_conntrack_eventmask_report" },
	{ 0x5a82eda8, "nf_ct_iterate_cleanup_net" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d71658c, "nfnetlink_subsys_register" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc83b55a, "register_pernet_subsys" },
	{ 0x22c288fc, "nfnetlink_subsys_unregister" },
	{ 0xba1b874c, "nfnl_ct_hook" },
	{ 0xd6384eec, "nf_ct_tcp_seqadj_set" },
	{ 0x44c5bd1d, "nf_ct_expect_put" },
	{ 0x61fd05ba, "nf_connlabels_replace" },
	{ 0x254ad00e, "nla_policy_len" },
	{ 0x91b0a247, "nf_ct_l4proto_find" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb9faa7c1, "nf_conntrack_unregister_notifier" },
	{ 0x798c78bb, "nf_conntrack_register_notifier" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x79db919a, "__do_once_done" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xaeb784bc, "__netlink_dump_start" },
	{ 0x718f9a1e, "nf_nat_hook" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdb065657, "nfnl_unlock" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5ce3b588, "nfnl_lock" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x21307d94, "unregister_pernet_subsys" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xd5a43273, "nla_put" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x3d1059ea, "__nla_validate" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x178a5a7c, "nf_ct_expect_find_get" },
	{ 0x9adb7399, "nf_conntrack_expect_lock" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x318222de, "nf_ct_unlink_expect_report" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x16f00d79, "nf_ct_expect_iterate_net" },
	{ 0xbabdbe65, "kmalloc_caches" },
	{ 0xf62f3f37, "kmalloc_trace" },
	{ 0x37a0cba, "kfree" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3d50fd72, "__nlmsg_put" },
	{ 0xde871d05, "skb_trim" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x80a6a477, "__alloc_skb" },
	{ 0x1619f4a4, "nf_conntrack_count" },
	{ 0xf38bcdf3, "nf_conntrack_max" },
	{ 0x6652f66c, "nfnetlink_unicast" },
	{ 0x6fc1639a, "kfree_skb_reason" },
	{ 0x97614e1a, "nf_ct_remove_expectations" },
	{ 0x8bfd3164, "__nf_conntrack_helper_find" },
	{ 0xa6935882, "__nf_ct_change_timeout" },
	{ 0xfecd351a, "__nf_ct_change_status" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf5aac77f, "nf_ct_expect_alloc" },
	{ 0xf5c26611, "nf_ct_helper_expectfn_find_by_name" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nfnetlink");


MODULE_INFO(srcversion, "60BDBF75EF9C3F0930B505E");
