#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(cs35l41_regmap_i2c, "_gpl", "");
KSYMTAB_DATA(cs35l41_regmap_spi, "_gpl", "");
KSYMTAB_FUNC(cs35l41_test_key_unlock, "_gpl", "");
KSYMTAB_FUNC(cs35l41_test_key_lock, "_gpl", "");
KSYMTAB_FUNC(cs35l41_otp_unpack, "_gpl", "");
KSYMTAB_FUNC(cs35l41_register_errata_patch, "_gpl", "");
KSYMTAB_FUNC(cs35l41_set_channels, "_gpl", "");
KSYMTAB_FUNC(cs35l41_init_boost, "_gpl", "");
KSYMTAB_FUNC(cs35l41_safe_reset, "_gpl", "");
KSYMTAB_FUNC(cs35l41_global_enable, "_gpl", "");
KSYMTAB_FUNC(cs35l41_mdsync_up, "_gpl", "");
KSYMTAB_FUNC(cs35l41_gpio_config, "_gpl", "");
KSYMTAB_FUNC(cs35l41_configure_cs_dsp, "_gpl", "");
KSYMTAB_FUNC(cs35l41_set_cspl_mbox_cmd, "_gpl", "");
KSYMTAB_FUNC(cs35l41_write_fs_errata, "_gpl", "");
KSYMTAB_FUNC(cs35l41_enter_hibernate, "_gpl", "");
KSYMTAB_FUNC(cs35l41_exit_hibernate, "_gpl", "");

SYMBOL_CRC(cs35l41_regmap_i2c, 0x194777e6, "_gpl");
SYMBOL_CRC(cs35l41_regmap_spi, 0xaf127139, "_gpl");
SYMBOL_CRC(cs35l41_test_key_unlock, 0x666448f3, "_gpl");
SYMBOL_CRC(cs35l41_test_key_lock, 0xdc55a022, "_gpl");
SYMBOL_CRC(cs35l41_otp_unpack, 0x48f56e71, "_gpl");
SYMBOL_CRC(cs35l41_register_errata_patch, 0xaa587cdb, "_gpl");
SYMBOL_CRC(cs35l41_set_channels, 0xd0db9273, "_gpl");
SYMBOL_CRC(cs35l41_init_boost, 0x425fce07, "_gpl");
SYMBOL_CRC(cs35l41_safe_reset, 0x389e86c7, "_gpl");
SYMBOL_CRC(cs35l41_global_enable, 0x28e980f8, "_gpl");
SYMBOL_CRC(cs35l41_mdsync_up, 0x36c475ff, "_gpl");
SYMBOL_CRC(cs35l41_gpio_config, 0xe92ff6ad, "_gpl");
SYMBOL_CRC(cs35l41_configure_cs_dsp, 0x98a69172, "_gpl");
SYMBOL_CRC(cs35l41_set_cspl_mbox_cmd, 0x050eae92, "_gpl");
SYMBOL_CRC(cs35l41_write_fs_errata, 0x97bbd829, "_gpl");
SYMBOL_CRC(cs35l41_enter_hibernate, 0xea4f63af, "_gpl");
SYMBOL_CRC(cs35l41_exit_hibernate, 0xb3113cdd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb84e9980, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x67501f2, "_dev_err" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa4c46c5d, "regmap_read" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4467719d, "regmap_bulk_read" },
	{ 0xcda6f5d6, "regmap_update_bits_base" },
	{ 0xe6538f5, "regmap_multi_reg_write" },
	{ 0xf62f3f37, "kmalloc_trace" },
	{ 0xfb648355, "regmap_register_patch" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xbabdbe65, "kmalloc_caches" },
	{ 0xfd1ac5aa, "regmap_write" },
	{ 0x37a0cba, "kfree" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AC87D6360393D7DA2919D99");
