#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l41_probe, "_gpl", "");
KSYMTAB_FUNC(cs35l41_remove, "_gpl", "");
KSYMTAB_DATA(cs35l41_pm_ops, "_gpl", "");

SYMBOL_CRC(cs35l41_probe, 0x12cd047f, "_gpl");
SYMBOL_CRC(cs35l41_remove, 0x685fdb2b, "_gpl");
SYMBOL_CRC(cs35l41_pm_ops, 0x88cf2925, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xee4af13, "devm_gpiod_get_optional" },
	{ 0x425fce07, "cs35l41_init_boost" },
	{ 0xea4f63af, "cs35l41_enter_hibernate" },
	{ 0xb84e9980, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8252cf01, "__pm_runtime_set_status" },
	{ 0x4655de7b, "devm_snd_soc_register_component" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x583481ae, "pm_runtime_enable" },
	{ 0xcdc5867e, "regulator_bulk_disable" },
	{ 0x774211c5, "device_property_read_u32_array" },
	{ 0xfbef969, "snd_soc_get_enum_double" },
	{ 0x49ff345a, "_dev_info" },
	{ 0xa1b0c495, "snd_soc_info_volsw" },
	{ 0x3aa0ae04, "regmap_multi_reg_write_bypassed" },
	{ 0x67501f2, "_dev_err" },
	{ 0x353c0c7a, "wm_adsp_event" },
	{ 0xdd914cba, "snd_soc_dapm_put_volsw" },
	{ 0x666448f3, "cs35l41_test_key_unlock" },
	{ 0xdc55a022, "cs35l41_test_key_lock" },
	{ 0xa00294d6, "snd_pcm_hw_constraint_list" },
	{ 0xe2784ed0, "wm_adsp_fw_enum" },
	{ 0x389e86c7, "cs35l41_safe_reset" },
	{ 0xc3734ba, "_dev_warn" },
	{ 0x19975cee, "wm_adsp2_component_probe" },
	{ 0x60201dda, "wm_adsp2_preloader_put" },
	{ 0x3cdcb12c, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7cb814f4, "wm_adsp2_preloader_get" },
	{ 0x572e158c, "snd_soc_info_enum_double" },
	{ 0x9d1c19f2, "regulator_bulk_enable" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0xd1e9c66d, "devm_regulator_bulk_get" },
	{ 0x78e39d63, "snd_soc_info_volsw_sx" },
	{ 0x48f56e71, "cs35l41_otp_unpack" },
	{ 0x9278e583, "wm_adsp2_component_remove" },
	{ 0xadf95092, "snd_soc_get_volsw" },
	{ 0xb3113cdd, "cs35l41_exit_hibernate" },
	{ 0xa4c46c5d, "regmap_read" },
	{ 0x8854b710, "snd_soc_put_volsw" },
	{ 0xe9883f5a, "wm_adsp_fw_get" },
	{ 0xd2146338, "__pm_runtime_resume" },
	{ 0x50eae92, "cs35l41_set_cspl_mbox_cmd" },
	{ 0x97bbd829, "cs35l41_write_fs_errata" },
	{ 0xf3e79e5, "snd_soc_dapm_new_controls" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x98a69172, "cs35l41_configure_cs_dsp" },
	{ 0xc523fe01, "_dev_crit" },
	{ 0xcda6f5d6, "regmap_update_bits_base" },
	{ 0xbf125d4f, "dev_err_probe" },
	{ 0x2b0db4fb, "snd_soc_dapm_get_volsw" },
	{ 0xc856058e, "__pm_runtime_suspend" },
	{ 0x274abc95, "snd_soc_dapm_get_enum_double" },
	{ 0xc4475c98, "__pm_runtime_use_autosuspend" },
	{ 0x52651b83, "wm_halo_init" },
	{ 0x7cd22716, "wm_adsp_early_event" },
	{ 0xd0db9273, "cs35l41_set_channels" },
	{ 0xcf2f73d5, "__pm_runtime_disable" },
	{ 0x36c475ff, "cs35l41_mdsync_up" },
	{ 0xdd6a6675, "snd_soc_get_volsw_sx" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xe92ff6ad, "cs35l41_gpio_config" },
	{ 0xddd52fbe, "snd_soc_dapm_put_enum_double" },
	{ 0xf5103674, "wm_adsp_fw_put" },
	{ 0x9d2c4b66, "device_property_present" },
	{ 0x28e980f8, "cs35l41_global_enable" },
	{ 0x2cc95cc9, "regcache_cache_only" },
	{ 0xda03adb7, "is_acpi_device_node" },
	{ 0xf5201a50, "regcache_sync" },
	{ 0xfd1ac5aa, "regmap_write" },
	{ 0xb23c474, "devm_request_threaded_irq" },
	{ 0x868313c0, "snd_soc_put_volsw_sx" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x27c12ecf, "pm_runtime_set_autosuspend_delay" },
	{ 0xaa587cdb, "cs35l41_register_errata_patch" },
	{ 0x337d6e48, "gpiod_set_value_cansleep" },
	{ 0x37a0cba, "kfree" },
	{ 0x702462d8, "wm_adsp2_remove" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x47b512a6, "snd_soc_put_enum_double" },
	{ 0xbab9577f, "regcache_mark_dirty" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs35l41-lib,snd-soc-core,snd-soc-wm-adsp,snd-pcm");


MODULE_INFO(srcversion, "3F0273A252C33EA468D32D1");
